# Generated by configure.  Do not edit.

commit 66e8f142e381501d114888c2d1fc1e7f6d6a9857
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Nov 14 11:08:40 2008 +0100

    Increment version to 1.8.4

 cairo-version.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b9c1344ad82d38bb86fa85fbb565b2de64aa0e35
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Nov 14 11:07:10 2008 +0100

    NEWS: Add notes for cairo 1.8.4
    
    Just a few bug fixes here.

 NEWS |   52 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 52 insertions(+), 0 deletions(-)

commit d654d528de16769932131da80f4b925151d50103
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Nov 13 16:45:15 2008 +0100

    Blacklist "X.Org" < 7.0 with the buggy_repeat workaround.
    
    This is in response to a report that a 6.9 server crashes with
    cairo's extend-reflect test:
    
    https://bugs.freedesktop.org/show_bug.cgi?id=15628#c2

 src/cairo-xlib-display.c |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit 35a1ba0ddc45f9cc785c6f8a37b6bb49c953e047
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Nov 13 16:36:20 2008 +0100

    Document the buggy_repeat workaround more carefully.
    
    It's a confusing condition, so let's be explicit about where
    the various numbers come from.

 src/cairo-xlib-display.c |   54 ++++++++++++++++++++++++++++++++-------------
 1 files changed, 38 insertions(+), 16 deletions(-)

commit a1ab11df01962bea5752f5a5b53926a26a6f34ae
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Nov 5 11:50:20 2008 -0500

    Define RepeatNone, etc if the available Render version doesn't (#18385)

 src/cairo-xlib-xrender-private.h |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 1d8ad69abb88f6e0283b6ce2aadc5d801b8e3722
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Nov 4 01:51:06 2008 -0500

    [aclocal.dolt.m4] Fix build with bash versions <= 3.0 (bug #18363)

 build/aclocal.dolt.m4 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6434cddb899d750b815d71f8f51ae3e4568dd3c0
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sun Nov 2 11:42:33 2008 +1030

    type1-subset: return unsupported on FT errors
    
    and let type1-fallback handle it. This fixes the bug reported by
    Peter Weilbacher in
    http://lists.cairographics.org/archives/cairo/2008-October/015569.html

 src/cairo-type1-subset.c |   12 ++++--------
 1 files changed, 4 insertions(+), 8 deletions(-)

commit 710f7d30d348517602293f123525aef7677d69cf
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 31 02:14:53 2008 +0000

    [scaled-font] Fix typo that prevented meta_surface lookup.
    
    test/text-glyph-range was crashing since we requested the meta_surface but
    the glyph wrongly believed it already had the meta_surface but was
    checking for a path instead.

 src/cairo-scaled-font.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ab15d7627506a837fea7101661425bb923ef5b4f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 30 16:54:23 2008 +0000

    [test] Remove XFAIL from user-font-mask
    
    user-font-mask should PASS modulo the scaling anomalies in the external
    renderers, so remove it from the XFAIL list.

 test/Makefile.am                  |   15 ++++++---------
 test/user-font-mask-pdf-ref.png   |  Bin 0 -> 1927 bytes
 test/user-font-mask-ps2-ref.png   |  Bin 0 -> 1927 bytes
 test/user-font-mask-ps3-ref.png   |  Bin 0 -> 1927 bytes
 test/user-font-mask-svg11-ref.png |  Bin 0 -> 2224 bytes
 5 files changed, 6 insertions(+), 9 deletions(-)

commit 540f555840ba4076e3ab86669daf9bee5695afa2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 23 14:38:44 2008 +0100

    [analysis] Only limit to mask extends if bounded by mask.
    
    The extents of cairo_mask() is only limited to the mask if the operation
    is bounded by the mask.

 src/cairo-analysis-surface.c            |    8 ++++++--
 test/clip-operator-pdf-argb32-ref.png   |  Bin 11145 -> 12125 bytes
 test/clip-operator-pdf-rgb24-ref.png    |  Bin 6530 -> 7367 bytes
 test/operator-clear-pdf-argb32-ref.png  |  Bin 1438 -> 1614 bytes
 test/operator-clear-pdf-rgb24-ref.png   |  Bin 1170 -> 1402 bytes
 test/operator-source-pdf-argb32-ref.png |  Bin 4694 -> 5149 bytes
 test/operator-source-pdf-rgb24-ref.png  |  Bin 3848 -> 4354 bytes
 7 files changed, 6 insertions(+), 2 deletions(-)

commit 4b2998893930e4bab19646e6f0a0c8d2a47f12a2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 23 14:34:30 2008 +0100

    Review users of cairo_rectangle_int_t for incorrect unsigned promotion.
    
    Adrian Johnson discovered cases where we mistakenly compared the result
    of unsigned arithmetic where we need signed quantities. Look for similar
    cases in the users of cairo_rectangle_int_t.

 src/cairo-analysis-surface.c |   48 ++++++++++++++++++++++-------------
 src/cairo-clip.c             |   43 ++++++++++++++++---------------
 src/cairo-gstate.c           |    4 +-
 src/cairo-pattern.c          |   13 ++++++---
 src/cairo-rectangle.c        |    6 +++-
 src/cairo-region-private.h   |    3 +-
 src/cairo-region.c           |    3 +-
 src/cairo-surface-fallback.c |   31 +++++++++++++++--------
 src/cairo-surface.c          |   27 +++++++++++---------
 src/cairo-win32-surface.c    |    4 +-
 src/cairo-xcb-surface.c      |   56 +++++++++++++----------------------------
 src/cairo-xlib-surface.c     |   52 ++++++++++++--------------------------
 src/cairoint.h               |    2 +-
 13 files changed, 144 insertions(+), 148 deletions(-)

commit 0e4156121f05b14f800289ea34c5382de1f20869
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 23 13:37:41 2008 +0100

    [rectangle] Fix unsigned promotion whilst computing intersect.
    
    _cairo_rectangle_intersect() incorrectly allows unsigned promotion during
    its arithmetic.

 src/cairo-rectangle.c |   31 +++++++++++++++++--------------
 src/cairoint.h        |    3 ++-
 2 files changed, 19 insertions(+), 15 deletions(-)

commit 2464b8a0a9f7db7421c257eb4e3ac0d98af34761
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 23 13:36:19 2008 +0100

    [pattern] Allow the projected surface extents to be negative.
    
    In order to handle projection of analysis surface with user-fonts we need
    to accommodate patterns extending into negative coordinate space.

 src/cairo-pattern.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit d5d29075bdbb7f412fa6dc182573da18fd81af54
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 23 15:24:13 2008 +0100

    [gstate] Allocate temporary variable for backend_to_user transform.
    
    _cairo_gstate_backend_to_user_rectangle() requires that its input
    arguments are non-NULL and describe the input rectangle to be transformed.
    However, we were passing through output parameters from the public API
    which were allowed to be NULL. So we need to allocate temporary variables
    in which to compute the output rectangle, but only copy them as required.

 src/cairo-gstate.c |   69 +++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 50 insertions(+), 19 deletions(-)

commit d53537e8b5e3a8345983d8a0529cb230fa2886d1
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Oct 30 08:20:59 2008 -0700

    Increment version to 1.8.3 after the 1.8.2 release.
    
    Thanks to Chris Wilson (who else?) for the last-minute bug fix.

 cairo-version.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f7c958d97221375fdcbb6c58c3b58c07676b7589
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Oct 29 21:02:04 2008 -0700

    Increment cairo version to 1.8.2.
    
    Hurrah! We're finally there.

 cairo-version.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 42711a5586cba5db5451ce2400ee5fe655700391
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 30 09:54:47 2008 +0000

    [xlib] Fix _draw_image_surface() with opaque images.
    
    If the image was opaque with no alpha channel, we filled the output alpha
    with 0. Typically, the destination surface for dithering is an RGB window,
    so this bug went unnoticed. However, test/xlib-expose-event is an example
    where we generate an intermediate alpha-only pixmap for use as a stencil
    and this was failing as the mask was left completely transparent. The
    simple solution is to ensure that for opaque images, the output alpha is
    set to the maximum permissible value.

 src/cairo-xlib-surface.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit c3940d342ac506055c2ce6b7e9b27f92d8a63999
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 30 09:59:48 2008 +0000

    [xlib] whitespace
    
    Tweak the whitespace to lose some unnecessary line wrapping, casts and
    blanks.

 src/cairo-xlib-surface.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit e51648b601de274559800c63575c7f7e0288f596
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Oct 30 04:43:45 2008 -0400

    [test/xlib-expose-event] Save the output image to disk

 test/xlib-expose-event.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit f534bd549e1e2283735d1eabb60c015a5949a735
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Oct 29 21:28:56 2008 -0700

    Remove test/twin-ref.png.
    
    I missed this in a previous commit, (I think I had used a
    pattern of twin-*-ref.png which of course didn't match
    this file).

 test/twin-ref.png |  Bin 1836 -> 0 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit cf97966c07bc64ff4b169d1d8239407883a26747
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Oct 29 21:01:01 2008 -0700

    NEWS: Finish the entry for the 1.8.2 release.
    
    Add some summarizing paragraphs and organize bug-fixes and optimizations
    into separate sections.

 NEWS |   93 ++++++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 62 insertions(+), 31 deletions(-)

commit b6741cffef6e86d59fa4809d32de14b9c5e8afbf
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 30 01:15:45 2008 +0000

    [NEWS] Spot another couple of typos.
    
    Proof-reading is difficult, even with the squiggly lines.

 NEWS |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit d20cc827791e177eb73a9003c6704b7a5bc49f71
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 30 01:06:08 2008 +0000

    [NEWS] Correct a couple of typos.
    
    Whilst Carl's not looking, fix a couple of typos -- in particular the one
    calling me a bug! ;-)

 NEWS |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 0ceda81dfdfc4adcec28c71be7822caa0627d818
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Oct 29 17:38:36 2008 -0700

    NEWS: Add long list of bugs fixed for 1.8.2.
    
    (Still need to add a paragraph or two summarizing the release.)

 NEWS |  110 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 110 insertions(+), 0 deletions(-)

commit e0046aaf417a61da008dc6374871fa3687ba94ab
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Oct 29 16:25:00 2008 -0700

    Remove twin perf case.
    
    This performance test relied on the recently-removed ability
    to select the internal twin-based font family with a name of
    "cairo".
    
    Presumably, we'll want to bring this performance case back when
    some other means of requesting that font face is added.

 perf/Makefile.am  |    1 -
 perf/cairo-perf.c |    1 -
 perf/cairo-perf.h |    1 -
 perf/twin.c       |   50 --------------------------------------------------
 4 files changed, 0 insertions(+), 53 deletions(-)

commit 292233685534aed712dfd45e8ccf498b792ce496
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Oct 29 16:25:00 2008 -0700

    Remove twin test case.
    
    This test relied on the recently-removed ability to select
    the internal twin-based font family with a name of "cairo".
    
    Presumably, we'll want to bring this test case back when
    some other means of requesting that font face is added.

 test/.gitignore         |    1 -
 test/Makefile.am        |    6 ----
 test/twin-ps2-ref.png   |  Bin 1167 -> 0 bytes
 test/twin-ps3-ref.png   |  Bin 1167 -> 0 bytes
 test/twin-svg11-ref.png |  Bin 1773 -> 0 bytes
 test/twin-svg12-ref.png |  Bin 1773 -> 0 bytes
 test/twin.c             |   60 -----------------------------------------------
 7 files changed, 0 insertions(+), 67 deletions(-)

commit a824d284be23793a5c48b9ae833dcb7b2d5fff80
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Oct 29 16:21:42 2008 -0700

    Remove the ability to select the internal font face with a name of "cairo".
    
    It's not fair to steal this name from the namespace of family names.
    There are definitely cairo.ttf files that exist out there, and people
    may already be using these, (or may use them in the future), with
    cairo_select_font_face and a family name of "cairo".
    
    In place of this, we'll want to come up with some other new, and
    documented API for selecting the internal font face.

 src/cairo-font-face.c |    6 ++----
 src/cairoint.h        |    1 -
 2 files changed, 2 insertions(+), 5 deletions(-)

commit f039da8d9172a6fb60082901c8dc56c7159ecd24
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Oct 29 16:17:24 2008 -0700

    Add doltcompile and doltlibtool to .gitignore.
    
    These generated files were recently added to our build system.
    We definitely don't want to see them in git-status output.

 .gitignore |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 81439b3bc8656b34c13b3cc7b5b6a9f03a3c8c54
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Oct 29 16:15:12 2008 -0700

    Add missing files to CLEANFILES and DISTCLEANFILES.
    
    Without these files in these lists, "make distcheck" is unhappy.

 Makefile.am      |    4 +++-
 test/Makefile.am |    9 +++++++++
 2 files changed, 12 insertions(+), 1 deletions(-)

commit dd0416f5d47a946498219616f53abdad81d4fc38
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Oct 28 18:01:09 2008 -0700

    Add recently added reference images to REFERENCE_IMAGES list.
    
    This is just part of the make-distcheck routine for me. I know
    Behdad added a test to check for missing images in the list, but
    it doesn't seem to be getting run automatically as part of
    'make test' nor 'make distcheck', (or if it it, then I'm not
    noticing its output).

 test/Makefile.am |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 9cd9644c1d993f86c6eb7bee692fe642d6d280b1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 29 21:56:36 2008 +0000

    [test] Add a pass-through test.
    
    Check that colour values are correctly passed through all the backends.
    Simple test of the most fundamental functionality.

 test/.gitignore                 |    1 +
 test/Makefile.am                |    3 +
 test/pass-through-ref.png       |  Bin 0 -> 221 bytes
 test/pass-through-rgb24-ref.png |  Bin 0 -> 179 bytes
 test/pass-through.c             |   99 +++++++++++++++++++++++++++++++++++++++
 5 files changed, 103 insertions(+), 0 deletions(-)

commit cec689eab628b59ee1d69e241c5d336760304ea0
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Oct 28 17:18:34 2008 -0700

    RELEASING: Suggest running 'make distcheck' against Xvfb.
    
    This avoids hitting driver-specific bugs in the X server, and is
    better than doing 'DISPLAY= make distcheck' which simply disables
    all xlib testing completely.

 RELEASING |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 0ca6ba18e398db7ed8f8bca5faa93d48aa3a4878
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Oct 28 17:15:42 2008 -0700

    Add note to test/README on running with Xvfb.
    
    This X server has been tested to run through the test suite with
    no unexpected failures, and it avoids hitting any X-driver-specific
    bugs.

 test/README |   17 +++++++++++++++++
 1 files changed, 17 insertions(+), 0 deletions(-)

commit eed67717649c343e42ce102a4d78a245dba48925
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Oct 28 17:12:15 2008 -0700

    Disable the svg12 target in boilerplate.
    
    This target was added to the boilerplate during 1.8.1. It currently
    shows many failures in the test suite. These failures likely fall
    into three different classes:
    
    	* Tests needing new svg12-specific reference images
    
    	* Tests exercising bugs in librsvg
    
    	* Tests exercising existing cairo bugs
    
    We haven't gone through the effort to separate these, but even for
    the tests that are exercising actual cairo bugs, these are likely
    bugs that existed in the cairo 1.8.0 release and not regressions.
    
    Because of that, in this commit I'm conditionally disabling the
    testing of the svg12 target. As soon as we increment the cairo
    version to 1.9.0 or higher, this target will get re-enabled
    automatically and we can begin the work to separate the tests as
    described above and also fix the bugs.

 boilerplate/cairo-boilerplate.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit a94928ddfa066f6e6824775b9d0b6008f3fcbf26
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Oct 28 15:55:38 2008 -0700

    Add svg-specific reference images for the twin test.
    
    A bit annoying that I have to add the same image as both -svg11
    and -svg12 but that's all the support we have in the current
    test suite. I suppose I could avoid doing that by figuring out
    why this test case cannot successfully roundtrip through librsvg
    and back through cairo.

 test/twin-svg11-ref.png |  Bin 0 -> 1773 bytes
 test/twin-svg12-ref.png |  Bin 0 -> 1773 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 53554ea8892893098b29a27a23c069f0ee584a06
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Oct 28 15:50:44 2008 -0700

    Add ps2-specific reference images for trap-clip test.
    
    These are quite similar to the existing ps3-specific reference images.
    I definitely don't see any reason why this output should be considered
    a failure.

 test/trap-clip-ps2-argb32-ref.png |  Bin 0 -> 5690 bytes
 test/trap-clip-ps2-rgb24-ref.png  |  Bin 0 -> 5617 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 10fd16a05d8549753179ab5cca855539fb7dec94
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Oct 28 15:41:40 2008 -0700

    Mark user-font-mask as XFAIL.
    
    This test is expected to fail due to a couple of known bugs. Chris
    has fixes for both bugs, but is holding off on them until after 1.8.2
    to prevent introducing any possible new bugs with his fixes.

 test/Makefile.am |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit 655546243f57ae2a5c1813bd45994b18061f1c74
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Oct 28 15:35:35 2008 -0700

    Rename user-font-image test to user-font-mask.
    
    Otherwise the reference image (user-font-image-ref.png) gets
    interpreted as an image-specific reference image for the
    user-font test case resulting in a bogus failure.

 test/Makefile.am             |    4 +-
 test/user-font-image-ref.png |  Bin 6011 -> 0 bytes
 test/user-font-image.c       |  254 ------------------------------------------
 test/user-font-mask-ref.png  |  Bin 0 -> 6011 bytes
 test/user-font-mask.c        |  254 ++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 256 insertions(+), 256 deletions(-)

commit 42d2d1b6d3b187b5dbdb630783d7c9bf90c66fb2
Author: Carl Worth <cworth@cworth.org>
Date:   Tue Oct 28 12:48:03 2008 -0700

    Correct NEWS to say 'release' instead of 'snapshot' for 1.8.0
    
    A copy-and-paste bug strikes again.

 NEWS |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1327ec232cfca675647fb03876487c92fb638354
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 28 10:00:38 2008 +0000

    [image] Remove invalid assert.
    
    The assert can fail for an error surface.
    
    TODO: Decide what values should be returned from getters for error
    surfaces.

 src/cairo-image-surface.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 9481d999df8d399543bdbb45b85bd24b1725bece
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 28 09:59:01 2008 +0000

    [image] Check create_for_data() to ensure a valid minimum stride.
    
    Double check that the user is not being silly by passing in a stride that
    is too small for the width. evince/poppler is one such example...

 src/cairo-image-surface.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 88f628b3972819c0f6ce8e5f06d0f7e6abb9d661
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 28 09:11:23 2008 +0000

    [perf] Fix rectangular case of unaligned-clip.
    
    Janoos spotted that the unaligned clip actually degenerated to an empty
    clip due to a typo when constructing the second rectangle. Simply use a
    cairo_rectangle() instead.

 perf/unaligned-clip.c |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

commit 1522805f39c505ff05231e67de5a6e6686081d46
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Oct 27 20:57:56 2008 -0400

    [Makefile.am.releasing] Fix typo

 build/Makefile.am.releasing |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3386794d96d2b1616af9db5b7df1fc5c7a5796a7
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Oct 27 14:09:19 2008 -0700

    Add creation of a versioned manual to the release-publish target.
    
    This arranges so that a versioned manual will be available of the form:
    
    	http://cairographics.org/manual-X.Y.Z
    
    for all future releases and snapshots. We're going through the process
    of manually doing all former releases, such as:
    
    	http://cairographics.org/manual-1.2.0/
    
    which the LSB folks wanted to reference.

 build/Makefile.am.releasing |   27 ++++++++++++++++++---------
 1 files changed, 18 insertions(+), 9 deletions(-)

commit a1a7ec6a056fa36389a48c0f53884ae7e92ebc1a
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Oct 27 23:13:05 2008 +1030

    Change ps to ps3 in test/README
    
    The ps target no longer exists.

 test/README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 670d942fe3dafbed5ceca234e760f29f793233cb
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Oct 27 23:04:16 2008 +1030

    Change user-font-image test to use a pattern
    
    This can be used to expose a bug in _cairo_rectangle_intersect() by
    changing:
    
      fixed_scale = 1024 to 1 in cairo-user-font.c
    
    and
    
    cairo_matrix_translate (&matrix, 0, -8) to (&matrix, 0, -9) in
    user-font-image.c
    
    This will cause cairo_text_extents (cr, text, &extents) in
    user-font-image.c to return a height of 8388683.

 test/user-font-image-ref.png |  Bin 5502 -> 6011 bytes
 test/user-font-image.c       |   13 +++++++++++--
 2 files changed, 11 insertions(+), 2 deletions(-)

commit cdacf55e1b16a6982c681fab212405fc4af4f1db
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Mon Oct 27 22:07:04 2008 +1030

    Add user-font-image test
    
    Draws bitmap glyphs using cairo_mask(). This test exposes a bug in the
    calculation of the glyph extents.

 test/Makefile.am             |    2 +
 test/user-font-image-ref.png |  Bin 0 -> 5502 bytes
 test/user-font-image.c       |  245 ++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 247 insertions(+), 0 deletions(-)

commit 22e2dac819de3c082424ebf3ce8f64c9c4797e8a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 26 10:21:37 2008 +0000

    [stroke] Ensure we record the first face for a dashed path.
    
    If the first face was outside the bounds then we skipped it, and so a
    close would incorrectly connect to the first visible face.

 src/cairo-path-stroke.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 64fb3290f00bafc4a10e6432226f669a51fa0bc6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 26 09:54:03 2008 +0000

    [stroke] _cairo_stroker_line_to_dashed() whitespace
    
    A couple of comment spelling mistakes and rearrange whitespace to more
    closely match CODING_STYLE.

 src/cairo-path-stroke.c |   57 ++++++++++++++++++++++++++++++++--------------
 1 files changed, 39 insertions(+), 18 deletions(-)

commit 88935947d11762c91e282fb129c493afc6f2f1a6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 26 08:19:31 2008 +0000

    [test] Add leaky-dashed-stroke
    
    A test case for a leak whilst closing a dashed stroke extracted from the
    report by Jeff Muizelaar who found the artifact whilst looking at
      firefox http://people.mozilla.com/~jmuizelaar/BerlinDistricts-check.svg

 test/.gitignore                      |    1 +
 test/Makefile.am                     |    4 +
 test/leaky-dashed-stroke-ps2-ref.png |  Bin 0 -> 5511 bytes
 test/leaky-dashed-stroke-ps3-ref.png |  Bin 0 -> 5511 bytes
 test/leaky-dashed-stroke-ref.png     |  Bin 0 -> 9214 bytes
 test/leaky-dashed-stroke.c           |  174 ++++++++++++++++++++++++++++++++++
 6 files changed, 179 insertions(+), 0 deletions(-)

commit 195fd27cc64c7aaf18a6d48ccd9d94548331fd4d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 22 22:04:53 2008 +0100

    [build] Use AC_LINK_IFELSE for testing linker flags.
    
    Richard Hult reported that -Wl,--allow-shlib-undefined was incorrectly
    being identified as supported by gcc under Mac OS/X:
    
    configure:25103: checking whether gcc supports -Wl,--allow-shlib-undefined
    configure:25117: gcc -c -Werror -Wl,--allow-shlib-undefined  conftest.c
    >&5
    i686-apple-darwin9-gcc-4.0.1: --allow-shlib-undefined: linker input file
    unused because linking not done
    
    So instead of just checking whether the compiler accepts the flag, check
    that we can actually link a dummy file.

 build/aclocal.cairo.m4      |   20 ++++++++++++++++++++
 build/configure.ac.warnings |    2 +-
 2 files changed, 21 insertions(+), 1 deletions(-)

commit d692284ab8f90d7402621f1a07aaddcf11d87ef5
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Oct 23 01:45:35 2008 -0400

    [test/user-font] Exercise glyph 0
    
    Previously there was a bug in cairo and/or poppler causing glyph 0 of
    user fonts to not show up.  This is fixed now, so we exercise glyph 0.

 test/user-font.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit e6219f7116311d999054dc31df081aa66a0cd2d3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 22 17:53:05 2008 +0100

    [win32] Correct error paths in text_to_glyphs().
    
    Carl spotted that 1db894 introduced an error into text_to_glyphs() such
    that following an allocation error the code would attempt to thaw an
    unfrozen glyph cache, leading to an attempt to unlock an unlocked mutex -
    which causes a deadlock under win32.

 src/cairo-win32-font.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 09651a1c1a4856607423e9b06c1f7c397ba4f304
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 8 22:39:48 2008 +0100

    Twin perf case

 perf/Makefile.am  |    3 ++-
 perf/cairo-perf.c |    1 +
 perf/cairo-perf.h |    1 +
 perf/twin.c       |   50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 54 insertions(+), 1 deletions(-)

commit 954ebacb71071c53c4e4092b469417f01478bc2d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 22 15:43:56 2008 +0100

    Map toy font face to implementation.
    
    Quartz fonts and user fonts use an indirect font face when creating a
    scaled font for the toy font face. This means that they insert a scaled
    font into the font map that has a different font face to the one that is
    initially searched upon. The result is that when we try to create an
    identical scaled font, we fail to find the existing scaled font and
    attempt to insert a duplicate into the hash table - which triggers an
    assert.
    
    In order to avoid creating duplicate fonts, we add a new method to the
    font backends that allows cairo_scaled_font_create() to peek at the
    font_face that will be used to actually implement the scaled font
    constructor - thus we are able to use the correct font_face as part of the
    hash key.

 src/cairo-font-face.c   |   34 +++++++++++++++++++++++++++++
 src/cairo-ft-font.c     |    2 +
 src/cairo-quartz-font.c |   55 +++++++++++++++++++++++++++++++++++++---------
 src/cairo-scaled-font.c |   11 ++++++++-
 src/cairo-user-font.c   |   37 ++++++++++++++++++++++++-------
 src/cairo-win32-font.c  |    2 +
 src/cairoint.h          |    8 ++++++
 7 files changed, 128 insertions(+), 21 deletions(-)

commit 5e4a1cb0b830f069d99c9512563c82ad628587e3
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Wed Oct 22 21:36:42 2008 +1030

    Don't add a notdef glyph to Type 3 font subsets
    
    This allows user-fonts to use glyph 0 when embedding in PS/PDF.
    According to ISO32000 Type 3 fonts do not require a notdef glyph.

 src/cairo-pdf-surface.c                 |   19 +++-------
 src/cairo-ps-surface.c                  |   21 ++++-------
 src/cairo-scaled-font-subsets.c         |   59 ++++++++++++++++++------------
 src/cairo-type3-glyph-surface-private.h |    6 ---
 src/cairo-type3-glyph-surface.c         |   16 --------
 5 files changed, 48 insertions(+), 73 deletions(-)

commit 170686d4b0ed913a1a175f3f354ec5796814b416
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 22 01:01:06 2008 +0100

    [cairoint] Remove the duplicate prototype.
    
    In the previous commit I added comments and a duplicate prototype. Remove
    the duplicate - but keep the comments.

 src/cairoint.h |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 1db8949f2baf1e620e1d5ef73a66de211420bd0a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 22:48:17 2008 +0100

    Ensure that the scaled font is frozen for the lifetime of the scaled glyph.
    
    After discussing the scaled font locking with Behdad, it transpired that it
    is not sufficient for a font to be locked for the lifetime of a scaled glyph,
    but that the scaled font's glyph cache must be frozen for the glyph'
    lifetime.  If the cache is not frozen, then there is a possibility that the
    glyph may be evicted before the reference goes out of scope i.e. the glyph
    becomes invalid whilst we are trying to use it.
    
    Since the freezing of the cache is the stronger barrier, we remove the
    locking/unlocking of the mutex from the backends and instead move the
    mutex acquisition into the freeze/thaw routines. Then update the rule on
    acquiring glyphs to enforce that the cache is frozen and review the usage
    of freeze/thaw by all the backends to ensure that the cache is frozen for
    the lifetime of the glyph.

 src/cairo-directfb-surface.c    |    4 +-
 src/cairo-glitz-surface.c       |    2 +-
 src/cairo-gstate.c              |    4 -
 src/cairo-meta-surface.c        |    2 -
 src/cairo-mutex-impl-private.h  |    3 +-
 src/cairo-mutex-type-private.h  |    3 +
 src/cairo-paginated-surface.c   |    2 -
 src/cairo-pdf-surface.c         |    2 -
 src/cairo-scaled-font-subsets.c |   30 +++---
 src/cairo-scaled-font.c         |   81 ++++++++++-----
 src/cairo-surface-fallback.c    |    1 +
 src/cairo-surface.c             |    4 -
 src/cairo-svg-surface.c         |    4 +-
 src/cairo-type1-fallback.c      |    9 ++-
 src/cairo-type3-glyph-surface.c |   18 ++--
 src/cairo-user-font.c           |    1 -
 src/cairo-win32-font.c          |   12 ++-
 src/cairo-xcb-surface.c         |  216 +++++++++++++++++++++++----------------
 src/cairo-xlib-surface.c        |   57 ++++++----
 src/cairoint.h                  |    4 +
 src/test-meta-surface.c         |   25 +----
 src/test-paginated-surface.c    |   25 +----
 22 files changed, 280 insertions(+), 229 deletions(-)

commit b2cbbceb4ca57816a498c2c1e676b19182c34e12
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 19:44:42 2008 +0100

    [test/meta-surface-pattern] Propagate errors.
    
    Use cairo_get_target() to propagate any errors from the secondary context.

 test/meta-surface-pattern.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 9d4262ebe07bacacd6e743dea616b37ac51eac01
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Oct 21 17:44:47 2008 -0400

    [build] Use dolt
    
    Dolt is a hack to speed up libtool-based build systems:
    
    	http://dolt.freedesktop.org/
    
    It's completely transparent to the user.  Brings make time
    of cairo from 70s down to 20s.  Yay!

 build/aclocal.dolt.m4 |  177 +++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac          |    1 +
 2 files changed, 178 insertions(+), 0 deletions(-)

commit 5a822046cc66d8405618370c1071433016969020
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 11:22:48 2008 +0100

    [test/xlib-expose-event] Propagate errors.
    
    Use cairo_get_target() to propagate errors from secondary contexts.

 test/xlib-expose-event.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit 21223cc12ca00c52c0b39dc60db410f29e4e76c9
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 11:29:12 2008 +0100

    [test/unbounded-operator] Propagate errors.
    
    Use cairo_get_target() to propagate errors from secondary contexts.

 test/unbounded-operator.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 4c8de6d99d337338d6fd57134247515f9815b5e5
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 11:21:37 2008 +0100

    [test/surface-pattern-scale-up] Propagate errors.
    
    Use cairo_get_target() to propagate errors from the secondary context.

 test/surface-pattern-scale-up.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit e8de7d1c3605fa6d89640fb4e0631c07e5366348
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 11:20:54 2008 +0100

    [test/surface-pattern-scale-down] Propagate errors.
    
    Use cairo_get_target() to propagate errors from the secondary context.

 test/surface-pattern-scale-down.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit b5551cfce2969358746dadae90cbe1add012e29c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 11:19:40 2008 +0100

    [test/rotate-image-surface-paint] Proapgate errors.
    
    Use cairo_get_target() to propagate errors from the secondary context.

 test/rotate-image-surface-paint.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 6d41ffbbed2ad3bab2b1a58e1e5d9e1570a37926
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 11:18:37 2008 +0100

    [test/pixman-rotate] Propagate errors
    
    Use cairo_get_target() to propagate errors from the secondary context.

 test/pixman-rotate.c |   33 ++++++++++++++++-----------------
 1 files changed, 16 insertions(+), 17 deletions(-)

commit 64949b81735ee4e43772224d10031f7edfbc8068
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 11:17:13 2008 +0100

    [test/operator-source] Propagate errors.
    
    Use cairo_get_target() to propagate errors from the secondary context.

 test/operator-source.c |   12 ++++--------
 1 files changed, 4 insertions(+), 8 deletions(-)

commit 971f030b7dca7ce24e54d0465900e6984020345e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 11:27:17 2008 +0100

    [test/operator-clear] Propagate errors.
    
    Use cairo_get_target() to propagate errors from secondary contexts.

 test/operator-clear.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 9b919b0e91b6c64acbcbfc05c72610188327be67
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 11:14:51 2008 +0100

    [test/extend-pad] Propagate errors.
    
    Use cairo_get_target() to propagate errors from the secondary context.

 test/extend-pad.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 69415b4fc6387acda7498847f8181c802c8b0982
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 11:25:38 2008 +0100

    [test/device-offset-scale] Propagate errors
    
    Use cairo_get_target() to propagate errors from the secondary contexts.

 test/device-offset-scale.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit 9ab296123ef49259a67e8dc43708023da2759283
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 11:14:01 2008 +0100

    [test/device-offset-positive] Propagate errors.
    
    Use cairo_get_target() to propagate errors from the secondary context.

 test/device-offset-positive.c |   12 +++++-------
 1 files changed, 5 insertions(+), 7 deletions(-)

commit 594fa0836f2526e0a7f44fc7184f7f09de7dd41f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 11:12:11 2008 +0100

    [test/device-offset] Propagate error.
    
    Use cairo_get_target() to propagate errors from the secondary context.

 test/device-offset.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 29da47be60b0373ff93769f9f373a20b15a01e0f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 10:42:41 2008 +0100

    [ps] Check for an empty font subset.
    
    Return early before trying to emit an empty subset into the document -
    avoids a potential use of an uninitialised status variable.

 src/cairo-ps-surface.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit fd1f3c27e093b1f51f0c1a381cc02cbf8f9889d7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 21 09:17:56 2008 +0100

    [configure] Check for atomic xchg.
    
    Bug 18140 identifies a case where we have an atomic increment, but not an
    atomic exchange. We need both to implement atomic reference counting, so
    add a second check to detect whether __sync_val_compare_and_swap
    generates a non-atomic instruction.
    
    Fixes http://bugs.freedesktop.org/show_bug.cgi?id=18140.

 build/aclocal.cairo.m4 |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 71e4f7e3a10e6c9794360473d0114b27b42bcead
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 23:54:57 2008 +0100

    Add API documentation for NULL filenames and write_funcs.
    
    Mention in the API docs that you can pass a NULL filename to
    cairo_(pdf|ps|svg)_surface_create in order to construct a queryable
    surface without generating any temporary files. Similarly when passing a
    NULL write_func to cairo_pdf_surface_create_for_stream et al.

 src/cairo-pdf-surface.c |   10 ++++++++--
 src/cairo-ps-surface.c  |   10 ++++++++--
 src/cairo-svg-surface.c |   10 ++++++++--
 3 files changed, 24 insertions(+), 6 deletions(-)

commit 6cb2b29434ffd5e718868d90e31cb050904b3ea7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 23:22:16 2008 +0100

    [mutex] s/HOLDS_MUTEX/MUTEX_IS_LOCKED/
    
    Behdad prefers the latter to keep a clean namespace.

 src/cairo-mutex-impl-private.h |    2 +-
 src/cairo-mutex-type-private.h |    4 ++--
 src/cairo-scaled-font.c        |   18 +++++++++---------
 3 files changed, 12 insertions(+), 12 deletions(-)

commit ae9d17c015867002895c8aa4e1c6dd1ef370dd20
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 22:31:17 2008 +0100

    [directfb] Unbounded operators are unsupported.
    
    Currently the emulation of Porter-Duff operators does not correctly
    handle the unbounded operators.

 src/cairo-directfb-surface.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 1f35f31c4ee50dcc2f7c8616b9bbb5c45b4ed707
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 22:14:41 2008 +0100

    [directfb] Fallback for SATURATE
    
    We're unable to satisfactorily emulate SATURATE using the src/dst blend
    modes, so fallback. (Might just be a bug in libdirectfb...)

 src/cairo-directfb-surface.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit c7951c4a368baaeeadca4e2a18d3ad45225380a0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 22:04:58 2008 +0100

    [directfb] Perfom text fallback if emulating clip regions.
    
    Fallback if we have a clip that is not a simple region.

 src/cairo-directfb-surface.c |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit 98933fd4b8579b68623a8212015769b058db43f5
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 20:59:14 2008 +0100

    [directfb] When blitting check if we need the un-premultiplied color.
    
    When blitting whether we need to use the premultiplied color is dependent
    upon the destination surface capabilities.

 src/cairo-color.c            |    3 ++
 src/cairo-directfb-surface.c |   75 ++++++++++++++++++++++++++++-------------
 2 files changed, 54 insertions(+), 24 deletions(-)

commit 4af8aa5f4d31141a6a4ba914cc860aff5d342d5b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 20:15:12 2008 +0100

    [directfb] Apply clip to release_dest_image()
    
    We need to respect the current clip when copying the fallback image back to
    the target surface.

 src/cairo-directfb-surface.c |   23 ++++++++++++++---------
 1 files changed, 14 insertions(+), 9 deletions(-)

commit 0ba5085ba06fd1c0ff1ebc88111d4573675a2e17
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 19:41:20 2008 +0100

    [directfb] Fix OBO in clip.
    
    DirectFB seems to use inclusive upper bounds.

 src/cairo-directfb-surface.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2743e84171fd2a548ac37b1fdd3611d319acded0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 19:32:21 2008 +0100

    [directfb] Force NEAREST.
    
    The current version of DirectFB does not support any filters, so set
    NEAREST on the source patterns so that we can fully optimize the pattern
    inside core.

 src/cairo-directfb-surface.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit f1669d31c0064b8ffbc7db2527fed85488fb305c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 19:03:33 2008 +0100

    [directfb] Track the empty clip rectangle.
    
    A region with no extents means everything should be clipped out, so we
    need an extra flag to disambiguate when we have 0 clip rectangles.

 src/cairo-directfb-surface.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit ebe3048f9b74ff949795a807a7076ec756150ede
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 18:59:03 2008 +0100

    [directfb] Cap the maximum surface size to use for the font cache.
    
    Fallback if we need to create a cache larger than the maximum usable
    surface.

 src/cairo-directfb-surface.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit 6f35c2d13e4cb736634bf446d3b8ee38cc6a6b9b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 18:39:45 2008 +0100

    [directfb] Only use the pure BLIT for integer translations.
    
    If we have non-integer translation on a source pattern then we need to use
    STRECTHBLIT (the core takes care to optimize NEAREST patterns to integer
    translations so that this will only be used when interpolation is
    required).

 src/cairo-directfb-surface.c |   30 +++++++++++++++++++++++-------
 1 files changed, 23 insertions(+), 7 deletions(-)

commit 55bb7087b0236fe27980efda829f7b72e047b316
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 16:47:41 2008 +0100

    [directfb] Tweak _categorize_operation().
    
    Explicitly list the extend modes that are supported/unsupported and
    immediately check for an unsupported operation.

 src/cairo-directfb-surface.c |   37 +++++++++++++++++++++++++------------
 1 files changed, 25 insertions(+), 12 deletions(-)

commit edb65213ec975e517165bc3b623f676a12917d0c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 16:46:08 2008 +0100

    [directfb] Support ROI cloning.
    
    Only clone the ROI in order to efficiently handle large sources.

 src/cairo-directfb-surface.c |   11 ++++-------
 1 files changed, 4 insertions(+), 7 deletions(-)

commit 4006e49ac1e96a983346f97be97bfd850f247ab0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 16:45:06 2008 +0100

    [directfb] Rename backend structure.
    
    Use _cairo_directfb_surface_backend for consistency with other backends.

 src/cairo-directfb-surface.c |   37 ++++++++++++++++++++++++-------------
 1 files changed, 24 insertions(+), 13 deletions(-)

commit 7e31ddbb08a6a7cf1db06c950c3768e54a5f4cfa
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 13:04:20 2008 +0100

    [directfb] Whitespace.
    
    Trim lots of trailing whitespace and fix up according to CODING_STYLE.

 src/cairo-directfb-surface.c | 1478 +++++++++++++++++++++---------------------
 1 files changed, 733 insertions(+), 745 deletions(-)

commit d49563280b80dd85275057b6442d2f4ece8d724c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 12:49:52 2008 +0100

    [directfb] Simplify return from _directfb_get_operator().
    
    Used only as a predicate, so simply return a boolean.

 src/cairo-directfb-surface.c |  138 +++++++++++++++++++++---------------------
 1 files changed, 68 insertions(+), 70 deletions(-)

commit b17d0ded8cd42d84e97ca2c1fbd4aefedd570b8e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 12:48:02 2008 +0100

    [directfb] Use the solid pattern cache.
    
    The dfb backend recreated a solid color surface for every colour,
    completely bypassing the solid pattern cache.

 src/cairo-directfb-surface.c |   72 ++++++++++-------------------------------
 1 files changed, 18 insertions(+), 54 deletions(-)

commit 786bea48df0dc6d76b2ad00409804a803fe2f4b6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 12:19:50 2008 +0100

    [boilerplate/directfb] Create ARGB surfaces on demand.
    
    Create an RGB or ARGB surface depending upon the content type of the test
    target, with the result that the directfb rgb24 target no longer
    unconditionally fails.

 boilerplate/cairo-boilerplate-directfb.c |   23 +++++++++++++----------
 1 files changed, 13 insertions(+), 10 deletions(-)

commit 4ba9ccc6ab5926d59696f86193f42df2195d7cda
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 23:07:38 2008 +0100

    [configure.ac.analysis] s/safe/_save/
    
    Rename the temporary variable in line with the convention used by the rest
    of the build system.

 build/configure.ac.analysis |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 3a45b07af9743a26305c2576f838b4f3ef83bbb8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 10:37:46 2008 +0100

    [perf] Free images for composite-checker
    
    Fix memleak of the image surfaces.

 perf/composite-checker.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 86356a9578dc248a755aceb7a04aef67a6c529b3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 20 17:12:21 2008 +0100

    [test] Add degenerate-dash to XFAIL.
    
    PS (ghostscript) interprets the degenerate end-caps quite differently, and
    perhaps slightly more rationally... Add this to XFAIL, until we have a
    definitive specification on how we should behave.

 test/Makefile.am |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 83d2552e4cafc9f86a8055abdf6caa685ed4922b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Oct 20 17:59:09 2008 -0400

    Remove CAIRO_BEGIN_DECLS uses that ickle introduced while merging

 src/cairo-mutex-impl-private.h |    2 --
 src/cairo-mutex-type-private.h |    2 --
 2 files changed, 0 insertions(+), 4 deletions(-)

commit eab37f76b0f26a7b007dd51debf4d4901310c8b0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 19 22:12:18 2008 +0100

    [directfb] Return an error surface on create() failure.
    
    Do not return NULL but an NO_MEMORY error surface if we fail to allocate
    the surface during creation.

 src/cairo-directfb-surface.c |   21 ++++++++++-----------
 1 files changed, 10 insertions(+), 11 deletions(-)

commit 6a02f53dd191605986b15e4757b16f599fe8de5f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 19 14:21:15 2008 +0100

    [directfb] Simplifiy ADD_TRI
    
    Simplify the ADD_TRI macro to make the code more readable.

 src/cairo-directfb-surface.c |   30 +++++++++++++-----------------
 1 files changed, 13 insertions(+), 17 deletions(-)

commit aba457fe64f12598043b11ae076f0a93fe05eba7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 19 14:03:24 2008 +0100

    [directfb] Add missing error status
    
    We jumped to the ERROR path without setting an error status - assume
    NO_MEMORY.

 src/cairo-directfb-surface.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 610451e4a7b079d30a73384a76f0aaab250c2970
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 19 12:45:45 2008 +0100

    [directfb] Correct fixed-to-double conversion.
    
    The trapezoid calculations had not been updated after the 16.16->24.8
    switch. Use _cairo_fixed_to_double() rather than open-coding.

 src/cairo-directfb-surface.c |  110 ++++++++++++++++++++---------------------
 1 files changed, 54 insertions(+), 56 deletions(-)

commit 8e0950ced8837a35b9dc0254860250f9fa1a9613
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 19 12:11:13 2008 +0100

    [boilerplate/directfb] Gracefully handle failure to create surface.
    
    Simply return NULL indicating failure to create the target surface rather
    than aborting the test (allowing other targets to be tested).

 boilerplate/cairo-boilerplate-directfb.c |  230 +++++++++++++++++-------------
 1 files changed, 130 insertions(+), 100 deletions(-)

commit 801df1b87a585ebf71e6d3d74b815f3470b81ae9
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 19 11:55:20 2008 +0100

    [directfb] Fix error propagation from surface_create()
    
    Do not mask fatal errors, but correctly propagate the error status.

 src/cairo-directfb-surface.c |  208 +++++++++++++++++++++++-------------------
 1 files changed, 114 insertions(+), 94 deletions(-)

commit 476d17fa788fcf173e58b963540c6557f846ceed
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 19 11:35:27 2008 +0100

    [directfb] Compile fix.
    
    Fixup compilation after 901f0b.

 src/cairo-directfb-surface.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d72969289db62b38ca024a41c0d8e0df480e7f8c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 19 09:47:33 2008 +0100

    [image] Remove unused variable.
    
    Cleanup the compiler warning for the unused status after code shuffling.

 src/cairo-image-surface.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit f2ff7944264c23cbec856be3e85f240a93184f80
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 11:56:19 2008 +0100

    [perf] A crude tool to visualise performance changes across a series.
    
    Generate a cairo-perf-diff graph for a series of commits in order to be
    able to identify significant commits. Still very crude, but minimally
    functional.

 configure.ac                   |    3 +
 perf/.gitignore                |    1 +
 perf/Makefile.am               |   26 ++-
 perf/Makefile.win32            |    6 +-
 perf/cairo-perf-diff           |   12 +-
 perf/cairo-perf-diff-files.c   |  458 -------------------------------
 perf/cairo-perf-graph          |  205 ++++++++++++++
 perf/cairo-perf-graph-files.c  |  593 ++++++++++++++++++++++++++++++++++++++++
 perf/cairo-perf-graph-widget.c |  450 ++++++++++++++++++++++++++++++
 perf/cairo-perf-graph.h        |   63 +++++
 perf/cairo-perf-report.c       |  456 ++++++++++++++++++++++++++++++
 perf/cairo-perf.c              |    1 +
 perf/cairo-perf.h              |   61 ++++-
 perf/cairo-stats.h             |    8 -
 14 files changed, 1865 insertions(+), 478 deletions(-)

commit 41c8eefc6d432ab213f6f405c3d6346adb7f7931
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 15 22:24:32 2008 +0100

    [output-stream] Protect against NULL write_func.
    
    Allow the user to specify a NULL write_func for the output stream so that
    a dummy surface can be created, for example, for querying target font
    options or font extents.
    
    Currently we do not perform any sanity checks at the user entry point and
    will generate a mysterious SEGV during cairo_surface_finish() - which may
    not immediately be obvious that it is due to a NULL write_func.

 src/cairo-output-stream.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 84e4a825fffe3d78e95dec3406a86da6a23144c2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 15 22:15:17 2008 +0100

    [output-stream] Accept a NULL filename
    
    Principally to support creating a dummy vector surface (i.e.
    cairo_ps_surface_create (NULL, 1, 1)) that can be used to determine font
    extents (or target font options) before opening an output file, but also
    because we currently fail to do any sanity checking at the entry point.

 src/cairo-output-stream.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 52ea38f97b1b90e395c667619770482b10e5672e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Oct 18 00:44:29 2008 +0100

    [meta] Acquire scaled_font mutex for glyph_path().
    
    The caller of _cairo_scaled_font_glyph_path() is expected to be holding
    the scaled_font->mutex.

 src/cairo-meta-surface.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 299ea0580a646dc55fd0156f1904fe4b45ec5725
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Oct 18 00:37:38 2008 +0100

    [user-font] Review locks under error conditions.
    
    Simplify the error handling by only relinquishing the global
    scaled_font_map mutex if we successfully insert the placeholder font. The
    result is that on the error path, there are no changes to global state and
    thus we can entirely skip the user-font initialisation and
    re-registration.

 src/cairo-scaled-font.c |   44 ++++++++++++++++++++++----------------------
 src/cairo-user-font.c   |   39 +++++++++++++++++++++++----------------
 src/cairoint.h          |    2 +-
 3 files changed, 46 insertions(+), 39 deletions(-)

commit c76a8481f372fab8981231b257fdcc69466263d2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Oct 18 00:36:34 2008 +0100

    [analysis] Check for error surfaces.
    
    If the target surface is an error surface, ensure that we return the
    appropriate error surface. Likewise, avoid writing to error surfaces.

 src/cairo-analysis-surface.c |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

commit 5b28b0b903cb2fdb8a5614659d528bf12488389e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Oct 18 00:35:48 2008 +0100

    [ps] Destroy type3 surface on error.
    
    After an error, ensure that the local type3 surface is destroyed.

 src/cairo-ps-surface.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 6b17c6da47c42dd04ed2acad723c25b6da41b51c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Oct 18 00:34:17 2008 +0100

    [type3] Acquire scaled_font mutex whilst looking up glyphs.
    
    When looking up the glyph in the shared scaled_font glyph cache, the
    caller is required to have taken the scaled_font->mutex.

 src/cairo-type3-glyph-surface.c |   50 +++++++++++++++++++++++---------------
 1 files changed, 30 insertions(+), 20 deletions(-)

commit f56cf93181e73b4ba74f25ce14f7ed6c7cf36e83
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 22:13:53 2008 +0100

    [user-font] Check for error objects.
    
    Check that the user has not passed in an inert error object before any
    attempts to write to it and return the default values.

 src/cairo-user-font.c |   71 ++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 59 insertions(+), 12 deletions(-)

commit 1f9f9d936b296dbe796b1436c7da7fa3462f7d59
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 15:39:56 2008 +0100

    [pdf] Acquire scaled_font mutex for show_text_glyphs().
    
    We need to be holding the scaled font mutex over a call to draw text
    glyphs from within an smask group.

 src/cairo-pdf-surface.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 12fb8c9b7c808ab20bee466aa28ee368559fd902
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 15:33:07 2008 +0100

    [type1] Acquire scaled_font mutex.
    
    In order to perform glyph lookups we need to be holding the mutex for the
    scaled_font.

 src/cairo-type1-fallback.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ca5f868a73b35eda737ae6596efff91f82eeea75
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 15:26:20 2008 +0100

    [scaled-font] Zero font extents for an error surface.
    
    Do not attempt to read from the error object, but just return zero
    extents.

 src/cairo-scaled-font.c |   13 ++++++++++++-
 1 files changed, 12 insertions(+), 1 deletions(-)

commit 1ddf0b2a5c1f3d20b9a91acf7aae021f6b738485
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 10:35:38 2008 +0100

    [surface] Reorder asserts to make no assumptions about error objects.
    
    If the surface is in error, then we cannot assume anything about the
    validity of its contents other than the error status (and reference
    count). This is for the cases were the surface is replaced by a nil
    surface, and in future where the error surface may be replaced by a tiny
    error object.

 src/cairo-surface.c |   94 +++++++++++++++++++++++++-------------------------
 1 files changed, 47 insertions(+), 47 deletions(-)

commit 644e78ca4e6f72499fcf763acd53fa7235b0226d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 20:34:13 2008 +0100

    [svg] Lock the scaled_font whilst emitting glyphs.
    
    We need to hold the scaled_font mutex whilst looking upon glyphs so lock
    the font whilst iterating over the font subset.

 src/cairo-svg-surface.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 4587e9e4f5c46656108b05f7a4841f78df14de26
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 19:11:09 2008 +0100

    [scaled-font-subsets] Add locking to unscaled font.
    
    During map_glyph() we are passed a locked scaled_font for which we are
    asked to add a glyph from that font into the active subsets for the
    surface. This means that we eventually call scaled_glyph_lookup() to load
    the glyph. But first, we attempt to find an existing an existing sub_font
    for glyph, creating a new sub_font as necessary (possibly using an
    entirely different unhinted scaled font). So before accessing the glyph
    cache we need to make sure that we are holding the appropriate mutexes.

 src/cairo-scaled-font-subsets.c |   23 +++++++++++++++++------
 1 files changed, 17 insertions(+), 6 deletions(-)

commit d3a6651237a276c410885578c41fb505f83372ed
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 14:37:42 2008 +0100

    [xlib] Set return code after failing to allocate glyph surface.
    
    Although we checked for an allocation error, we missed propagating the
    status to the return error code.

 src/cairo-xlib-surface.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit bfc3a72cff1a3f9641dae7c9f121598a14eb9a5a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 14:06:03 2008 +0100

    [gstate] Propagate error from clip.
    
    During clip transformation we query the clip extents which can trigger a
    fatal error. Check and propagate.

 src/cairo-gstate.c |   33 +++++++++++++++++++++++----------
 1 files changed, 23 insertions(+), 10 deletions(-)

commit 7975cf3f2c0bc28b8b3c916d5ba725abb38b300d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 13:21:28 2008 +0100

    [paginated] Free local reference to target on error path.
    
    On the error path we must destroy the local reference to the target
    surface.

 src/cairo-paginated-surface.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4662204a2a02d50e674f121d82bbb4fe1b8f1436
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 12:44:45 2008 +0100

    [test-paginated] Fix double free of surface along error path.
    
    The ownership of the surface is transferred to the paginated surface, so
    we do not need to destroy it ourselves along the error path.

 src/test-paginated-surface.c |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

commit bf3202fcfd281be3fa62c2d6719377a8f2a0dec4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 12:33:22 2008 +0100

    [xlib] Fix double free of Pixmap along error path.
    
    If the paint fails then we attempt to free the Pixmap ourselves and via
    the cairo_surface_destroy (as it also believes that it owns the Pixmap).

 src/cairo-xlib-surface.c |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit 901f0b540c764e131dd9745def329308af61b3d5
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 12:19:09 2008 +0100

    Review backend->create_similar()
    
    Avoid masking fatal errors by enforcing any error to be returned via an
    error surface, so that the NULL return only means UNSUPPORTED. A few
    backends called their create_similar() directly, without correctly checking
    for a potential NULL (for example, the directfb backend was a timebomb,
    since it used NULL to indicate out-of-memory).

 src/cairo-directfb-surface.c |   18 ++++++++++--------
 src/cairo-glitz-surface.c    |   17 +++++++++++------
 src/cairo-quartz-surface.c   |    4 ++--
 src/cairo-surface.c          |    8 ++------
 src/cairo-win32-surface.c    |   18 +++++++++++++-----
 src/cairo-xcb-surface.c      |    2 ++
 6 files changed, 40 insertions(+), 27 deletions(-)

commit 9529699028a5c7a3b0f81f945d25f26285247a11
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 19 09:35:07 2008 +0100

    [test/user-font-rescale] Check and propagate errors.
    
    We need to check the error status on set_user_data() to be sure that the
    data has been set and error otherwise.

 test/user-font-rescale.c |   63 +++++++++++++++++++++++++++++----------------
 1 files changed, 40 insertions(+), 23 deletions(-)

commit 683de2fea2d8cdeea9759cbf3ab7492d634e7af2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Oct 18 00:01:39 2008 +0100

    [test/user-font[-proxy]] Check for error from set_user_data().
    
    Check in case we fail to attach our user_data.

 test/user-font-proxy.c |   69 +++++++++++++++++++++++++++---------------------
 test/user-font.c       |   24 +++++++++++++---
 2 files changed, 58 insertions(+), 35 deletions(-)

commit 198392990082e01443bbda5c0cbe6dc8bf090baf
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 22:14:49 2008 +0100

    [test/bitmap] Leak on error path.
    
    Free the FcPattern on error.

 test/bitmap-font.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 0409be426cb7f67974346a93213dd4675b59776c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 14:26:15 2008 +0100

    [test/font-matrix-translation] Check for OOM
    
    First check that querying the extents did not trigger NO_MEMORY.

 test/font-matrix-translation.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 21360bf6748b30cf58d54561e40a1aa711d8d7af
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 20:44:51 2008 +0100

    [test/source-surface-big-scaled-down] Propagate error.
    
    Propagate error to source.

 test/surface-pattern-big-scale-down.c |   43 +++++++++++++++++++-------------
 1 files changed, 25 insertions(+), 18 deletions(-)

commit 794160c35baf39593942ba71b45e4e75d2a87103
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 20:37:43 2008 +0100

    [test/surface-pattern] Propagate error.
    
    Use cairo_get_target() to propagate error from secondary context.

 test/surface-pattern.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 0f48cce8d90cf95afcf86d71a932ab4e504b909b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 20:31:57 2008 +0100

    [test/source-clip-scale] Propagate error.
    
    Use cairo_get_target() to propagate error from secondary context.

 test/source-clip-scale.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 6cdbd132ceba159bb7e3ac5612aa79293b21e95a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 20:22:49 2008 +0100

    [test/source-clip] Propagate error.
    
    Use cairo_get_target() to propagate error from the secondary context.

 test/source-clip.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f86f233b3e49c3f401b2fa02987b2193485e8be5
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 20:14:06 2008 +0100

    [test/smask] Propagate error.
    
    Use cairo_get_target() to propagate errors from the secondary context.

 test/smask.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 4490a6c363a8745ba89bfa890519a570d098086e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 19:15:17 2008 +0100

    [test/stroke-image] Propagate error
    
    Use cairo_get_target() to propagate errors from the secondary context.

 test/stroke-image.c |   19 +++++++++++--------
 1 files changed, 11 insertions(+), 8 deletions(-)

commit 6e6d7e52a3c16787633e5059ae36f2fb0d03148a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 19:02:31 2008 +0100

    [test/mask] Propagate error from secondary context.
    
    Reset the source every time so that the error is propagate from the
    secondary context using cairo_get_target().

 test/mask.c |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit a56d4530d6149e2c4fc884a5cfeede2d6ff6d3b6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 15:54:21 2008 +0100

    [test/smask-text] Propagate error.
    
    Use cairo_get_target() to propagate error from the secondary context.

 test/smask-text.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit b1e884cd89ab2b83d3b8e072414e4e3f63e3a023
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 15:52:55 2008 +0100

    [test/smask-stroke] Propagate error.
    
    Use cairo_get_target() to propagate the error from the secondary context.

 test/smask-stroke.c |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

commit 546fbc2c0cf87abd627477056bf19063c5aa001a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 15:50:25 2008 +0100

    [test/smask-paint] Propagate error.
    
    Use cairo_get_target() to propagate errors from the secondary context.

 test/smask-paint.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 8bd69132827fa539d9dfb65bd00e00c079827360
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 15:49:02 2008 +0100

    [test/smask-mask] Propagate error.
    
    Use cairo_get_target() to propagate errors from the secondary contexts.

 test/smask-mask.c |   46 ++++++++++++++++++++++------------------------
 1 files changed, 22 insertions(+), 24 deletions(-)

commit 9c0fe6c61e92044e8599f49e75d38edcdd6be960
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 15:45:07 2008 +0100

    [test/smask-image-mask] Propagate error.
    
    Use cairo_get_target() to propagate any error status from the secondary
    context.

 test/smask-image-mask.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 373d6c76b65e826f81873b51461bdf3c30024c06
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 15:43:26 2008 +0100

    [test/smask-fill] Propagate error status.
    
    Use cairo_get_target() to propagate the error from the secondary context.

 test/smask-fill.c |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

commit bb05beaab626d2fca6d219bfd8148dde71073b39
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 15:27:11 2008 +0100

    [test/show-glyphs-many] Check for NO_MEMORY
    
    As we do a manual status check, we need to perform a full check.

 test/show-glyphs-many.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit c0a4ef76e17dfd43d248c13b7f0665da9b847316
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 14:57:42 2008 +0100

    [test/composite-integer-translate-over-repeat] Propagate error.
    
    Use cairo_get_target() to propagate any errors from the secondary context.

 test/composite-integer-translate-over-repeat.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 4a9e0f0e5ba17a322bbf0f38b2fb418211571d48
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 16:50:32 2008 +0100

    [test/mask] Propagate error from secondary context.
    
    Use cairo_get_target() to infect the primary context with any errors
    raised whilst drawing the mask.

 test/mask.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit eaec1caa94ac871eb881ac354c4442ddd2a308ea
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 16:20:28 2008 +0100

    [test/ft-text-*] Check for errors from fontconfig.
    
    If a match cannot be found, or if any other error occured, then fontconfig
    will return NULL. Check and propagate.

 test/ft-text-antialias-none.c        |   31 ++++++++++++++++++++++++++-----
 test/ft-text-vertical-layout-type1.c |   31 ++++++++++++++++++++++++++-----
 test/ft-text-vertical-layout-type3.c |   31 ++++++++++++++++++++++++++-----
 3 files changed, 78 insertions(+), 15 deletions(-)

commit 336eddfdbb31865e3669ceb775089c63ce1db27f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 17:19:12 2008 +0100

    [test/get-clip] Check the status on the secondary context.
    
    As we solely use a secondary context, we must manually report NO_MEMORY
    errors whilst running under memfault.

 test/cairo-test.c |   14 +++++++-
 test/cairo-test.h |    4 ++
 test/get-clip.c   |   98 +++++++++++++++++++++++++++--------------------------
 3 files changed, 67 insertions(+), 49 deletions(-)

commit d48f9340514c258cfece1b72d2f7e3f7b2d3c7b1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 14:05:14 2008 +0100

    [test/clip-operator] Propagate error from secondary context.
    
    Use the cairo_get_target() to propagate any errors from the secondary
    context.

 test/clip-operator.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit d11014386f739f43ec5f290714d7c51cc638f172
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 5 13:37:07 2007 +0100

    Add support for lockdep.
    
    lockdep is a valgrind skin which performs pthread locking correctness
    validation. In particular it allows one to write assert(HOLDS_LOCK(mutex))
    which both documents the preconditions for a function and enforces them
    when the program is run under lockdep.
    
    As an aide to lockdep (as it works by intercepting the pthread functions),
    all the mutexes should be initialised and destroyed using
    pthread_mutex_init() and pthread_mutex_destroy() rather than using static
    initializers and no-ops.

 src/cairo-mutex-impl-private.h |   14 ++++++++++++++
 src/cairo-mutex-type-private.h |    6 +++++-
 src/cairo-scaled-font.c        |   13 +++++++++++++
 3 files changed, 32 insertions(+), 1 deletions(-)

commit bccfdf7d93c2a92a342127fc212770f4053cb2cf
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 13:47:27 2008 +0100

    [test] Add support for memfault.
    
    Add the core support to cairo-test for running the test-suite under a
    malloc fault injector. This commit contains the adjustments to
    cairo_test_run() to repeat the test if it detects a failure due to fault
    injection and complains if it detects unreported faults or memory leaks.

 build/configure.ac.analysis |   17 +++
 test/cairo-test.c           |  271 +++++++++++++++++++++++++++++++++---------
 test/cairo-test.h           |   10 ++-
 3 files changed, 239 insertions(+), 59 deletions(-)

commit 974fabfe059f9744116d20fd9f8b59f1b8c34b70
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 17 18:52:51 2008 +0100

    [ft] Add more comments about FT_Face lifetime issues.
    
    Currently we only have an example of how to call FT_Done after the last
    reference to the FT cairo_font_face_t has been dropped, but do not
    actually explain why this needs to be done. So add a couple of sentences
    to clarify the likely lifetime of the FT_Face once exposed to cairo.

 src/cairo-ft-font.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit 5fcfc7ebc9a2d1d947898d269be7ba91d27c5261
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 17:13:45 2008 +0100

    [test/README] Document all fonts used.
    
    Do a little leg-work to answer a query in a bug report and document the
    results.

 test/README |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit c1164a574d3e2cc4746384875d5c2781114c0ea4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Oct 16 08:49:13 2008 +0100

    [type1] Add comment to warn about read() as macro.
    
    In case we are ever tempted to simplify the function pointer, warn that it
    may alias with a macro.

 src/cairo-type1-subset.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit ff9ee74b37a88cba2e996bf0cdae1af6b6c6fe30
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Oct 16 17:29:33 2008 +1030

    Revert unintended changes to test/fallback-resolution.c in the previous commit

 test/fallback-resolution.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5911c6966de832fa350a6e9a4d587b7c3b3b4825
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Thu Oct 16 17:22:48 2008 +1030

    Use correct inverse ctm for stroke in meta surface replay
    
    This fixes #9189 Dashed strokes too long in fallback images

 src/cairo-meta-surface.c   |    2 +-
 test/fallback-resolution.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 6afcd821182137e8c3f128f9600e97cff79978b8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 15 22:41:26 2008 +0100

    [test] Add a spline test.
    
    Test the decomposition of 5 different types of spline curve. Useful test
    for future experiments in improving the decomposition algorithm.
    
    Note: the vector targets all need separate reference images due to their
    lack of support for cairo_set_tolerance(). Also GS strokes the Bezier
    curve differently using offset curves and opposed to transcribing the
    outline of a pen.

 test/.gitignore                         |    1 +
 test/Makefile.am                        |    7 +
 test/spline-decomposition-pdf-ref.png   |  Bin 0 -> 20404 bytes
 test/spline-decomposition-ps2-ref.png   |  Bin 0 -> 8957 bytes
 test/spline-decomposition-ps3-ref.png   |  Bin 0 -> 8957 bytes
 test/spline-decomposition-ref.png       |  Bin 0 -> 20402 bytes
 test/spline-decomposition-svg11-ref.png |  Bin 0 -> 20404 bytes
 test/spline-decomposition-svg12-ref.png |  Bin 0 -> 20404 bytes
 test/spline-decomposition.c             |  416 +++++++++++++++++++++++++++++++
 9 files changed, 424 insertions(+), 0 deletions(-)

commit 91b0dc92c8ede189d942188f92068f189907e239
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 15 22:27:53 2008 +0100

    [build] Add -fno-common.
    
    Generate a warning if two files define a global variable with the same
    name, instead of silently merging them to reference the same location.

 build/configure.ac.warnings |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b94b600b34793cecd9a66d37dd34a6619738e2c2
Author: Jeff Muizelaar <jmuizelaar@mozilla.com>
Date:   Wed Oct 15 13:41:03 2008 -0400

    [quartz] Completely remove CAIRO_HAS_QUARTZ_IMAGE_SURFACE check
    
    Instead of fixing the check in d36b02dc662e623bee58a69c32b149a242cbf52b, just
    remove it. Conditionally compilation will keep cairo-quartz-image-surface.c
    from being compiled in when it is not configured to be. Suggested by Behdad.

 src/cairo-quartz-image-surface.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit d36b02dc662e623bee58a69c32b149a242cbf52b
Author: Jeff Muizelaar <jmuizelaar@mozilla.com>
Date:   Wed Oct 15 12:45:11 2008 -0400

    [quartz] Rebalance 'CAIRO_HAS_QUARTZ_IMAGE_SURFACE' #ifdef
    
    Fixes compilation by re-adding '#ifdef CAIRO_HAS_QUARTZ_IMAGE_SURFACE' which
    was, I assume, unintentionally removed by
    2cf4b3161c19b9b0349bd2aa94855fd0822968be.

 src/cairo-quartz-image-surface.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 83162360a44c4d4701f0ade2e2ee813f79186439
Author: Jeff Muizelaar <jmuizelaar@mozilla.com>
Date:   Wed Oct 15 10:34:12 2008 -0400

    Fix quratz_image typo in Makefile.sources.

 src/Makefile.sources |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 877e77fa3e85c09c29e64ca5ae7329346db029cc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 15 12:20:00 2008 +0100

    [glitz] Disable caching of solid surfaces.
    
    glitz currently has no mechanism to release resources upon connection
    closure (ala XCloseDisplay) and so will attempt invalid accesses when
    evicting old surfaces from the solid pattern cache.

 src/cairo-glitz-surface.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit fc04a1e0dbc3cefa51c7602e0a23dba886813fe5
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 15 12:13:40 2008 +0100

    [boilerplate] Fixup compilation for gliitz.
    
    Convert a few old references to cairo_boilerplate_surface_set_user_data.

 boilerplate/cairo-boilerplate-glitz.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit e17f02add019d9acf461a1ad1245ba5be00cf336
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 15 10:52:33 2008 +0100

    [type1] Protect against read macro
    
    POSIX allows for any of its functions to be implemented as a macro,
    inflicting damage upon innocent function pointers that happen to share
    the same name.
    
    face->stream->read() is one such example.
    
    As it's outside of our control (being a FT_Face) we cannot simply rename
    the data member, so we need to explicitly dereference it as a function
    pointer in order to disambiguate it for the compiler.

 src/cairo-type1-subset.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit bc872a5f5fb9b6318dc78d132da46a6b201f75c7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 15 10:21:05 2008 +0100

    [xlib] Handle 4,20,24,28 depth XImages
    
    Bug 9102 cairo doesn't support 24 bits per pixel mode on X11
    (https://bugs.freedesktop.org/show_bug.cgi?id=9102)
    is a reminder that that we need to support many obscure XImage formats.
    With Carl's and Behdad's work to support psuedocolor we have a mechanism
    in place to handle any format that is not natively handled by pixman. The
    only piece we were missing was extending the swapper to handle all-known
    formats and putting in defensive checks that pixels were correctly aligned
    in accordance with pixman's requirements.

 src/cairo-image-surface.c |   13 ++++----
 src/cairo-xlib-surface.c  |   70 +++++++++++++++++++++++++++++++++++++-------
 src/cairoint.h            |    2 +-
 3 files changed, 66 insertions(+), 19 deletions(-)

commit 1728fa352011c570ce1bcc3bd14897e789c85252
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 15 09:23:01 2008 +0100

    [svg] Add notes about why we shouldn't add DOCTYPE.
    
    Emmanuel Pacaud did some research into adding DOCTYPE after we had a
    complaint that our SVG output failed to be validated by batik. The
    conclusion he came to was that the validation of SVG was incomplete and
    misleading, i.e. our output might generate false negatives leading to more
    confusion.

 src/cairo-svg-surface.c |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit e9f5ee6efe7725c1e0e32fa9e85cca61ecb93440
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 14 14:42:48 2008 +0100

    [doc] Fix a few gtk-doc errors.
    
    gtk-doc insists on a non-empty long description, even for trivial
    functions that are fully described by their input arguments and return
    value. Grrr.

 src/cairo-gstate.c      |    4 ++++
 src/cairo-os2-surface.c |    2 ++
 src/cairo-scaled-font.c |   14 +++++++-------
 src/cairo-surface.c     |    4 +++-
 src/cairo-unicode.c     |    6 ++++--
 5 files changed, 20 insertions(+), 10 deletions(-)

commit 595414bb787d570ac95fc91c58c370558e9d5a54
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 14 14:24:49 2008 +0100

    [test/fallback-resolution] Extend to cover separate ppi x/y.
    
    Adrian Johnson proposed a hack that fixed the current test by simply
    scaling the dashed stroke by device_transform.xx. Obviously this exposes a
    deficiency in the test case. So add an outer loop to iterate over several
    common ppi for both x and y and in doing so reveal more ugly artifacts in
    the current fallback code.

 test/Makefile.am                              |   42 +++++-
 test/fallback-resolution-ppi150-ref.png       |  Bin 8043 -> 0 bytes
 test/fallback-resolution-ppi150x150-ref.png   |  Bin 0 -> 8043 bytes
 test/fallback-resolution-ppi150x300-ref.png   |  Bin 0 -> 6848 bytes
 test/fallback-resolution-ppi150x37.5-ref.png  |  Bin 0 -> 13176 bytes
 test/fallback-resolution-ppi150x600-ref.png   |  Bin 0 -> 6338 bytes
 test/fallback-resolution-ppi150x72-ref.png    |  Bin 0 -> 8370 bytes
 test/fallback-resolution-ppi150x75-ref.png    |  Bin 0 -> 10445 bytes
 test/fallback-resolution-ppi300-ref.png       |  Bin 5637 -> 0 bytes
 test/fallback-resolution-ppi300x150-ref.png   |  Bin 0 -> 6851 bytes
 test/fallback-resolution-ppi300x300-ref.png   |  Bin 0 -> 5637 bytes
 test/fallback-resolution-ppi300x37.5-ref.png  |  Bin 0 -> 12870 bytes
 test/fallback-resolution-ppi300x600-ref.png   |  Bin 0 -> 4848 bytes
 test/fallback-resolution-ppi300x72-ref.png    |  Bin 0 -> 7053 bytes
 test/fallback-resolution-ppi300x75-ref.png    |  Bin 0 -> 9617 bytes
 test/fallback-resolution-ppi37.5-ref.png      |  Bin 14098 -> 0 bytes
 test/fallback-resolution-ppi37.5x150-ref.png  |  Bin 0 -> 12728 bytes
 test/fallback-resolution-ppi37.5x300-ref.png  |  Bin 0 -> 11981 bytes
 test/fallback-resolution-ppi37.5x37.5-ref.png |  Bin 0 -> 14098 bytes
 test/fallback-resolution-ppi37.5x600-ref.png  |  Bin 0 -> 11654 bytes
 test/fallback-resolution-ppi37.5x72-ref.png   |  Bin 0 -> 12990 bytes
 test/fallback-resolution-ppi37.5x75-ref.png   |  Bin 0 -> 13787 bytes
 test/fallback-resolution-ppi600-ref.png       |  Bin 4104 -> 0 bytes
 test/fallback-resolution-ppi600x150-ref.png   |  Bin 0 -> 6096 bytes
 test/fallback-resolution-ppi600x300-ref.png   |  Bin 0 -> 4812 bytes
 test/fallback-resolution-ppi600x37.5-ref.png  |  Bin 0 -> 12401 bytes
 test/fallback-resolution-ppi600x600-ref.png   |  Bin 0 -> 4104 bytes
 test/fallback-resolution-ppi600x72-ref.png    |  Bin 0 -> 6398 bytes
 test/fallback-resolution-ppi600x75-ref.png    |  Bin 0 -> 8974 bytes
 test/fallback-resolution-ppi72-ref.png        |  Bin 8409 -> 0 bytes
 test/fallback-resolution-ppi72x150-ref.png    |  Bin 0 -> 8069 bytes
 test/fallback-resolution-ppi72x300-ref.png    |  Bin 0 -> 6803 bytes
 test/fallback-resolution-ppi72x37.5-ref.png   |  Bin 0 -> 13147 bytes
 test/fallback-resolution-ppi72x600-ref.png    |  Bin 0 -> 6245 bytes
 test/fallback-resolution-ppi72x72-ref.png     |  Bin 0 -> 8409 bytes
 test/fallback-resolution-ppi72x75-ref.png     |  Bin 0 -> 10628 bytes
 test/fallback-resolution-ppi75-ref.png        |  Bin 12101 -> 0 bytes
 test/fallback-resolution-ppi75x150-ref.png    |  Bin 0 -> 9940 bytes
 test/fallback-resolution-ppi75x300-ref.png    |  Bin 0 -> 9003 bytes
 test/fallback-resolution-ppi75x37.5-ref.png   |  Bin 0 -> 14020 bytes
 test/fallback-resolution-ppi75x600-ref.png    |  Bin 0 -> 8455 bytes
 test/fallback-resolution-ppi75x72-ref.png     |  Bin 0 -> 10202 bytes
 test/fallback-resolution-ppi75x75-ref.png     |  Bin 0 -> 12101 bytes
 test/fallback-resolution.c                    |  199 +++++++++++++------------
 44 files changed, 139 insertions(+), 102 deletions(-)

commit 0d3e152d2fe28b22a27dd6b9f82e2047aea3be94
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 14 13:44:47 2008 +0100

    [check-doc-syntax.sh] Allow quoting.
    
    func_regexp was incorrectly complaining that cairo_pure was a function without
    parenthesis. The simplest solution appeared to be allow quoting of
    'cairo_pure'.

 src/cairo-compiler-private.h |   22 +++++++++++-----------
 src/check-doc-syntax.sh      |    6 +++---
 2 files changed, 14 insertions(+), 14 deletions(-)

commit 02a7ca80f9f9b62deff6c8ba4dc58fee0cebcaa6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 14 11:08:43 2008 +0100

    [pattern] Correctly optimize away fractional translations.
    
    As is so often the case, reading the commit log gives you fresh insight in
    the problem - often called confessional debugging...
    
    We can simplify the problem by ignoring attr->[xy]_offset, for the time
    being, and focus on computing the correct matrix. This is comparatively
    simple as all we need to do is perform the appropriate rounding on the
    translation vector.

 src/cairo-pattern.c |   18 ++++++++++--------
 1 files changed, 10 insertions(+), 8 deletions(-)

commit 9886cb3353eb02ce5b99d555a35b13b8347f8e87
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 14 10:23:41 2008 +0100

    [pattern] Only perform non-integer optimization for identity matrices.
    
    A complication I realised after pushing 3eb4bc3 was handling larger
    sampled areas.  Extending the test case revealed that the optimization
    was broken for anything but the identity transform (after removing the
    translation).  Correctness first, leaving the "pixel-exact" solution for
    interested reader...

 src/cairo-pattern.c                           |   16 ++++++----------
 test/filter-nearest-transformed-pdf-ref.png   |  Bin 373 -> 548 bytes
 test/filter-nearest-transformed-ref.png       |  Bin 151 -> 570 bytes
 test/filter-nearest-transformed-svg11-ref.png |  Bin 217 -> 559 bytes
 test/filter-nearest-transformed-svg12-ref.png |  Bin 217 -> 559 bytes
 test/filter-nearest-transformed.c             |   24 ++++++++++++++++++++++++
 6 files changed, 30 insertions(+), 10 deletions(-)

commit 8dc3deecb8e0ca2f84d996096230f27ab4c24c18
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 14 08:17:23 2008 +0100

    Add documentation for function attributes 'pure' and 'const'.
    
    Carl suggested that cairo_pure and cairo_const are pretty opaque, even to
    the developer who added them, so it is extremely important that they have
    a good description so that they are used correctly and perhaps ported to
    other compilers.

 src/cairo-compiler-private.h |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

commit 6aa1143d5a8ec45fc793102a64e956d7d1c7ad01
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 13 23:49:17 2008 +0100

    Update documentation to remove references to cairo_has_show_text_glyphs().
    
    With the addition of cairo_show_text_glyphs() came a couple of functions
    to query whether the target supported the extended attributes. However,
    at Carl's request cairo_has_show_text_glyphs() was removed - but the
    documentation was not updated to reflect that.

 NEWS                |    2 +-
 src/cairo-surface.c |    3 ---
 src/cairo.c         |    6 +++---
 3 files changed, 4 insertions(+), 7 deletions(-)

commit b2053945df35d4d7eea9fe3200e9c018705309d1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 13 23:39:47 2008 +0100

    [scaled-font] Correct documentation for cairo_scaled_font_create().
    
    Fix the documentation not to suggest that NULL is a legal value for
    font_options (as we temporarily made it during the 1.[57] dev cycle).

 src/cairo-scaled-font.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 3eb4bc37577e905d93a1935e7a9cd33ae8dbda15
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 13 23:26:04 2008 +0100

    [pattern] Optimize away fractional translation for NEAREST patterns.
    
    As identified in bug 15479,
      Unpredictable performance of cairo-xlib with non-integer translations of a
      source surface pattern
      (https://bugs.freedesktop.org/show_bug.cgi?id=15479),
    source surfaces with a fractional translation hit slow paths for some
    drivers, causing seemingly random performance variations. As a work-around
    Owen Taylor proposed that cairo could convert non-integer translations on
    NEAREST sources patterns to their integer equivalents.
    
    The messy detail involved here is replicating the rounding mode used by
    pixman for the sample offset, but otherwise the conversion is fairly
    trivial.

 src/cairo-pattern.c                           |   35 +++++++++
 test/.gitignore                               |    1 +
 test/Makefile.am                              |    5 +
 test/filter-nearest-transformed-pdf-ref.png   |  Bin 0 -> 373 bytes
 test/filter-nearest-transformed-ref.png       |  Bin 0 -> 151 bytes
 test/filter-nearest-transformed-svg11-ref.png |  Bin 0 -> 217 bytes
 test/filter-nearest-transformed-svg12-ref.png |  Bin 0 -> 217 bytes
 test/filter-nearest-transformed.c             |  103 +++++++++++++++++++++++++
 8 files changed, 144 insertions(+), 0 deletions(-)

commit ceab32e2c3d51c0dd29b105a5a390cdd8aa58f8f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 12 12:11:12 2008 +0100

    [win32] win32 also uses font subsets.
    
    Include win32 in the list of font subset users, fixes build when
    cross-compiling.

 src/cairoint.h |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 1d3453eee50e4343995c5d3f225d18289fbcebec
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 12 11:21:14 2008 +0100

    [pattern] Rescale the linear pattern matrix to avoid overflow.
    
    As proof-of-principle, compute a scale factor to avoid overflow when
    converting a linear pattern to pixman_fixed_t. Fixes test/huge-pattern,
    but the principle should be extended to handle more cases of overflow.

 src/cairo-pattern.c                 |   48 ++++++++++++++++++++++++++++++----
 test/Makefile.am                    |    5 ++-
 test/huge-pattern-pdf-ref.png       |  Bin 0 -> 2716 bytes
 test/huge-pattern-pdf-rgb24-ref.png |  Bin 0 -> 2817 bytes
 test/huge-pattern-ps3-ref.png       |  Bin 0 -> 1786 bytes
 5 files changed, 45 insertions(+), 8 deletions(-)

commit ab1d106cba7aa4abe5f7253c089aadd15e0bb06d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Oct 11 19:52:28 2008 +0100

    [xlib] Use the cached xrender formats.
    
    Use the cached formats for consistency and simplify several double pointer
    dereferences.

 src/cairo-xlib-surface.c |   64 ++++++++++++++++++++++++++++-----------------
 1 files changed, 40 insertions(+), 24 deletions(-)

commit 6736faba3ebe4eae4c1d2aeeb3153eb6f12a32de
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Oct 11 18:10:16 2008 +0100

    [test/any2ppm] Do not attempt to compile PS without spectre
    
    Since CAN_TEST_PS_SURFACE does not currently require spectre, we were
    attempting to compile in spectre support for any2ppm even on systems
    without libspectre installed. Fix that by adding a separate flag for
    CAIRO_HAS_SPECTRE.

 configure.ac     |    5 ++++-
 test/Makefile.am |    2 +-
 test/any2ppm.c   |   28 ++++++++++++++++++++--------
 3 files changed, 25 insertions(+), 10 deletions(-)

commit b35871116243724b59738fce00b512818c83ea17
Author: Benjamin Otte <otte@gnome.org>
Date:   Sat Oct 11 00:18:11 2008 +0100

    [test] Add huge pattern.
    
    Add a test case to exercise range overflow during gradient construction.

 test/.gitignore           |    1 +
 test/Makefile.am          |    4 ++
 test/huge-pattern-ref.png |  Bin 0 -> 1619 bytes
 test/huge-pattern.c       |   74 +++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 79 insertions(+), 0 deletions(-)

commit 77070270813d2ca40d422e5301f75222d19e1d8f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 10 22:24:01 2008 +0100

    [test] Use _POSIX_C_SOURCE for flockfile.
    
    From bug 18010 (https://bugs.freedesktop.org/show_bug.cgi?id=18010),
    in order to make flockfile() available we need to set _POSIX_C_SOURCE and
    according to the man page, the appropriate feature check is
    _POSIX_THREAD_SAFE_FUNCTIONS.

 test/cairo-test.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 34ff7e4ac42acfb2ab9921da21933113518bd8a0
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Oct 11 23:44:37 2008 +1030

    Check that reads in truetype_reverse_cmap are within valid data
    
    Bulia Byak reported a bug where cairo was crashing with a particular
    font. The font had an incorrect entry in the cmap table that caused
    cairo to read from outside of the buffer allocated for the cmap.

 src/cairo-truetype-subset.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit a16ef6ead2b02120ca482aa3d2667e51b0c67e78
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 10 18:03:49 2008 +0100

    [INSTALL] Mention pkg-config requirement
    
    Mention that building the configure script requires at least version 0.16
    of pkg-config.
    
    See the old bug:
      Bug 4702 PKG_PROG_PKG_CONFIG: command not found
      (https://bugs.freedesktop.org/show_bug.cgi?id=4702)

 INSTALL |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit eba9d87d541d89804f70e56874538a249de08502
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 10 16:51:07 2008 +0100

    [image] Warn about a potential NULL return after finish().
    
    Improve the wording as suggested by
      https://bugs.freedesktop.org/show_bug.cgi?id=12659
    to warn about the possibility of returning NULL even if the passed in
    surface was an image surface.

 src/cairo-image-surface.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit ac3e4b4bea574c94de77ec15878d116b619ee3f4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Oct 10 14:00:32 2008 +0100

    [xlib] Disable XRender support if the surface has no xrender_format
    
    Bug 11734:
      XRender crashes due to NULL pointer from Cairo on SGI O2
      (https://bugs.freedesktop.org/show_bug.cgi?id=1173)
    is an example of a case where we try to perform an XRender operation on a
    surface with a format that was not supported by the XRender extension. By
    marking the extension version as -1 on those surfaces, the current checks
    for SURFACE_RENDER_HAS_* always correctly return false and prevent us try
    to create a Picture with a NULL xrender_format.

 src/cairo-xlib-surface.c |   37 ++++++++++++++++++++++++-------------
 1 files changed, 24 insertions(+), 13 deletions(-)

commit 8ac8e8c523abaa5db24c5303c671ff3487bf0801
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sun Sep 21 14:29:30 2008 +0200

    [test] Add ps2png check program using libspectre
    
    Add a simple program to compliment pdf2png and svg2png.

 configure.ac     |    1 +
 test/Makefile.am |    8 ++++
 test/ps2png.c    |  113 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 122 insertions(+), 0 deletions(-)

commit 3e6afb353da1fee624b519f5a96b3303c7eb91ae
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Thu Oct 9 12:11:51 2008 +0100

    [test/any2ppm] Enable PS conversion using libspectre.
    
    Complete the vector trilogy using libspectre to provide a similar
    interface (to poppler and librsvg) around GhostScript.

 AUTHORS          |    1 +
 configure.ac     |   20 ++++++++++++---
 test/Makefile.am |    4 +-
 test/any2ppm.c   |   73 ++++++++++++++++++++++++++++++++++++++++++++++++++++-
 4 files changed, 90 insertions(+), 8 deletions(-)

commit ddd1615a1777181c6e8db1dbafacb68535ed163a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 8 23:13:03 2008 +0100

    [pattern] Remove incorrect assert.
    
    It's possible to reach that point without setting the filter to NEAREST,
    for example if using FAST or GAUSSIAN.

 src/cairo-pattern.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit c647c0bbca8694a14f5f5807b8349f0b0bb4987d
Author: Benjamin Otte <otte@gnome.org>
Date:   Thu Oct 9 13:21:27 2008 +0200

    [TEST] make imagediff work again
    
    It seems to have bitrotten

 test/imagediff.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit f644d78dc138a7ba920a108dfb058e9f0fdb5302
Author: Björn Lindqvist <bjourne@gmail.com>
Date:   Wed Oct 8 20:08:25 2008 +0100

    [perf] Add composite performance test.
    
    Add a new test case to Cairo for checking the performance of Cairo's
    equivalent to GDK's gdk_pixbuf_composite_color() operation. That is an
    operation that happens to be extremely useful when viewing or editing
    transparent images so I think it is important that it is as fast as
    possible.

 AUTHORS                  |    1 +
 perf/Makefile.am         |    1 +
 perf/cairo-perf.c        |    1 +
 perf/cairo-perf.h        |    1 +
 perf/composite-checker.c |  108 ++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 112 insertions(+), 0 deletions(-)

commit 96b083d3f0e47f919cb6d0f06735427eaea21565
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 8 18:53:46 2008 +0100

    [test] Exercise degenerate dashes.
    
    Add a test case to capture the current behaviour when a segment ends on
    an off/on dash transition.
    
    Originally filed as bug:
      Miter artifacts for dashed strokes
      https://bugs.freedesktop.org/show_bug.cgi?id=17973

 test/.gitignore              |    1 +
 test/Makefile.am             |    2 +
 test/degenerate-dash-ref.png |  Bin 0 -> 2005 bytes
 test/degenerate-dash.c       |   97 ++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 100 insertions(+), 0 deletions(-)

commit 6487a147a2129f588aae900b048b2a801ef95ec0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 8 15:26:03 2008 +0100

    [cairo.h] Be defensive when checking for _MSC_VER
    
    Since cairo.h is a public header file, we need to be careful so that it
    can be compiled by random compilers and even users specifying "-Werror
    -Wundef" (mentioning no names, Company). So replace the bare (and legal)
      #if _MSC_VER
    with
      #if defined (_MSC_VER)
    just in case.

 src/cairo.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 59141e56a723f741c87e2eaa37bf96e243ac5728
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 8 13:50:28 2008 +0100

    [win32] Restore fine-grained fallback support for printing.
    
    Missed updating win32 when implementing the new paginated API to query
    support for the fine-grained fallbacks.
    
    (Thanks to Adrian for spotting this oversight.)

 src/cairo-win32-printing-surface.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 565c02a37e2d140a20867081eea9bb5de9999b1c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 8 11:06:42 2008 +0100

    [svg] Use finer-grained fallbacks for SVG 1.2
    
    The use of fine-grained fallbacks requires the native support of the
    SOURCE operator applied to an image on the target surface. SVG 1.2
    introduces the "comp-op:src" mode fulfilling this criteria - so we can
    enable fine-grained fallbacks for 1.2+.
    
    Update test/fine-grained-fallbacks to exercise this pathway in SVG 1.2 -
    as SVG natively supported all the current operations within that test.
    This reveals yet another librsvg bug in handling SVG 1.2.

 src/cairo-paginated-private.h                   |    9 ++-
 src/cairo-paginated-surface.c                   |   47 +++++---------
 src/cairo-pdf-surface.c                         |   14 +++-
 src/cairo-ps-surface.c                          |    8 ++
 src/cairo-svg-surface.c                         |   34 +++++++---
 test/Makefile.am                                |    4 +-
 test/finer-grained-fallbacks-ps2-argb32-ref.png |  Bin 1047 -> 0 bytes
 test/finer-grained-fallbacks-ps2-ref.png        |  Bin 0 -> 1356 bytes
 test/finer-grained-fallbacks-ps2-rgb24-ref.png  |  Bin 819 -> 1096 bytes
 test/finer-grained-fallbacks-ps3-argb32-ref.png |  Bin 1047 -> 0 bytes
 test/finer-grained-fallbacks-ps3-ref.png        |  Bin 0 -> 1356 bytes
 test/finer-grained-fallbacks-ps3-rgb24-ref.png  |  Bin 819 -> 1096 bytes
 test/finer-grained-fallbacks-ref.png            |  Bin 796 -> 1111 bytes
 test/finer-grained-fallbacks-rgb24-ref.png      |  Bin 590 -> 1114 bytes
 test/finer-grained-fallbacks.c                  |   79 ++++++++++++++++++++++-
 15 files changed, 147 insertions(+), 48 deletions(-)

commit 0c777a3e0de0d48289432a3d66be68f8779b08a0
Author: Vladimir Vukicevic <vladimir@pobox.com>
Date:   Tue Oct 7 15:20:33 2008 -0700

    [win32] Use wide-char versions of some API functions, for compat with Windows Mobile

 src/cairo-win32-surface.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit cf572b58e1197dac0ff1795b27b142c3e044cf45
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 7 09:55:03 2008 +0100

    [tessellator] Compile fixes for !HAVE_INT64_T
    
    Fixup a couple of instances of implicit down-casting to 32bits from a
    64bit wide integer and add a new is_zero() predicate.

 src/cairo-bentley-ottmann.c |   14 +++++++-------
 src/cairo-wideint-private.h |   10 +++++++++-
 2 files changed, 16 insertions(+), 8 deletions(-)

commit 6b8c0559620ab23c4df1f381d2e95ffc307d2e2f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 7 09:43:45 2008 +0100

    [tessellator] Avoid implicit promotion to 64bit integer.
    
    Avoid passing a 32bit integer as a cairo_int64_t in case we do not have a
    64bit native integral type. As a side-effect this means we can also use a
    narrower multiply.

 src/cairo-bentley-ottmann.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit eaa4bd13926728e9da97a23df8a465ef2296049a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 7 21:09:16 2008 +0100

    [pattern] After cloning adjust [xy]_offset if possible.
    
    For the simple case where the pattern matrix only contains an integer
    translation then care is taken to convert that to a identity source matrix
    with the translation applied to the [xy]_offsets. 5b97ee6525 broke this
    guarantee by applying the clone offsets to the source matrix. So when the
    source matrix is identity we can simply adjust the [xy]_offsets and
    preserve the identity matrix. (This idea can be extended further by
    removing any integer translation from the source matrix and storing it in
    the [xy]_offsets as a means to extend the limited precision in
    pixman_matrix_t - encountered when downscaling large images offset onto
    the target surface.)

 src/cairo-pattern.c |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

commit 552cc09e6be2b704dc32f986c84640d50316c25c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 7 21:05:57 2008 +0100

    [xlib] Check integer translation for XCopyArea.
    
    A precondition for using the core XCopyArea protocol is that the source
    attributes contain only integer translations. However, we failed to apply
    any integer translations from the source matrix to the XCopyArea offsets.
    This worked prior to 5b97ee6525 as
    _cairo_pattern_acquire_surface_for_surface() was careful to only generate
    an identity matrix if the pattern matrix only contained an integer
    translation (and thus we would use XCopyArea in the xlib backend).

 src/cairo-xlib-surface.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 308485a3fc70bc4455a01990443c1f954b8a66f8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Oct 7 20:19:10 2008 +0100

    [test] Add a test for a reported regression by Michael Natterer.
    
    mitch reported on irc that expose events in the gimp were suffering from
    artifacts which he tracked down to a bug with clipping and source
    surfaces. This is the cairo test case for that regression.

 test/.gitignore              |    1 +
 test/Makefile.am             |    2 +
 test/clipped-surface-ref.png |  Bin 0 -> 401 bytes
 test/clipped-surface.c       |   70 ++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 73 insertions(+), 0 deletions(-)

commit 28a3b546b91290f3377777adedcf7ab71e599188
Author: Vladimir Vukicevic <vladimir@pobox.com>
Date:   Tue Oct 7 10:25:46 2008 -0700

    [win32] create_similar should fall back to DIBs if DDB creation fail

 src/cairo-win32-surface.c |   43 +++++++++++++++++--------------------------
 1 files changed, 17 insertions(+), 26 deletions(-)

commit 4ae37a97b3e415591caa611533f44db5a29cfb72
Author: Vladimir Vukicevic <vladimir@pobox.com>
Date:   Tue Oct 7 10:18:41 2008 -0700

    [quartz] initialize do_reflect field correctly for pattern draws

 src/cairo-quartz-surface.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 8cf399b944294645833088ee2ac1313093948b66
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 6 18:59:15 2008 +0100

    [test] Add a test to exercise the internal twin font
    
    Although Behdad promises that the rendering is subject to improvement,
    introduce a test to check consistency across platforms and update as
    required.

 test/.gitignore       |    1 +
 test/Makefile.am      |    4 +++
 test/twin-ps2-ref.png |  Bin 0 -> 1167 bytes
 test/twin-ps3-ref.png |  Bin 0 -> 1167 bytes
 test/twin-ref.png     |  Bin 0 -> 1836 bytes
 test/twin.c           |   60 +++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 65 insertions(+), 0 deletions(-)

commit 1f813ff04022a36a91bf9d1b0f7f2ae1c63b399f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 6 17:55:37 2008 +0100

    [array] Silence gtk-doc complaints.
    
    gtk-doc fails make check for array as it insists that even the simplest
    functions must have a long description and cannot be entirely described by
    their arguments and return value.

 src/cairo-array.c |   26 ++++++++++++++++++++------
 1 files changed, 20 insertions(+), 6 deletions(-)

commit 7cb9ccb4cb2106bb59e181ee284f8dcc5504eb7a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 6 17:44:03 2008 +0100

    Fixup a couple of trivials doc warnings.
    
    Correct the 'Returns' statement to match what gtk-doc expects.

 src/cairo-cache.c   |    3 +--
 src/cairo-pattern.c |    5 ++---
 2 files changed, 3 insertions(+), 5 deletions(-)

commit d6f0351b6cbb0d542a069eb5d0a7377eb85a6e4e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 6 17:17:04 2008 +0100

    [skiplist] Avoid repeated calls to compare on the same element when inserting.
    
    During insertion we must traverse the skiplist in order to find the
    insertion point for the new element. As we descend each level, the next
    element in the chain for this level is sometimes the same as the one we
    just compared against (and know that the new element is greater than).
    Hence we can skip the search on that level and descend to the next. During
    world_map this reduces the number of calls into _sweep_line_elt_compare()
    by ~2.5% (and when performing trapezoidation on strokes gives a similar
    speed up of about 2% - not bad for the addition of a single line.)

 src/cairo-skiplist.c |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit 1440399625ae0579d0748475fc924cfe74339a21
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 6 16:15:29 2008 +0100

    [hull] Replace open-coding of 64bit arithmetic.
    
    Use primitives from cairo-wideint-private.h - in this case it helps to
    make the code more readable as well as reduce dependence on native 64bit
    integers.

 src/cairo-hull.c |   31 +++++++++++++++++++------------
 1 files changed, 19 insertions(+), 12 deletions(-)

commit c6a6bf580fa7036e4c28137f8c038beb5c347244
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 6 16:13:21 2008 +0100

    [slope] Replace open-coding 64bit integer arithmetic.
    
    Prefer to use the operations form cairo-wideint-private.h in order to
    improve readability and reduce our assumptions on the availability of
    64bit integers.

 src/cairo-slope.c |   14 ++++++--------
 1 files changed, 6 insertions(+), 8 deletions(-)

commit 5e3fcb7934f568bb7e304a1c434a9370b693df17
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Oct 6 17:02:54 2008 +0100

    [wideint] Declare the wideint arithmetic functions as const.
    
    'const' is a stricter form of 'pure' in that functions declared with that
    attribute do not access any values other than their arguments (in
    contrast to 'pure' which is allowed to read from global memory).

 src/cairo-compiler-private.h |    2 ++
 src/cairo-wideint-private.h  |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 9430bf57ebc86c79e28128e54aeb5a194c9cad03
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Oct 6 14:00:37 2008 -0700

    Fix scrambled version number in generated documentation.
    
    In the cairo 1.8.0 release the documentation would get generated with
    the second and third version components transposed, (so it would say
    1.0.8). Fix the obviously mistaken transposition.

 doc/public/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5beae8f530fe7056fa965cb5ca7b345a667e8122
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Oct 6 12:43:42 2008 -0400

    [Makefile.am.releasing] Make 'make snapshot' print a banner when done
    
    Copied from "make distcheck" implementation.  Prints something like:
    
    =============================================================
    cairo-1.8.1-20081006-38de89 archives ready for distribution:
    cairo-1.8.1-20081006-38de89.tar.gz
    =============================================================

 build/Makefile.am.releasing |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 38de895d3863bd2e6fe921ad6cc6eeff15102701
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Oct 6 12:11:18 2008 -0400

    [RELEASING] Fix sample distcheck output to reflect current versioning

 RELEASING |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit f8018cf193823356270c8e7f21f3108fbe44679c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Oct 6 11:45:08 2008 -0400

    [boilerplate] Fix "make dist"
    
    The cairo-boilerplate-ps/pdf/svg.h files where removed in commit
    9841d9d58ea286f798626d325d50a85bf3f02c8f but the Makefile.sources
    listing was not updated.

 boilerplate/Makefile.sources |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 6578ac148ecdd236b0860923e5dee87291c9966c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Oct 6 11:39:47 2008 -0400

    [twin-font] Make the stroke lighter
    
    I'm still to fine-tune the font and add hinting and bold/oblique support.
    In the mean time though, a lighter stroke produces much nicer glyphs.

 src/cairo-font-face-twin.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2fb7753903daf5c207b22034682a250161af22ad
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Oct 6 11:39:00 2008 -0400

    [Makefile.am.releasing] Exclude uid/gid from tarball
    
    By setting GNU tar options --owner=0 --group=0

 build/Makefile.am.releasing |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 589564c3b02d5b0505806924bd051323717791a3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Oct 4 01:36:07 2008 -0400

    [user-font] Fix comment re backend interface

 src/cairo-user-font.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c98c1cb5325bbc05c88ea350ff99d6eaf56fd339
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 5 10:39:10 2008 +0100

    [wideint] Mark functions as pure
    
    Take advantage of the gcc function attribute 'pure', which tells gcc that
    the function result only depends upon its arguments and it has zero side
    effects (e.g. it does not clobber memory). This gives gcc greater
    opportunity to rearrange and optimize the wideint arithmetic.

 src/cairo-compiler-private.h |    6 ++++++
 src/cairo-wideint-private.h  |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 76dd4603d01068b1b377312ced6b44fe5419794f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Oct 5 10:15:49 2008 +0100

    [tessellator] Replace open-coding _cairo_int64_cmp().
    
    We often use the construct:
      if (_cairo_int64_lt (A, B)
         return -1;
      if (_cairo_int64_gt (A, B)
         return 1;
      return 0;
    to compare two large integers (int64, or int128) which does twice the
    required work on CPUs without large integer support. So replace it with a
    single wideint function _cairo_int64_cmp() and therefore allow
    opportunities to both shrink the code size and write a more efficient
    comparison. (The primarily motivation is to simply replace each block with
    a single more expressive line.)

 src/cairo-bentley-ottmann.c |   19 ++--------------
 src/cairo-wideint-private.h |   10 ++++++++-
 src/cairo-wideint.c         |   48 +++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 60 insertions(+), 17 deletions(-)

commit 6eead4a5f746e182eabfcda9959cd9cc53d95a89
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Oct 4 12:39:21 2008 +0100

    [stroke] Simplify dash-off logic.
    
    Remove a redundant level of if-else branching (and remove a duplicate
    code) block by testing dash_on first.

 src/cairo-path-stroke.c |   65 ++++++++++++++++++++--------------------------
 1 files changed, 28 insertions(+), 37 deletions(-)

commit 4aa0991a11f03a47735dcfafe43d9505b939554e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Oct 4 20:22:18 2008 +0100

    [test] Mark fallback-resolution as XFAIL.
    
    There appears to be no simple solution here, as it seems to be a
    fundamental flaw in the design of the meta-surface wrt to replaying into
    a fallback image. (I may be wrong, but if Carl found no easy solution then
    I feel no shame for my own failure ;-)

 test/Makefile.am |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit ae87382a84770f8656c369d258f705b8ac20049c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Oct 4 10:54:25 2008 +0100

    [tessellator] Special case edge comparisons when on either end-point.
    
    If the sweep-line is currently on an end-point of a line,
    then we know its precise x value and can use a cheaper comparator.
    Considering that we often need to compare events at end-points (for
    instance on a start event), this happens frequently enough to warrant
    special casing.

 src/cairo-bentley-ottmann.c |  100 +++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 96 insertions(+), 4 deletions(-)

commit ab23c2995356821537b9a0facdff87c339a05d2a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 1 12:18:16 2008 +0100

    [tessellator] Direct comparison of result in edges_compare_x_for_y.
    
    We need to compare the x-coordinate of a line at a for a particular y,
    without loss of precision.
    
    The x-coordinate along an edge for a given y is:
      X = A_x + (Y - A_y) * A_dx / A_dy
    
    So the inequality we wish to test is:
      A_x + (Y - A_y) * A_dx / A_dy -?- B_x + (Y - B_y) * B_dx / B_dy,
    where -?- is our inequality operator.
    
    By construction we know that A_dy and B_dy (and (Y - A_y), (Y - B_y)) are
    all positive, so we can rearrange it thus without causing a sign
    change:
      A_dy * B_dy * (A_x - B_x) -?- (Y - B_y) * B_dx * A_dy
                                    - (Y - A_y) * A_dx * B_dy
    
    Given the assumption that all the deltas fit within 32 bits, we can compute
    this comparison directly using 128 bit arithmetic.

 src/cairo-bentley-ottmann.c |   97 ++++++++++++++++++++++++------------------
 src/cairo-wideint-private.h |    1 +
 2 files changed, 56 insertions(+), 42 deletions(-)

commit 7db03ac68cd556c903c07a2e2f8b75ec51263d12
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 1 12:34:36 2008 +0100

    [tessellator] Use abort() instead of exit().
    
    More friendly when debugging, as the debug will (by default) catch the
    SIGTRAP and break at the offending test.

 src/cairo-bentley-ottmann.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 59e569576d00e9c1cb66a77cf447c3cc3fb038e7
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Sep 28 19:04:39 2008 +0100

    [traps] Discard trivially empty trapezoid.
    
    The convex_quad tessellator (and possibly even the more general polygon
    tessellator) will generate empty trapezoids when given a
    rectangle which can be trivially discarded before inserting into traps.

 src/cairo-traps.c |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit 7a2329e9c8afbfecb88c6c50bd63aa03ea7f9f81
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 1 09:49:45 2008 +0100

    [traps] Reset extents on clearing.
    
    When clearing the array of current trapezoids, reset the extents to
    infinite so that they are properly recomputed.

 src/cairo-traps.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 8ec24a443d45b012df9b1a14b00a0b5b1c43e2ea
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 23:19:01 2008 +0100

    [xlib] Share the common conditions for starting a new xGlyphElt using a macro.
    
    Move the predicate for starting a new glyph elt into a macro so that it
    can be shared between _cairo_xlib_surface_emit_glyphs() and
    _emit_glyph_chunks() without code duplication.

 src/cairo-xlib-surface.c |   39 ++++++++++++++++++++++-----------------
 1 files changed, 22 insertions(+), 17 deletions(-)

commit a593338b2c2cdaff808947436f8fb9a52d74c695
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 1 16:24:33 2008 +0100

    [xcb] Return false from _cairo_xcb_surface_is_similar().
    
    _cairo_xcb_surface_is_similar() is currently only used by the pattern
    cache to determine whether to keep the surface in the solid color cache.
    This is fundamentally broken without hooking into Display closure as it
    keeps a reference to an expired picture. So in order to prevent spurious
    application crashes, disable the caching for xcb.

 src/cairo-xcb-surface.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 65f1575f6b2392d59410f40281a52654053bd2a8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Oct 1 16:16:45 2008 +0100

    [xcb] Compile fix.
    
    Must compile xcb more often. Especially after copying code over from xlib.

 src/cairo-xcb-surface.c |   41 ++++++++++++++++++++++++-----------------
 1 files changed, 24 insertions(+), 17 deletions(-)

commit e76432f7544d5b3b9157f09e18acc167d9ee90a3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Oct 4 00:35:43 2008 -0400

    [win32] Use -MDd and -LDd instead of -MD and -LD for debug build
    
    As reported by Damian Frank:
    
    "I ran into a hitch with the Makefile.win32 infrastructure.  It uses -MD and
    -LD when linking regardless of the config, but it should be using -MDd and
    -LDd for the debug config.  I believe both the Makefile.win32.common and
    src/Makefile.win32 files include erroneous declarations.  This produces
    warnings at link time about a mismatch when linking against properly created
    debug libs (for instance, I had a zlib built as "LIB ASM Debug" that linked
    properly against the debug runtime).
    
    This problem applies to pixman too; can you pass this along to the
    maintainer?"
    
    Would be delighted to if someone commits a fix to pixman reading this
    commit message.

 build/Makefile.win32.common |    8 ++++++--
 src/Makefile.win32          |    2 +-
 2 files changed, 7 insertions(+), 3 deletions(-)

commit 8ea9cb187a198c64bfb79af8001d95eab29715b4
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Oct 1 14:12:18 2008 -0700

    Use symbolic constants for Render repeat modes.
    
    Names like RepeatNone and RepeatNormal are much easier to
    read and understand than bare 0 and 1.

 src/cairo-xlib-surface.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2c58a2c3851afac0386fcf0bf8504a937231185c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 30 17:55:01 2008 -0400

    [xlib] Start a new glyph element every 128 glyphs
    
    Xrender has limits at 252 glyphs.  We play safe and fast and limit
    elements to 128 glyphs.  That's plenty, no measurable performance
    hit expected.

 src/cairo-xlib-surface.c |   26 ++++++++++++++++++++++----
 1 files changed, 22 insertions(+), 4 deletions(-)

commit fd7e09c7e66876b8492424e1c7d1260c12cc17f3
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 30 17:46:06 2008 -0400

    [xlib] Allow room for glyph element padding
    
    Xrender pads glyph elements to 4byte boundaries.  We didn't consider
    that in our request size calculations.  We do now.

 src/cairo-xlib-surface.c |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit c01fb77abbaf28c03aa6a21ebb997638dbdf950b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 30 17:41:51 2008 -0400

    [xlib] s/_cairo_xlib_surface_emit_glyphs_chunk/_emit_glyphs_chunk/
    
    For readability's sake.

 src/cairo-xlib-surface.c |   34 +++++++++++++++++-----------------
 1 files changed, 17 insertions(+), 17 deletions(-)

commit c2ba25df1aec1cebfc4ce85e06a4187950675820
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 30 17:40:56 2008 -0400

    [xlib] Add comment about glyph chunk invariant

 src/cairo-xlib-surface.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit e983458e1fba15153815430c83619da53929139d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 30 17:26:46 2008 -0400

    Revert "[xlib] Correct calculation of XRenderComposite* request size."
    
    This reverts commit 0eb0c26474a19477554bfd580aa5f8ae77c29779.
    The change was too drastic and overlooked some subleties of the old
    code, but the main reason for the revert is that it introduced an
    ugly duplicated glyph flush block.  I'm working on a more incremental
    fix.

 src/cairo-xlib-surface.c |  123 +++++++++++++++++-----------------------------
 1 files changed, 45 insertions(+), 78 deletions(-)

commit 32a158528884562f4b22a81da3fa352ee1061835
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 30 15:20:36 2008 -0400

    [configure.ac] Require autoconf >= 2.59 and automake >= 1.9.6
    
    These are the versions available on RHEL5 (two years old now), and
    we know cairo works with them.  There's evidence that our build system
    does not work with older automake, and we've been requiring autoconf 2.58
    but no one ever tested 2.58 with the new build system.  It's very likely
    that 2.58 doesn't work and needs some macro backporting.  In any case,
    no one reported that they have 2.58 when I asked on the list.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0eb0c26474a19477554bfd580aa5f8ae77c29779
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 13:33:25 2008 +0100

    [xlib] Correct calculation of XRenderComposite* request size.
    
    show-glyphs-many is triggering an assertion failure within xlib. The cause
    appears to be that we are submitting an overlong request.
    
    Reviewing the code and comparing with libXrender/src/Glyph.c I found two
    points to address.
    
    1. When encountering the first 2-byte, or 4-byte glyph and thus triggering
    the recalculation of the current request_size, we did not check that there
    was enough room for the expanded request. In case there is not, we need to
    emit the current request (before expansion) and reset.
    
    2. Subtleties in how XRenderCompositeText* constructs the binary protocol
    buffer require that xGlyphElts are aligned to 32-bit boundaries and that
    it inserts an additional xGlyphElt every 252 glyphs when width==1 or
    every 254 glyphs for width==2 || width==4.  Thus we need to explicitly
    compute how many bytes would be required to add this glyph in accordance
    with the above.
    
    Considering the complexity (and apparent fragility since we require tight
    coupling to XRender) of the code, I'm sure there are more bugs to be
    found.

 src/cairo-xlib-surface.c |  123 +++++++++++++++++++++++++++++-----------------
 1 files changed, 78 insertions(+), 45 deletions(-)

commit 02a56a4c84cd07a2c33134974680bad7f17f733d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 15:08:54 2008 +0100

    [test/show-glyphs-many] Exercise xlib boundary conditions.
    
    Within _cairo_xlib_surface_emit_glyphs() there are a number of
    complications to do with packing as many glyphs as possible into a
    single XRenderCompositeGlyph*() call. Essentially these consist of
    choosing the right function and packing for the current glyphs, describing
    runs of glyphs and ensuring that we do not exceed the maximum request size
    within a single call. So we add to the test case we an attempt to show 64k
    2-byte glyphs and an attempt to mix 64k 1-byte and 2-byte glyphs, with the
    change-over point chosen to overflow the maximum request size, should
    _cairo_xlib_surface_emit_glyphs() naively resize the current request.

 test/show-glyphs-many.c |   83 ++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 64 insertions(+), 19 deletions(-)

commit 2a347a92b0a27a42840f9538cb98f792be12b277
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 13:29:35 2008 +0100

    [test/show-glyphs-many] Re-enable test to trigger crash in xlib.
    
    Moral of this story is bugs cluster. If we made a mistake, especially in a
    complicated bit of code that is interfacing with another library, then we
    are likely to make a similar mistake in future. Disabling this test hid a
    regression between 1.4 and 1.6.

 test/Makefile.am        |   15 +--------------
 test/show-glyphs-many.c |    9 +++++++++
 2 files changed, 10 insertions(+), 14 deletions(-)

commit fade54e71a48919cc3e8311e202960c66eab74bf
Author: Torsten Schönfeld <kaffeetisch@gmx.de>
Date:   Tue Sep 30 11:47:53 2008 +0100

    [doc] Add links to solid pattern constructors.
    
    Add links for the solid pattern constructors to the language bindings
    guidelines in line with the other pattern types.

 doc/public/language-bindings.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d9f50d7841fa0216df157ba632483c8b27c50119
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 11:03:29 2008 +0100

    [test/filter-nearest-offset] Remove XFAIL status
    
    I swear that when I said that it was a rounding error, I was looking at an
    image where the squares were overlapping the lines and had a listing of
    all the coordinates used. However, the current output on all the machines
    I have to hand is correct so I believe the underlying bug to be fixed.
    
    Update the reference images for the external renderers because (a) GS
    exhibits the same bug cairo had and (b) librvsg/PDF do not use NEAREST
    when applying surface patterns, so the squares are blurred as a result.

 test/Makefile.am                         |    8 +++++---
 test/filter-nearest-offset-pdf-ref.png   |  Bin 0 -> 4537 bytes
 test/filter-nearest-offset-ps2-ref.png   |  Bin 0 -> 255 bytes
 test/filter-nearest-offset-ps3-ref.png   |  Bin 0 -> 255 bytes
 test/filter-nearest-offset-svg11-ref.png |  Bin 0 -> 4739 bytes
 test/filter-nearest-offset-svg12-ref.png |  Bin 0 -> 4739 bytes
 test/filter-nearest-offset.c             |    3 +--
 7 files changed, 6 insertions(+), 5 deletions(-)

commit 7d5e6a18d5e72366e19cb806cbdad5ed180b53da
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 10:04:12 2008 +0100

    [test/filter-nearest-offset] Paint a grey background
    
    Avoid requiring (an absent!) rgb24 ref image by using an opaque grey
    background. Confirm the reference image is identical to the old one
    (modulo the background change) using GIMP.

 test/filter-nearest-offset-ref.png |  Bin 254 -> 248 bytes
 test/filter-nearest-offset.c       |    6 ++++++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit 35be08715595aa0bda48ce0b3cb11711eee55c64
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 30 10:54:45 2008 +0100

    [Makefile.am] Only rerun headers-standalone if a header file has changed
    
    Use a stamp to mark the time that the headers were last checked and only
    rerun the test if any have been modified since.

 src/.gitignore           |    1 +
 src/Makefile.am.analysis |    4 +++-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit 6da8d8ea62399d94281a2a262a630ef113062d0c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 29 17:56:34 2008 +0100

    [pattern] Fix up OBO introduced to cloned area
    
    In the midst of porting 5eec3e378afd6ff9991cea8e42b8478eb3e79773 I failed
    to include the pad in the floor() and ceil() which introduces two
    potential off-by-one errors into each dimension of the region of interest
    of the source surface.

 src/cairo-pattern.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit e3f9e40df74b0334c2b544790fd3485ba527bd55
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 29 11:49:04 2008 -0400

    Fix residues of the Makefile.*.config Makefile.*.features renaming
    
    They just don't seem to want to die...

 boilerplate/Makefile.win32 |    2 +-
 src/Makefile.sources       |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d703f964aa7d1d4c8ec0b8a5dee437c222ce8629
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 29 16:37:35 2008 +0100

    Clean up compile warnings.
    
    A couple of unchecked status returns (which should always be
    CAIRO_STATUS_SUCCESS) and an unused variable.

 src/cairo-surface.c     |    8 ++++++--
 src/cairo-svg-surface.c |    1 -
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 1310df44edcf0b9fee648c8f8688d4a1177cde68
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 29 11:34:19 2008 -0400

    [text_to_glyphs] Further enhance the docs
    
    The most complex public cairo API deserves more doc love...

 src/cairo-scaled-font.c |    8 +++++---
 src/cairo-user-font.c   |    5 +++++
 src/cairo.h             |    2 +-
 3 files changed, 11 insertions(+), 4 deletions(-)

commit 41c66a9dfa9f4e7b9839db9dc362f5fa48797561
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 29 15:28:28 2008 +0100

    [test/xlib-surface-source] Fix ill-timed XCloseDisplay
    
    Sigh - finding a crasher in xlib seemed too good to be true. And it was.
    The bug is due to the coupling of the XCloseDisplay with the user_data on
    the source surface.
    
    This was an externally trigger XCloseDisplay whilst the user had live
    surfaces, so I consider this a gross application bug and therefore does
    not require graceful handling within cairo-xlib. However, I'm willing to
    listen to reason...

 test/surface-source.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 63ee963c63a73cf6d9272e15a7d8f7b63f12e77b
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 29 15:09:23 2008 +0100

    [user-font] Rewrite text_to_glyphs allocation instructions.
    
    Resolve the seemingly conflicting two paragraphs that instruct the writer
    of a user-font on when to allocate the glyphs array during text_to_glyphs,
    so that it is consistent with itself and the code. In particular, I could
    find no indication in the code that num_glyphs is preset to -1 (it should
    be a user parameter reflecting the number of entries in the supplied glyph
    buffer) and the callback must allocate the array using
    cairo_glyph_allocate().

 src/cairo.h |   33 ++++++++++++++-------------------
 1 files changed, 14 insertions(+), 19 deletions(-)

commit c23dbc4c616aed05dfe71901ce7ac0cadcbfb13d
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 29 13:54:12 2008 +0100

    [test/surface-source] Modify to trigger a crash.
    
    Whilst investigating:
      Bug 7360 painting huge surfaces fails
      https://bugs.freedesktop.org/show_bug.cgi?id=7360
    I found a particular combination of operations that cause a crash within
    xlib, so I'm committing the test for posterity.

 test/surface-source.c |   50 +++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 38 insertions(+), 12 deletions(-)

commit 3b33d49d37a5751e7848516c468b323e19c34bea
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 29 08:14:24 2008 +0100

    [test/filter-bilinear-extents] Remove XFAIL.
    
    With the reintroduction of Carl Worth's and Owen Taylor's work to expand
    pattern extents as necessary to include extra samples due to the filter
    radius, we expect filter-bilinear-extents to PASS. This patch series is
    important as it factors out our assumptions about filter radius into a
    single function and cleans up the code in its wake.
    
    However, since the external PS/PDF renderers do not necessarily use the same
    filter as cairo (and currently they only use NEAREST due to lack of
    /Interpolate emission in those backends) we can expect differences in test
    output. So add the respective reference images to capture current
    expectations and to highlight future changes.
    
    Fixes bugs:
      Bug 15349 - bad clipping with EXTEND_NONE
      [https://bugs.freedesktop.org/show_bug.cgi?id=15349],
      Bug 15367 -Improve filtering handling in cairo-pattern.c
      [https://bugs.freedesktop.org/show_bug.cgi?id=15367]

 test/Makefile.am                         |   35 +++++++++++++++++++++++++++++-
 test/filter-bilinear-extents-pdf-ref.png |  Bin 0 -> 798 bytes
 test/filter-bilinear-extents-ps2-ref.png |  Bin 0 -> 173 bytes
 test/filter-bilinear-extents-ps3-ref.png |  Bin 0 -> 173 bytes
 4 files changed, 34 insertions(+), 1 deletions(-)

commit 5eec3e378afd6ff9991cea8e42b8478eb3e79773
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Mon Sep 29 00:53:59 2008 +0100

    [pattern] Improve handling of filter radius and optimize when possible.
    
    Factor out common filter analysis code from _cairo_pattern_get_extents()
    so that we can share it with _cairo_pattern_acquire_surface_for_surface()
    as well. During the analysis of the filter determine whether the pattern
    matrix maps source pixels exactly onto destination pixels and if so convert
    the filter to NEAREST - generalising the existing conversion to NEAREST.
    
    (Patch ported to master by Chris Wilson, all bugs are his.)

 src/cairo-matrix.c  |   29 +++++++++++++
 src/cairo-pattern.c |  113 +++++++++++++++++++++++++++++++++++----------------
 src/cairoint.h      |    3 +
 3 files changed, 110 insertions(+), 35 deletions(-)

commit 7d7057cf8896a3558fadc35d160d3bc667972800
Author: Carl Worth <cworth@cworth.org>
Date:   Fri Apr 4 19:00:28 2008 -0700

    _cairo_pattern_get_extents: Fix to allow for expansion based on filter
    
    This fixes the filter-bilinear-extents test case and the
    related bug entry:
    
    	bad clipping with EXTEND_NONE
    	http://bugs.freedesktop.org/show_bug.cgi?id=15349
    
    Though there are still differences in the PDF and PostScript
    backends, (primarily because we can't capture cairo's filter
    modes in those file formats).

 src/cairo-pattern.c                                |   22 ++++++++++++++++++++
 test/paint-source-alpha-svg11-ref.png              |  Bin 505 -> 756 bytes
 ...scale-source-surface-paint-svg11-argb32-ref.png |  Bin 182 -> 229 bytes
 .../scale-source-surface-paint-svg11-rgb24-ref.png |  Bin 192 -> 243 bytes
 ...scale-source-surface-paint-svg12-argb32-ref.png |  Bin 182 -> 229 bytes
 .../scale-source-surface-paint-svg12-rgb24-ref.png |  Bin 192 -> 243 bytes
 6 files changed, 22 insertions(+), 0 deletions(-)

commit 6ef4bd4ecfa30f00ad0fe6e5e5f1d1a0a5dfe8e3
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Sun Sep 28 23:30:22 2008 +0100

    [pattern] Fix acquiring outside of source bounds
    
    Restrict the area we acquire from the source image to the bounds of
    the source image, even when we have an identity matrix. This handles
    circumstances where the pattern extents may be enlarged due to
    filtering, for example when applying a bilinear filter.
    
    This patch replaces the open-coded rectangle intersection which has
    already proven itself to be a source of bugs.
    
    (Patch ported to master by Chris Wilson, all bugs are his.)

 src/cairo-pattern.c |   63 ++++++++++++++++++++++++++-------------------------
 1 files changed, 32 insertions(+), 31 deletions(-)

commit 6d0f2c4421e34a078469a81646a52dfa47b4dcf1
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:   Mon Sep 29 00:02:18 2008 +0100

    [pattern] Remove the hack to support cloning surface patterns.
    
    Remove instances (abuses) of calling _cairo_pattern_acquire_surface() on
    a known-surface-pattern with a hack to say "give me the entire surface".
    If you know you just want the entire surface as an image surface, that
    can be done more simply.
    
    (Split from original patch on
    https://bugs.freedesktop.org/attachment.cgi?id=15703, by Chris Wilson -
    as usual all bugs are his.)

 src/cairo-pattern.c                |    5 +---
 src/cairo-svg-surface.c            |   16 +------------
 src/cairo-win32-printing-surface.c |   41 ++++++++++++++++-------------------
 3 files changed, 22 insertions(+), 40 deletions(-)

commit 117f643e49615295eb37af24efffd8327429cbf9
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Sep 28 22:42:30 2008 +0100

    [test/filter-bilinear-extents] Extend testing.
    
    First, explicitly set the filter mode to BILINEAR in case the default should
    ever change. And then draw a second pattern with extents that in theory
    are larger than the source surface in order to test handling of acquiring
    out-of-bounds extents.

 test/filter-bilinear-extents.c |   45 +++++++++++++++++++++++++++------------
 1 files changed, 31 insertions(+), 14 deletions(-)

commit 3ff86a4510b718a3154b56b052be786f9495a3b0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 29 08:38:31 2008 +0100

    [test] Disable caching of SVG fail/pass surfaces.
    
    As we use cairo to convert SVG files back to an image, that process is
    dependent upon changes within our library and so we cannot skip the
    conversion if the SVG file happens to match a previous run. Fortunately,
    librsvg is quick enough that this is not a major issue.

 boilerplate/cairo-boilerplate.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 24b22f0d2161f7a4ce75ceb2a86a77737027ee56
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 29 07:52:09 2008 +0100

    [glitz] Compile fix for typo.
    
    I wonder whether merely fixing a compile error in glitz will do anything
    towards its utility... Anyway fix the missing comma as reported by
    Shunichi Fuji and correct the asserts.

 src/cairo-glitz-surface.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 4f449107afba8ca96cd16e8dec283db124105dc8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Sep 28 21:05:36 2008 +0100

    [test/fallback-resolution] Exercise a couple of outstanding bugs.
    
    Use dashes to exercise bugs:
      https://bugs.freedesktop.org/show_bug.cgi?id=9189
      https://bugs.freedesktop.org/show_bug.cgi?id=17223
    Note bug 17223 indicates that this is still relevant for win32 printing
    where fallbacks are used if the dash offset is non-zero.
    
    And use a pattern to exercise the (fixed) regression:
      https://bugs.launchpad.net/inkscape/+bug/234546

 test/fallback-resolution-ppi150-ref.png  |  Bin 2397 -> 8043 bytes
 test/fallback-resolution-ppi300-ref.png  |  Bin 1591 -> 5637 bytes
 test/fallback-resolution-ppi37.5-ref.png |  Bin 4681 -> 14098 bytes
 test/fallback-resolution-ppi600-ref.png  |  Bin 1121 -> 4104 bytes
 test/fallback-resolution-ppi72-ref.png   |  Bin 2497 -> 8409 bytes
 test/fallback-resolution-ppi75-ref.png   |  Bin 3575 -> 12101 bytes
 test/fallback-resolution.c               |   40 ++++++++++++++++++++++++++++-
 7 files changed, 38 insertions(+), 2 deletions(-)

commit 0a7d781ab020171e70bd1dc66ff1556106e5be3f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Sep 28 18:57:15 2008 +0100

    [perf] Add rounded rectangle perf case.
    
    Add the performance test case to compare the speed of filling a rounded
    rectangle (one with camphered corners) as opposed to an ordinary
    rectangle. Since the majority of the pixels are identical, ideally the two
    cases would take similar times (modulo the additional overhead in the more
    complex path).

 perf/Makefile.am          |    1 +
 perf/cairo-perf.c         |    1 +
 perf/cairo-perf.h         |    1 +
 perf/rectangles.c         |   22 +++++++++-
 perf/rounded-rectangles.c |  111 +++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 135 insertions(+), 1 deletions(-)

commit d52b55cb1b2a4e9b5fd8dd12592a227f8f6a93fc
Author: Karl Tomlinson <karlt+@karlt.net>
Date:   Sun Sep 28 17:51:23 2008 +0100

    [xlib] _surfaces_compatible() can return true for different picture formats
    
    _surfaces_compatible in cairo-xlib-surface returns true for surfaces with
    different xrender_format when each has the same depth and no (NULL)
    visual.
    
    Common picture formats will not have the same depth, but
    it is possible to create a surface with a non-standard xrender_format
    having the same depth as another xrender_format with
    cairo_xlib_surface_create_with_xrender_format.
    
    Both cairo_xlib_surface_create_with_xrender_format and
    _cairo_xlib_surface_create_similar_with_format create surfaces with no
    visual.
    
    The same issue exists in the xcb backend.
    
    Fixes bug https://bugs.freedesktop.org/show_bug.cgi?id=16564.

 AUTHORS                  |    1 +
 src/cairo-xcb-surface.c  |    4 +++-
 src/cairo-xlib-surface.c |    4 +++-
 3 files changed, 7 insertions(+), 2 deletions(-)

commit b6b54e2f2736bfa9f76b7b6fc0da5d35a71fe846
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Sep 28 17:13:11 2008 +0100

    [svg] Compile fix for last commit.
    
    Sorry - badly merged patch (missed a chunk).

 src/cairo-svg-surface.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit cff3bcba68233101c5518801b64e37d2f0e70ae8
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Sep 28 17:06:32 2008 +0100

    [svg] Check that the mask is supported.
    
    During the analyze phase we also need to check whether we can emit the mask
    without requiring fallbacks.

 src/cairo-svg-surface.c |   17 +++++++++++++++--
 1 files changed, 15 insertions(+), 2 deletions(-)

commit 8ad3031359d74bdff4b1e3ef8d0af047821f1795
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Sep 28 17:04:15 2008 +0100

    [svg] Enable the assertion that paint() is supported.
    
    The XXX comment before the disabled assert is misleading as the final
    fallback image paint operation should never trigger UNSUPPORTED.

 src/cairo-svg-surface.c |   13 ++++---------
 1 files changed, 4 insertions(+), 9 deletions(-)

commit 95e637f9ac9e4256f7ba73e8f048f8e559631c82
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Sep 28 16:54:59 2008 +0100

    [paginated] Set paginated mode before every replay.
    
    Previously we were replaying full page fallbacks without updating the
    mode - this was upsetting SVG.

 src/cairo-paginated-surface.c |   23 ++++++++++++++---------
 1 files changed, 14 insertions(+), 9 deletions(-)

commit 36b98589911ab57762317ec95cbff41681c1e0b6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Sep 28 16:24:40 2008 +0100

    [svg] Kill _cairo_svg_surface_force_fallbacks.
    
    It is not used, but refuses to die!

 src/cairo-svg-surface.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 57851464f920d52444d19d25e78293fa0f40c5f9
Author: Benjamin Otte <otte@gnome.org>
Date:   Sun Sep 28 17:02:23 2008 +0200

    [SVG] make backend handle new operators gracefully
    
    Previously, the SVG backend would rash when new operators were added to
    cairo.h, now it returns UNSUPPORTED.
    Also unsupported operators can now be set as NULL, so image fallbacks can
    be used properly.
    Should use fallbacks instead of color-dodge for CAIRO_OPERATOR_STURATE?

 src/cairo-svg-surface.c |   45 +++++++++++++++++++++++++++++++--------------
 1 files changed, 31 insertions(+), 14 deletions(-)

commit fda80cc852a109fe60e3277a1847bc5c24f35d8e
Author: Benjamin Otte <otte@gnome.org>
Date:   Sun Sep 28 14:57:49 2008 +0200

    [SVG] use _cairo_operator_bounded_by_source()
    
    previously, the code was duplicating its functionality

 src/cairo-svg-surface.c |   27 ++++++++++++---------------
 1 files changed, 12 insertions(+), 15 deletions(-)

commit 3c18d95b293eddaa25232bc06398c78bc8043cb4
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Sep 28 15:57:37 2008 +0100

    Compute device_transform_inverse.
    
    Because we can independently set either the device scale or the device
    offset, we need to be careful and recompute the inverse rather than simply
    assuming that the original contents of the device transform is identity.
    
    Fixes regression https://bugs.launchpad.net/inkscape/+bug/234546.

 src/cairo-surface.c |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

commit 9841d9d58ea286f798626d325d50a85bf3f02c8f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sun Sep 28 13:34:50 2008 +0100

    Automate error checking for fallback-resolution.
    
    For this we extend the boilerplate get_image() routines to extract a
    single page out of a paginated document and then proceed to manually
    check each page of the fallback-resolution test.
    
    (Well that's the theory, in practice SVG doesn't support multiple pages
    and so we just generate a new surface for each resolution. But the
    infrastructure is in place so that we can automate other tests,
    e.g. test/multi-pages.)

 boilerplate/cairo-boilerplate-pdf-private.h        |    5 +
 boilerplate/cairo-boilerplate-pdf.c                |   29 +-
 boilerplate/cairo-boilerplate-pdf.h                |   33 --
 boilerplate/cairo-boilerplate-ps-private.h         |    9 +-
 boilerplate/cairo-boilerplate-ps.c                 |   33 +-
 boilerplate/cairo-boilerplate-ps.h                 |   33 --
 boilerplate/cairo-boilerplate-svg-private.h        |    5 +
 boilerplate/cairo-boilerplate-svg.c                |   36 +-
 boilerplate/cairo-boilerplate-svg.h                |   33 --
 .../cairo-boilerplate-test-surfaces-private.h      |    1 +
 boilerplate/cairo-boilerplate-test-surfaces.c      |    7 +-
 boilerplate/cairo-boilerplate-win32-printing.c     |    5 +
 boilerplate/cairo-boilerplate-win32-private.h      |    1 +
 boilerplate/cairo-boilerplate.c                    |   74 ++--
 boilerplate/cairo-boilerplate.h                    |    7 +
 src/cairo-svg-surface.c                            |    6 +-
 test/Makefile.am                                   |    6 +
 test/cairo-test.c                                  |   36 +-
 test/cairo-test.h                                  |   12 +
 test/fallback-resolution-ppi150-ref.png            |  Bin 0 -> 2397 bytes
 test/fallback-resolution-ppi300-ref.png            |  Bin 0 -> 1591 bytes
 test/fallback-resolution-ppi37.5-ref.png           |  Bin 0 -> 4681 bytes
 test/fallback-resolution-ppi600-ref.png            |  Bin 0 -> 1121 bytes
 test/fallback-resolution-ppi72-ref.png             |  Bin 0 -> 2497 bytes
 test/fallback-resolution-ppi75-ref.png             |  Bin 0 -> 3575 bytes
 test/fallback-resolution.c                         |  413 +++++++++++++++-----
 26 files changed, 486 insertions(+), 298 deletions(-)

commit cca1fc6358e9d0213dd2b41a5bfd1629eec6511e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 27 21:53:21 2008 +0100

    [test] Fix target specific tests for recent SVG/PS version split.
    
    A few tests explicitly checked whether the "ps" or "svg" target was
    enabled and this broke because of the name change. So fixup, to run
    the generic test if either PS or SVG target is enabled as appropriate.

 test/create-for-stream.c   |    8 ++++++--
 test/fallback-resolution.c |    8 ++++++--
 test/multi-page.c          |    4 +++-
 test/ps-features.c         |    4 +++-
 test/svg-clip.c            |    4 +++-
 test/svg-surface.c         |    4 +++-
 6 files changed, 24 insertions(+), 8 deletions(-)

commit 39e4a0bcd04191eecfc593653a4ba32a28fcac6a
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 27 19:33:51 2008 +0100

    [test] Update list of REFERENCE_IMAGES
    
    A few typos, deletions and additions from the inclusion of versioned
    SVG/PS testing.

 test/Makefile.am |   50 +++++++++++++++++++++++++++++++-------------------
 1 files changed, 31 insertions(+), 19 deletions(-)

commit 260362e5728e2591bb50f565ef04ba951d95de79
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 27 19:16:34 2008 +0100

    [cairo-test] Fix cairo_test_file_is_older().
    
    It did not even compile, so no longer it wasn't deleting cached results
    if you updated the reference images.

 test/cairo-test.c |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit ffbb67303c1a4d986096ba046bb3256314b9f1b1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 27 18:54:45 2008 +0100

    [test/gradient-constant-alpha] Remove ps2 reference images.
    
    PostScript level 2 has no support for gradients and so should uses image
    fallbacks and hence do not require the GS specific reference images.

 test/Makefile.am                               |    2 --
 test/gradient-constant-alpha-ps2-ref.png       |  Bin 124 -> 0 bytes
 test/gradient-constant-alpha-ps2-rgb24-ref.png |  Bin 124 -> 0 bytes
 3 files changed, 0 insertions(+), 2 deletions(-)

commit 4fa9f8c0608c137d9aa277039cb286c8294e6a2f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 27 17:42:06 2008 +0100

    [test/large-source] Remove stale comment.
    
    Delete a reference to an old limitation of pixman.

 test/large-source.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 35f1e2fa4f15c562e5cc41578b413c6874e131bc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 27 17:37:32 2008 +0100

    [test/operator*] Remove XFAIL descriptions.
    
    The tests should now pass, so remove the line claiming that they fail
    for unknown reasons.

 test/operator-alpha.c |    3 +--
 test/operator.c       |    3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

commit 871f683367b1a1647b607f9221e1fc2eddc6e5dd
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 27 17:24:57 2008 +0100

    clone_similar(): s/device_offset/clone_offset/
    
    A little bit of sleep and reflection suggested that the use of
    device_offset_[xy] was confusing and clone_offset_[xy] more consistent
    with the function naming.

 src/cairo-directfb-surface.c         |   12 ++++++------
 src/cairo-glitz-surface.c            |   18 +++++++++---------
 src/cairo-image-surface.c            |    6 +++---
 src/cairo-pattern.c                  |    6 +++---
 src/cairo-quartz-surface.c           |   16 ++++++++--------
 src/cairo-surface-fallback-private.h |    4 ++--
 src/cairo-surface-fallback.c         |    8 ++++----
 src/cairo-surface.c                  |   16 ++++++++--------
 src/cairo-win32-private.h            |    4 ++--
 src/cairo-win32-surface.c            |    8 ++++----
 src/cairo-xcb-surface.c              |   12 ++++++------
 src/cairo-xlib-surface.c             |   12 ++++++------
 src/cairoint.h                       |   10 +++++-----
 src/test-fallback-surface.c          |    8 ++++----
 14 files changed, 70 insertions(+), 70 deletions(-)

commit 95c3c069326a77a28eb49053c0ace9f1977e0378
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 27 17:13:32 2008 +0100

    [surface] Only return early for no traps if the operator is bounded by a mask.
    
    If the operator is unbounded, then its area of effect extends beyond
    the definition of the mask by the trapezoids and so we must always perform
    the image composition.
    
    Fixes test/operator*.

 src/cairo-surface-fallback.c |    4 +---
 test/Makefile.am             |    2 --
 2 files changed, 1 insertions(+), 5 deletions(-)

commit 922a5801164c2b2340a7b4a950820b07e72adadc
Merge: 0c43170... 1e45da4...
Author: Emmanuel Pacaud <emmanuel.pacaud@free.fr>
Date:   Sat Sep 27 11:55:50 2008 +0200

    Merge branch 'master' of git+ssh://emmanuel@git.cairographics.org/git/cairo

commit 0c4317085ecfc112214cdfe2abd66d9df8038282
Author: Emmanuel Pacaud <emmanuel.pacaud@free.fr>
Date:   Sat Sep 27 11:47:32 2008 +0200

    [svg] Fix comp-op for paint, mask and show_glyphs operations.
    
    In paint and show_glyphs, the compositing operator was not emitted at all.
    In mask, the operator was also emitted for the mask itself, which is
    wrong.
    
    SVG clear and source differ from cairo as it also affects the
    destination if the source pixel are completely transparent. We need to emit
    an additional clip-to-self property.
    
    Librsvg does not support clip-to-self, so it renders the SVG
    test outputs incorrectly.
    
    This patch also remove a lot of useless spaces in the style property
    strings (I know, this should go in another commit).

 src/cairo-svg-surface.c |  196 +++++++++++++++++++++++++++--------------------
 1 files changed, 113 insertions(+), 83 deletions(-)

commit 1e45da48b555b707225c1521068011cabbcc976f
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Sep 27 14:38:22 2008 +0930

    Update ref images in Makefile.am

 test/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit c0535e8e3394f0b78867785e65cf89dbb31875d5
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Sat Sep 27 14:31:50 2008 +0930

    Remove miter-precision from XFAIL
    
    The miter-precision PS output prints correctly on my LaserJet 4050. So
    file a Ghostscript bug, supply PS ref images and remove from XFAIL.

 test/Makefile.am                 |    1 -
 test/README                      |    5 +++++
 test/miter-precision-ps2-ref.png |  Bin 0 -> 865 bytes
 test/miter-precision-ps3-ref.png |  Bin 0 -> 865 bytes
 test/miter-precision.c           |    2 +-
 5 files changed, 6 insertions(+), 2 deletions(-)

commit 5b97ee65259cafb335c1a2c53f1a55dfcb175e20
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Sat Sep 27 00:18:07 2008 +0100

    Allow cloning sub-regions of similar surfaces.
    
    Previously the rule for clone_similar() was that the returned surface
    had exactly the same size as the original, but only the contents within
    the region of interest needed to be copied. This caused failures for very
    large images in the xlib-backend (see test/large-source).
    
    The obvious solution to allow cloning only the region of interest seemed
    to be to simply set the device offset on the cloned surface. However, this
    fails as a) nothing respects the device offset on the surface at that
    layer in the compositing stack and b) possibly returning references to the
    original source surface provides further confusion by mixing in another
    source of device offset.
    
    The second method was to add extra out parameters so that the
    device offset could be returned separately and, for example, mixed into
    the pattern matrix. Not as elegant, a couple of extra warts to the
    interface, but it works - one less XFAIL...

 src/cairo-clip.c                     |    6 ++++++
 src/cairo-directfb-surface.c         |   14 +++++++++-----
 src/cairo-glitz-surface.c            |   10 ++++++++++
 src/cairo-image-surface.c            |    3 +++
 src/cairo-pattern.c                  |   15 +++++++++++++--
 src/cairo-quartz-surface.c           |   10 +++++++++-
 src/cairo-surface-fallback-private.h |    2 ++
 src/cairo-surface-fallback.c         |    8 ++++++--
 src/cairo-surface.c                  |   24 ++++++++++++++++++------
 src/cairo-win32-private.h            |    2 ++
 src/cairo-win32-surface.c            |    8 ++++++--
 src/cairo-xcb-surface.c              |   18 ++++++++++++++----
 src/cairo-xlib-surface.c             |   21 +++++++++++++++------
 src/cairoint.h                       |   11 +++++++++--
 src/test-fallback-surface.c          |    4 ++++
 test/Makefile.am                     |    1 -
 16 files changed, 126 insertions(+), 31 deletions(-)

commit 7f3a48f90b409653a2d4fb802779ecb7508e4d6e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 26 13:27:42 2008 -0400

    [cairo.h] Don't define cairo_public to __declspec(dllimport) for static build
    
    That define should target win32 DLL builds only.  We can't tell though,
    so we require user to define CAIRO_WIN32_STATIC_BUILD to signal that.

 src/cairo-system.c |    2 +-
 src/cairo.h        |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b6e910f4b636e947cefb310125979ce742e87730
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 26 12:36:33 2008 -0400

    [README.win32] Update wording from Tor Lillqvist

 README.win32 |   19 ++++++++++++-------
 1 files changed, 12 insertions(+), 7 deletions(-)

commit fc12267405e98497c9f086d49fa6501d8f671a68
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 26 17:10:52 2008 +0100

    [scaled-font] Spelling fix.
    
    Arbitrary spelling fix.

 src/cairo-scaled-font.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e0f214710760a0e0332207cb3009e3119867bd13
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 26 16:49:57 2008 +0100

    [boilerplate] Add a PS 2 target.
    
    Ensure that we can generate PS2 output when required by creating a PS
    level 2 target and using GhostScript for conformance testing.

 boilerplate/cairo-boilerplate-ps-private.h         |   29 ++-
 boilerplate/cairo-boilerplate-ps.c                 |   55 ++++-
 boilerplate/cairo-boilerplate.c                    |   23 ++-
 test/Makefile.am                                   |  286 +++++++++++++-------
 test/big-line-ps-ref.png                           |  Bin 1148 -> 0 bytes
 test/big-line-ps-rgb24-ref.png                     |  Bin 830 -> 0 bytes
 test/big-line-ps2-ref.png                          |  Bin 0 -> 1148 bytes
 test/big-line-ps2-rgb24-ref.png                    |  Bin 0 -> 830 bytes
 test/big-line-ps3-ref.png                          |  Bin 0 -> 1148 bytes
 test/big-line-ps3-rgb24-ref.png                    |  Bin 0 -> 830 bytes
 test/caps-joins-ps-ref.png                         |  Bin 1459 -> 0 bytes
 test/caps-joins-ps2-ref.png                        |  Bin 0 -> 1459 bytes
 test/caps-joins-ps3-ref.png                        |  Bin 0 -> 1459 bytes
 test/clip-fill-rule-ps-argb32-ref.png              |  Bin 310 -> 0 bytes
 test/clip-fill-rule-ps-rgb24-ref.png               |  Bin 302 -> 0 bytes
 test/clip-fill-rule-ps2-argb32-ref.png             |  Bin 0 -> 310 bytes
 test/clip-fill-rule-ps2-rgb24-ref.png              |  Bin 0 -> 302 bytes
 test/clip-fill-rule-ps3-argb32-ref.png             |  Bin 0 -> 310 bytes
 test/clip-fill-rule-ps3-rgb24-ref.png              |  Bin 0 -> 302 bytes
 test/clip-nesting-ps-argb32-ref.png                |  Bin 651 -> 0 bytes
 test/clip-nesting-ps-rgb24-ref.png                 |  Bin 636 -> 0 bytes
 test/clip-nesting-ps2-argb32-ref.png               |  Bin 0 -> 651 bytes
 test/clip-nesting-ps2-rgb24-ref.png                |  Bin 0 -> 636 bytes
 test/clip-nesting-ps3-argb32-ref.png               |  Bin 0 -> 651 bytes
 test/clip-nesting-ps3-rgb24-ref.png                |  Bin 0 -> 636 bytes
 test/clip-operator-ps-rgb24-ref.png                |  Bin 3624 -> 0 bytes
 test/clip-operator-ps2-rgb24-ref.png               |  Bin 0 -> 3624 bytes
 test/clip-operator-ps3-ref.png                     |  Bin 0 -> 8188 bytes
 test/clip-operator-ps3-rgb24-ref.png               |  Bin 0 -> 3624 bytes
 test/clip-push-group-ps-argb32-ref.png             |  Bin 179 -> 0 bytes
 test/clip-push-group-ps-rgb24-ref.png              |  Bin 179 -> 0 bytes
 test/clip-push-group-ps2-argb32-ref.png            |  Bin 0 -> 179 bytes
 test/clip-push-group-ps2-rgb24-ref.png             |  Bin 0 -> 179 bytes
 test/clip-push-group-ps3-argb32-ref.png            |  Bin 0 -> 179 bytes
 test/clip-push-group-ps3-rgb24-ref.png             |  Bin 0 -> 179 bytes
 test/clip-twice-ps-argb32-ref.png                  |  Bin 575 -> 0 bytes
 test/clip-twice-ps-rgb24-ref.png                   |  Bin 541 -> 0 bytes
 test/clip-twice-ps2-argb32-ref.png                 |  Bin 0 -> 575 bytes
 test/clip-twice-ps2-rgb24-ref.png                  |  Bin 0 -> 541 bytes
 test/clip-twice-ps3-argb32-ref.png                 |  Bin 0 -> 575 bytes
 test/clip-twice-ps3-rgb24-ref.png                  |  Bin 0 -> 541 bytes
 test/clipped-group-ps-ref.png                      |  Bin 343 -> 0 bytes
 test/clipped-group-ps2-ref.png                     |  Bin 0 -> 343 bytes
 test/clipped-group-ps3-ref.png                     |  Bin 0 -> 343 bytes
 test/close-path-ps-ref.png                         |  Bin 309 -> 0 bytes
 test/close-path-ps2-ref.png                        |  Bin 0 -> 309 bytes
 test/close-path-ps3-ref.png                        |  Bin 0 -> 309 bytes
 test/copy-path-ps-ref.png                          |  Bin 474 -> 0 bytes
 test/copy-path-ps2-ref.png                         |  Bin 0 -> 474 bytes
 test/copy-path-ps3-ref.png                         |  Bin 0 -> 474 bytes
 test/dash-caps-joins-ps-argb32-ref.png             |  Bin 3870 -> 0 bytes
 test/dash-caps-joins-ps-rgb24-ref.png              |  Bin 3870 -> 0 bytes
 test/dash-caps-joins-ps2-argb32-ref.png            |  Bin 0 -> 3870 bytes
 test/dash-caps-joins-ps2-rgb24-ref.png             |  Bin 0 -> 3870 bytes
 test/dash-caps-joins-ps3-argb32-ref.png            |  Bin 0 -> 3870 bytes
 test/dash-caps-joins-ps3-rgb24-ref.png             |  Bin 0 -> 3870 bytes
 test/dash-curve-ps-ref.png                         |  Bin 27293 -> 0 bytes
 test/dash-curve-ps2-ref.png                        |  Bin 0 -> 27293 bytes
 test/dash-curve-ps3-ref.png                        |  Bin 0 -> 27293 bytes
 test/dash-scale-ps-argb32-ref.png                  |  Bin 6318 -> 0 bytes
 test/dash-scale-ps-rgb24-ref.png                   |  Bin 6316 -> 0 bytes
 test/dash-scale-ps2-argb32-ref.png                 |  Bin 0 -> 6318 bytes
 test/dash-scale-ps2-rgb24-ref.png                  |  Bin 0 -> 6316 bytes
 test/dash-scale-ps3-argb32-ref.png                 |  Bin 0 -> 6318 bytes
 test/dash-scale-ps3-rgb24-ref.png                  |  Bin 0 -> 6316 bytes
 test/dash-state-ps-ref.png                         |  Bin 10219 -> 0 bytes
 test/dash-state-ps2-ref.png                        |  Bin 0 -> 10219 bytes
 test/dash-state-ps3-ref.png                        |  Bin 0 -> 10219 bytes
 test/dash-zero-length-ps-ref.png                   |  Bin 319 -> 0 bytes
 test/dash-zero-length-ps-rgb24-ref.png             |  Bin 304 -> 0 bytes
 test/dash-zero-length-ps2-ref.png                  |  Bin 0 -> 319 bytes
 test/dash-zero-length-ps2-rgb24-ref.png            |  Bin 0 -> 304 bytes
 test/dash-zero-length-ps3-ref.png                  |  Bin 0 -> 319 bytes
 test/dash-zero-length-ps3-rgb24-ref.png            |  Bin 0 -> 304 bytes
 test/degenerate-arc-ps-ref.png                     |  Bin 585 -> 0 bytes
 test/degenerate-arc-ps2-ref.png                    |  Bin 0 -> 585 bytes
 test/degenerate-arc-ps3-ref.png                    |  Bin 0 -> 585 bytes
 test/degenerate-path-ps-argb32-ref.png             |  Bin 390 -> 0 bytes
 test/degenerate-path-ps-rgb24-ref.png              |  Bin 358 -> 0 bytes
 test/degenerate-path-ps2-argb32-ref.png            |  Bin 0 -> 390 bytes
 test/degenerate-path-ps2-rgb24-ref.png             |  Bin 0 -> 358 bytes
 test/degenerate-path-ps3-argb32-ref.png            |  Bin 0 -> 390 bytes
 test/degenerate-path-ps3-rgb24-ref.png             |  Bin 0 -> 358 bytes
 test/degenerate-pen-ps-ref.png                     |  Bin 865 -> 0 bytes
 test/degenerate-pen-ps2-ref.png                    |  Bin 0 -> 865 bytes
 test/degenerate-pen-ps3-ref.png                    |  Bin 0 -> 865 bytes
 test/device-offset-fractional-ps-ref.png           |  Bin 201 -> 0 bytes
 test/device-offset-fractional-ps2-ref.png          |  Bin 0 -> 201 bytes
 test/device-offset-fractional-ps3-ref.png          |  Bin 0 -> 201 bytes
 test/extend-reflect-ps-ref.png                     |  Bin 153322 -> 0 bytes
 test/extend-reflect-ps2-ref.png                    |  Bin 0 -> 153322 bytes
 test/extend-reflect-ps3-ref.png                    |  Bin 0 -> 153322 bytes
 test/extend-reflect-similar-ps-ref.png             |  Bin 153322 -> 0 bytes
 test/extend-reflect-similar-ps2-ref.png            |  Bin 0 -> 153322 bytes
 test/extend-reflect-similar-ps3-ref.png            |  Bin 0 -> 153322 bytes
 test/fill-alpha-pattern-ps-ref.png                 |  Bin 4380 -> 0 bytes
 test/fill-alpha-pattern-ps3-ref.png                |  Bin 0 -> 4380 bytes
 test/fill-and-stroke-ps-argb32-ref.png             |  Bin 310 -> 0 bytes
 test/fill-and-stroke-ps-rgb24-ref.png              |  Bin 319 -> 0 bytes
 test/fill-and-stroke-ps2-argb32-ref.png            |  Bin 0 -> 310 bytes
 test/fill-and-stroke-ps2-rgb24-ref.png             |  Bin 0 -> 319 bytes
 test/fill-and-stroke-ps3-argb32-ref.png            |  Bin 0 -> 310 bytes
 test/fill-and-stroke-ps3-rgb24-ref.png             |  Bin 0 -> 319 bytes
 test/fill-missed-stop-ps-argb32-ref.png            |  Bin 564 -> 0 bytes
 test/fill-missed-stop-ps-rgb24-ref.png             |  Bin 531 -> 0 bytes
 test/fill-missed-stop-ps2-argb32-ref.png           |  Bin 0 -> 564 bytes
 test/fill-missed-stop-ps2-rgb24-ref.png            |  Bin 0 -> 531 bytes
 test/fill-missed-stop-ps3-argb32-ref.png           |  Bin 0 -> 564 bytes
 test/fill-missed-stop-ps3-rgb24-ref.png            |  Bin 0 -> 531 bytes
 test/fill-rule-ps-argb32-ref.png                   |  Bin 2253 -> 0 bytes
 test/fill-rule-ps-rgb24-ref.png                    |  Bin 2031 -> 0 bytes
 test/fill-rule-ps2-argb32-ref.png                  |  Bin 0 -> 2253 bytes
 test/fill-rule-ps2-rgb24-ref.png                   |  Bin 0 -> 2031 bytes
 test/fill-rule-ps3-argb32-ref.png                  |  Bin 0 -> 2253 bytes
 test/fill-rule-ps3-rgb24-ref.png                   |  Bin 0 -> 2031 bytes
 test/finer-grained-fallbacks-ps-argb32-ref.png     |  Bin 1047 -> 0 bytes
 test/finer-grained-fallbacks-ps-rgb24-ref.png      |  Bin 819 -> 0 bytes
 test/finer-grained-fallbacks-ps2-argb32-ref.png    |  Bin 0 -> 1047 bytes
 test/finer-grained-fallbacks-ps2-rgb24-ref.png     |  Bin 0 -> 819 bytes
 test/finer-grained-fallbacks-ps3-argb32-ref.png    |  Bin 0 -> 1047 bytes
 test/finer-grained-fallbacks-ps3-rgb24-ref.png     |  Bin 0 -> 819 bytes
 test/font-matrix-translation-ps-argb32-ref.png     |  Bin 748 -> 0 bytes
 test/font-matrix-translation-ps-rgb24-ref.png      |  Bin 748 -> 0 bytes
 test/font-matrix-translation-ps2-argb32-ref.png    |  Bin 0 -> 748 bytes
 test/font-matrix-translation-ps2-rgb24-ref.png     |  Bin 0 -> 748 bytes
 test/font-matrix-translation-ps3-argb32-ref.png    |  Bin 0 -> 748 bytes
 test/font-matrix-translation-ps3-rgb24-ref.png     |  Bin 0 -> 748 bytes
 test/ft-show-glyphs-positioning-ps-ref.png         |  Bin 2269 -> 0 bytes
 test/ft-show-glyphs-positioning-ps2-ref.png        |  Bin 0 -> 2269 bytes
 test/ft-show-glyphs-positioning-ps3-ref.png        |  Bin 0 -> 2269 bytes
 test/ft-show-glyphs-table-ps-ref.png               |  Bin 5687 -> 0 bytes
 test/ft-show-glyphs-table-ps2-ref.png              |  Bin 0 -> 5687 bytes
 test/ft-show-glyphs-table-ps3-ref.png              |  Bin 0 -> 5687 bytes
 test/ft-text-antialias-none-ps-argb32-ref.png      |  Bin 335 -> 0 bytes
 test/ft-text-antialias-none-ps2-argb32-ref.png     |  Bin 0 -> 335 bytes
 test/ft-text-antialias-none-ps3-argb32-ref.png     |  Bin 0 -> 335 bytes
 test/ft-text-vertical-layout-type1-ps-ref.png      |  Bin 1846 -> 0 bytes
 test/ft-text-vertical-layout-type1-ps2-ref.png     |  Bin 0 -> 1846 bytes
 test/ft-text-vertical-layout-type1-ps3-ref.png     |  Bin 0 -> 1846 bytes
 test/ft-text-vertical-layout-type3-ps-ref.png      |  Bin 1804 -> 0 bytes
 test/ft-text-vertical-layout-type3-ps2-ref.png     |  Bin 0 -> 1804 bytes
 test/ft-text-vertical-layout-type3-ps3-ref.png     |  Bin 0 -> 1804 bytes
 test/glyph-cache-pressure-ps-ref.png               |  Bin 1454 -> 0 bytes
 test/glyph-cache-pressure-ps2-ref.png              |  Bin 0 -> 1454 bytes
 test/glyph-cache-pressure-ps3-ref.png              |  Bin 0 -> 1454 bytes
 test/gradient-alpha-ps-argb32-ref.png              |  Bin 134 -> 0 bytes
 test/gradient-alpha-ps-rgb24-ref.png               |  Bin 130 -> 0 bytes
 test/gradient-alpha-ps2-argb32-ref.png             |  Bin 0 -> 134 bytes
 test/gradient-alpha-ps2-rgb24-ref.png              |  Bin 0 -> 130 bytes
 test/gradient-alpha-ps3-argb32-ref.png             |  Bin 0 -> 134 bytes
 test/gradient-alpha-ps3-rgb24-ref.png              |  Bin 0 -> 130 bytes
 test/gradient-constant-alpha-ps-ref.png            |  Bin 124 -> 0 bytes
 test/gradient-constant-alpha-ps-rgb24-ref.png      |  Bin 124 -> 0 bytes
 test/gradient-constant-alpha-ps2-ref.png           |  Bin 0 -> 124 bytes
 test/gradient-constant-alpha-ps2-rgb24-ref.png     |  Bin 0 -> 124 bytes
 test/gradient-constant-alpha-ps3-ref.png           |  Bin 0 -> 124 bytes
 test/gradient-constant-alpha-ps3-rgb24-ref.png     |  Bin 0 -> 124 bytes
 test/infinite-join-ps-ref.png                      |  Bin 218 -> 0 bytes
 test/infinite-join-ps2-ref.png                     |  Bin 0 -> 218 bytes
 test/infinite-join-ps3-ref.png                     |  Bin 0 -> 218 bytes
 test/leaky-dash-ps-argb32-ref.png                  |  Bin 286 -> 0 bytes
 test/leaky-dash-ps-rgb24-ref.png                   |  Bin 284 -> 0 bytes
 test/leaky-dash-ps2-argb32-ref.png                 |  Bin 0 -> 286 bytes
 test/leaky-dash-ps2-rgb24-ref.png                  |  Bin 0 -> 284 bytes
 test/leaky-dash-ps3-argb32-ref.png                 |  Bin 0 -> 286 bytes
 test/leaky-dash-ps3-rgb24-ref.png                  |  Bin 0 -> 284 bytes
 test/leaky-dashed-rectangle-ps-ref.png             |  Bin 444 -> 0 bytes
 test/leaky-dashed-rectangle-ps2-ref.png            |  Bin 0 -> 444 bytes
 test/leaky-dashed-rectangle-ps3-ref.png            |  Bin 0 -> 444 bytes
 test/leaky-polygon-ps-ref.png                      |  Bin 354 -> 0 bytes
 test/leaky-polygon-ps2-ref.png                     |  Bin 0 -> 354 bytes
 test/leaky-polygon-ps3-ref.png                     |  Bin 0 -> 354 bytes
 test/line-width-scale-ps-ref.png                   |  Bin 3911 -> 0 bytes
 test/line-width-scale-ps2-ref.png                  |  Bin 0 -> 3911 bytes
 test/line-width-scale-ps3-ref.png                  |  Bin 0 -> 3911 bytes
 test/linear-gradient-ps-ref.png                    |  Bin 779 -> 0 bytes
 test/linear-gradient-ps3-ref.png                   |  Bin 0 -> 779 bytes
 test/linear-gradient-reflect-ps-ref.png            |  Bin 314 -> 0 bytes
 test/linear-gradient-reflect-ps3-ref.png           |  Bin 0 -> 314 bytes
 test/long-dashed-lines-ps-ref.png                  |  Bin 1516 -> 0 bytes
 test/long-dashed-lines-ps2-ref.png                 |  Bin 0 -> 1516 bytes
 test/long-dashed-lines-ps3-ref.png                 |  Bin 0 -> 1516 bytes
 test/meta-surface-pattern-ps-argb32-ref.png        |  Bin 3257 -> 0 bytes
 test/meta-surface-pattern-ps-rgb24-ref.png         |  Bin 3873 -> 0 bytes
 test/meta-surface-pattern-ps2-argb32-ref.png       |  Bin 0 -> 3257 bytes
 test/meta-surface-pattern-ps2-rgb24-ref.png        |  Bin 0 -> 3873 bytes
 test/meta-surface-pattern-ps3-argb32-ref.png       |  Bin 0 -> 3257 bytes
 test/meta-surface-pattern-ps3-rgb24-ref.png        |  Bin 0 -> 3873 bytes
 test/new-sub-path-ps-argb32-ref.png                |  Bin 556 -> 0 bytes
 test/new-sub-path-ps-rgb24-ref.png                 |  Bin 423 -> 0 bytes
 test/new-sub-path-ps2-argb32-ref.png               |  Bin 0 -> 556 bytes
 test/new-sub-path-ps2-rgb24-ref.png                |  Bin 0 -> 423 bytes
 test/new-sub-path-ps3-argb32-ref.png               |  Bin 0 -> 556 bytes
 test/new-sub-path-ps3-rgb24-ref.png                |  Bin 0 -> 423 bytes
 test/over-above-source-ps-argb32-ref.png           |  Bin 636 -> 0 bytes
 test/over-above-source-ps2-argb32-ref.png          |  Bin 0 -> 636 bytes
 test/over-above-source-ps3-argb32-ref.png          |  Bin 0 -> 636 bytes
 test/over-around-source-ps-argb32-ref.png          |  Bin 632 -> 0 bytes
 test/over-around-source-ps-rgb24-ref.png           |  Bin 538 -> 0 bytes
 test/over-around-source-ps2-argb32-ref.png         |  Bin 0 -> 632 bytes
 test/over-around-source-ps2-rgb24-ref.png          |  Bin 0 -> 538 bytes
 test/over-around-source-ps3-argb32-ref.png         |  Bin 0 -> 632 bytes
 test/over-around-source-ps3-rgb24-ref.png          |  Bin 0 -> 538 bytes
 test/over-below-source-ps-argb32-ref.png           |  Bin 503 -> 0 bytes
 test/over-below-source-ps2-argb32-ref.png          |  Bin 0 -> 503 bytes
 test/over-below-source-ps3-argb32-ref.png          |  Bin 0 -> 503 bytes
 test/over-between-source-ps-argb32-ref.png         |  Bin 678 -> 0 bytes
 test/over-between-source-ps2-argb32-ref.png        |  Bin 0 -> 678 bytes
 test/over-between-source-ps3-argb32-ref.png        |  Bin 0 -> 678 bytes
 test/random-intersections-ps-ref.png               |  Bin 89253 -> 0 bytes
 test/random-intersections-ps2-ref.png              |  Bin 0 -> 89253 bytes
 test/random-intersections-ps3-ref.png              |  Bin 0 -> 89253 bytes
 test/rectilinear-miter-limit-ps-ref.png            |  Bin 221 -> 0 bytes
 test/rectilinear-miter-limit-ps2-ref.png           |  Bin 0 -> 221 bytes
 test/rectilinear-miter-limit-ps3-ref.png           |  Bin 0 -> 221 bytes
 test/reflected-stroke-ps-ref.png                   |  Bin 3898 -> 0 bytes
 test/reflected-stroke-ps2-ref.png                  |  Bin 0 -> 3898 bytes
 test/reflected-stroke-ps3-ref.png                  |  Bin 0 -> 3898 bytes
 test/rel-path-ps-rgb24-ref.png                     |  Bin 243 -> 0 bytes
 test/rel-path-ps2-rgb24-ref.png                    |  Bin 0 -> 243 bytes
 test/rel-path-ps3-rgb24-ref.png                    |  Bin 0 -> 243 bytes
 test/rotate-image-surface-paint-ps-ref.png         |  Bin 212 -> 0 bytes
 test/rotate-image-surface-paint-ps2-ref.png        |  Bin 0 -> 212 bytes
 test/rotate-image-surface-paint-ps3-ref.png        |  Bin 0 -> 212 bytes
 test/select-font-face-ps-ref.png                   |  Bin 959 -> 0 bytes
 test/select-font-face-ps2-ref.png                  |  Bin 0 -> 959 bytes
 test/select-font-face-ps3-ref.png                  |  Bin 0 -> 959 bytes
 test/self-copy-ps-ref.png                          |  Bin 335 -> 0 bytes
 test/self-copy-ps2-ref.png                         |  Bin 0 -> 335 bytes
 test/self-copy-ps3-ref.png                         |  Bin 0 -> 335 bytes
 test/show-text-current-point-ps-ref.png            |  Bin 1356 -> 0 bytes
 test/show-text-current-point-ps2-ref.png           |  Bin 0 -> 1356 bytes
 test/show-text-current-point-ps3-ref.png           |  Bin 0 -> 1356 bytes
 test/skew-extreme-ps-ref.png                       |  Bin 1048 -> 0 bytes
 test/skew-extreme-ps2-ref.png                      |  Bin 0 -> 1048 bytes
 test/skew-extreme-ps3-ref.png                      |  Bin 0 -> 1048 bytes
 test/smask-ps-ref.png                              |  Bin 3669 -> 0 bytes
 test/smask-ps2-ref.png                             |  Bin 0 -> 3669 bytes
 test/smask-ps3-ref.png                             |  Bin 0 -> 3669 bytes
 test/smask-text-ps-ref.png                         |  Bin 2023 -> 0 bytes
 test/smask-text-ps2-ref.png                        |  Bin 0 -> 2023 bytes
 test/smask-text-ps3-ref.png                        |  Bin 0 -> 2023 bytes
 test/source-clip-scale-ps-argb32-ref.png           |  Bin 183 -> 0 bytes
 test/source-clip-scale-ps-rgb24-ref.png            |  Bin 183 -> 0 bytes
 test/source-clip-scale-ps2-argb32-ref.png          |  Bin 0 -> 183 bytes
 test/source-clip-scale-ps2-rgb24-ref.png           |  Bin 0 -> 183 bytes
 test/source-clip-scale-ps3-argb32-ref.png          |  Bin 0 -> 183 bytes
 test/source-clip-scale-ps3-rgb24-ref.png           |  Bin 0 -> 183 bytes
 test/stroke-ctm-caps-ps-ref.png                    |  Bin 1079 -> 0 bytes
 test/stroke-ctm-caps-ps2-ref.png                   |  Bin 0 -> 1079 bytes
 test/stroke-ctm-caps-ps3-ref.png                   |  Bin 0 -> 1079 bytes
 test/stroke-image-ps-ref.png                       |  Bin 1786 -> 0 bytes
 test/stroke-image-ps2-ref.png                      |  Bin 0 -> 1786 bytes
 test/stroke-image-ps3-ref.png                      |  Bin 0 -> 1786 bytes
 test/surface-pattern-ps-argb32-ref.png             |  Bin 2520 -> 0 bytes
 test/surface-pattern-ps2-argb32-ref.png            |  Bin 0 -> 2520 bytes
 test/surface-pattern-ps3-argb32-ref.png            |  Bin 0 -> 2520 bytes
 test/surface-pattern-scale-down-ps-argb32-ref.png  |  Bin 1400 -> 0 bytes
 test/surface-pattern-scale-down-ps2-argb32-ref.png |  Bin 0 -> 1400 bytes
 test/surface-pattern-scale-down-ps3-argb32-ref.png |  Bin 0 -> 1400 bytes
 test/surface-pattern-scale-up-ps-argb32-ref.png    |  Bin 1011 -> 0 bytes
 test/surface-pattern-scale-up-ps2-argb32-ref.png   |  Bin 0 -> 1011 bytes
 test/surface-pattern-scale-up-ps3-argb32-ref.png   |  Bin 0 -> 1011 bytes
 test/text-pattern-ps-argb32-ref.png                |  Bin 966 -> 0 bytes
 test/text-pattern-ps-rgb24-ref.png                 |  Bin 924 -> 0 bytes
 test/text-pattern-ps3-argb32-ref.png               |  Bin 0 -> 966 bytes
 test/text-pattern-ps3-rgb24-ref.png                |  Bin 0 -> 924 bytes
 test/text-rotate-ps-ref.png                        |  Bin 6851 -> 0 bytes
 test/text-rotate-ps2-ref.png                       |  Bin 0 -> 6851 bytes
 test/text-rotate-ps3-ref.png                       |  Bin 0 -> 6851 bytes
 test/text-transform-ps-ref.png                     |  Bin 4154 -> 0 bytes
 test/text-transform-ps2-ref.png                    |  Bin 0 -> 4154 bytes
 test/text-transform-ps3-ref.png                    |  Bin 0 -> 4154 bytes
 test/transforms-ps-ref.png                         |  Bin 418 -> 0 bytes
 test/transforms-ps2-ref.png                        |  Bin 0 -> 418 bytes
 test/transforms-ps3-ref.png                        |  Bin 0 -> 418 bytes
 test/trap-clip-ps-argb32-ref.png                   |  Bin 5591 -> 0 bytes
 test/trap-clip-ps-rgb24-ref.png                    |  Bin 5512 -> 0 bytes
 test/trap-clip-ps3-argb32-ref.png                  |  Bin 0 -> 5591 bytes
 test/trap-clip-ps3-rgb24-ref.png                   |  Bin 0 -> 5512 bytes
 test/user-font-proxy-ps-ref.png                    |  Bin 8171 -> 0 bytes
 test/user-font-proxy-ps2-ref.png                   |  Bin 0 -> 8171 bytes
 test/user-font-proxy-ps3-ref.png                   |  Bin 0 -> 8171 bytes
 test/user-font-ps-ref.png                          |  Bin 5043 -> 0 bytes
 test/user-font-ps2-ref.png                         |  Bin 0 -> 5043 bytes
 test/user-font-ps3-ref.png                         |  Bin 0 -> 5043 bytes
 test/user-font-rescale-ps-ref.png                  |  Bin 8041 -> 0 bytes
 test/user-font-rescale-ps2-ref.png                 |  Bin 0 -> 8041 bytes
 test/user-font-rescale-ps3-ref.png                 |  Bin 0 -> 8041 bytes
 289 files changed, 277 insertions(+), 116 deletions(-)

commit 0c030d3b768718eac5d429d0c819934f32896b25
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 26 15:26:40 2008 +0100

    [boilerplate] Add svg-1.2 target.
    
    SVG 1.2 is sufficiently different from 1.1 that it has separate code
    paths within cairo-svg-surface and so justifies its own boilerplate
    target.

 boilerplate/cairo-boilerplate-svg-private.h        |   30 ++++++---
 boilerplate/cairo-boilerplate-svg.c                |   48 +++++++++++++-
 boilerplate/cairo-boilerplate.c                    |   24 ++++++--
 test/Makefile.am                                   |   66 +++++++++++++-------
 test/caps-joins-alpha-svg-ref.png                  |  Bin 2454 -> 0 bytes
 test/caps-joins-alpha-svg11-ref.png                |  Bin 0 -> 2454 bytes
 test/caps-joins-alpha-svg12-ref.png                |  Bin 0 -> 2454 bytes
 test/font-matrix-translation-svg-ref.png           |  Bin 970 -> 0 bytes
 test/font-matrix-translation-svg11-ref.png         |  Bin 0 -> 970 bytes
 test/font-matrix-translation-svg12-ref.png         |  Bin 0 -> 970 bytes
 test/ft-show-glyphs-positioning-svg-ref.png        |  Bin 6590 -> 0 bytes
 test/ft-show-glyphs-positioning-svg11-ref.png      |  Bin 0 -> 6590 bytes
 test/ft-show-glyphs-positioning-svg12-ref.png      |  Bin 0 -> 6590 bytes
 test/ft-text-vertical-layout-type1-svg-ref.png     |  Bin 3973 -> 0 bytes
 test/ft-text-vertical-layout-type1-svg11-ref.png   |  Bin 0 -> 3973 bytes
 test/ft-text-vertical-layout-type1-svg12-ref.png   |  Bin 0 -> 3973 bytes
 test/ft-text-vertical-layout-type3-svg-ref.png     |  Bin 3957 -> 0 bytes
 test/ft-text-vertical-layout-type3-svg11-ref.png   |  Bin 0 -> 3957 bytes
 test/ft-text-vertical-layout-type3-svg12-ref.png   |  Bin 0 -> 3957 bytes
 test/linear-gradient-svg-ref.png                   |  Bin 1000 -> 0 bytes
 test/linear-gradient-svg11-ref.png                 |  Bin 0 -> 1000 bytes
 test/linear-gradient-svg12-ref.png                 |  Bin 0 -> 1000 bytes
 test/mask-alpha-svg-argb32-ref.png                 |  Bin 615 -> 0 bytes
 test/mask-alpha-svg11-argb32-ref.png               |  Bin 0 -> 615 bytes
 test/mask-alpha-svg12-argb32-ref.png               |  Bin 0 -> 615 bytes
 test/mask-ctm-svg-argb32-ref.png                   |  Bin 108 -> 0 bytes
 test/mask-ctm-svg11-argb32-ref.png                 |  Bin 0 -> 108 bytes
 test/mask-ctm-svg12-argb32-ref.png                 |  Bin 0 -> 108 bytes
 test/mask-surface-ctm-svg-argb32-ref.png           |  Bin 108 -> 0 bytes
 test/mask-surface-ctm-svg11-argb32-ref.png         |  Bin 0 -> 108 bytes
 test/mask-surface-ctm-svg12-argb32-ref.png         |  Bin 0 -> 108 bytes
 test/mask-svg-argb32-ref.png                       |  Bin 8527 -> 0 bytes
 test/mask-svg-rgb24-ref.png                        |  Bin 7935 -> 0 bytes
 test/mask-svg11-argb32-ref.png                     |  Bin 0 -> 8527 bytes
 test/mask-svg11-rgb24-ref.png                      |  Bin 0 -> 7935 bytes
 test/mask-svg12-argb32-ref.png                     |  Bin 0 -> 8527 bytes
 test/mask-svg12-rgb24-ref.png                      |  Bin 0 -> 7935 bytes
 test/mask-transformed-similar-svg-ref.png          |  Bin 4051 -> 0 bytes
 test/mask-transformed-similar-svg11-ref.png        |  Bin 0 -> 4051 bytes
 test/mask-transformed-similar-svg12-ref.png        |  Bin 0 -> 4051 bytes
 test/meta-surface-pattern-svg-argb32-ref.png       |  Bin 3924 -> 0 bytes
 test/meta-surface-pattern-svg-rgb24-ref.png        |  Bin 4593 -> 0 bytes
 test/meta-surface-pattern-svg11-argb32-ref.png     |  Bin 0 -> 3924 bytes
 test/meta-surface-pattern-svg11-rgb24-ref.png      |  Bin 0 -> 4593 bytes
 test/meta-surface-pattern-svg12-argb32-ref.png     |  Bin 0 -> 3924 bytes
 test/meta-surface-pattern-svg12-rgb24-ref.png      |  Bin 0 -> 4593 bytes
 test/paint-source-alpha-svg-ref.png                |  Bin 505 -> 0 bytes
 test/paint-source-alpha-svg11-ref.png              |  Bin 0 -> 505 bytes
 test/paint-source-alpha-svg12-ref.png              |  Bin 0 -> 505 bytes
 test/paint-with-alpha-svg-ref.png                  |  Bin 516 -> 0 bytes
 test/paint-with-alpha-svg11-ref.png                |  Bin 0 -> 516 bytes
 test/paint-with-alpha-svg12-ref.png                |  Bin 0 -> 516 bytes
 test/push-group-svg-argb32-ref.png                 |  Bin 2935 -> 0 bytes
 test/push-group-svg11-argb32-ref.png               |  Bin 0 -> 2935 bytes
 test/push-group-svg12-argb32-ref.png               |  Bin 0 -> 2935 bytes
 test/radial-gradient-svg-ref.png                   |  Bin 91039 -> 0 bytes
 test/radial-gradient-svg11-ref.png                 |  Bin 0 -> 91039 bytes
 test/radial-gradient-svg12-ref.png                 |  Bin 0 -> 91039 bytes
 test/rotate-image-surface-paint-svg-ref.png        |  Bin 248 -> 0 bytes
 test/rotate-image-surface-paint-svg11-ref.png      |  Bin 0 -> 248 bytes
 test/rotate-image-surface-paint-svg12-ref.png      |  Bin 0 -> 248 bytes
 test/scale-source-surface-paint-svg-argb32-ref.png |  Bin 182 -> 0 bytes
 test/scale-source-surface-paint-svg-rgb24-ref.png  |  Bin 192 -> 0 bytes
 ...scale-source-surface-paint-svg11-argb32-ref.png |  Bin 0 -> 182 bytes
 .../scale-source-surface-paint-svg11-rgb24-ref.png |  Bin 0 -> 192 bytes
 ...scale-source-surface-paint-svg12-argb32-ref.png |  Bin 0 -> 182 bytes
 .../scale-source-surface-paint-svg12-rgb24-ref.png |  Bin 0 -> 192 bytes
 test/set-source-svg-argb32-ref.png                 |  Bin 104 -> 0 bytes
 test/set-source-svg11-argb32-ref.png               |  Bin 0 -> 104 bytes
 test/set-source-svg12-argb32-ref.png               |  Bin 0 -> 104 bytes
 test/smask-fill-svg-ref.png                        |  Bin 1166 -> 0 bytes
 test/smask-fill-svg11-ref.png                      |  Bin 0 -> 1166 bytes
 test/smask-fill-svg12-ref.png                      |  Bin 0 -> 1166 bytes
 test/smask-mask-svg-ref.png                        |  Bin 2529 -> 0 bytes
 test/smask-mask-svg11-ref.png                      |  Bin 0 -> 2529 bytes
 test/smask-mask-svg12-ref.png                      |  Bin 0 -> 2529 bytes
 test/smask-paint-svg-ref.png                       |  Bin 2612 -> 0 bytes
 test/smask-paint-svg11-ref.png                     |  Bin 0 -> 2612 bytes
 test/smask-paint-svg12-ref.png                     |  Bin 0 -> 2612 bytes
 test/smask-svg-ref.png                             |  Bin 3634 -> 0 bytes
 test/smask-svg11-ref.png                           |  Bin 0 -> 3634 bytes
 test/smask-svg12-ref.png                           |  Bin 0 -> 3634 bytes
 test/smask-text-svg-ref.png                        |  Bin 1886 -> 0 bytes
 test/smask-text-svg11-ref.png                      |  Bin 0 -> 1886 bytes
 test/smask-text-svg12-ref.png                      |  Bin 0 -> 1886 bytes
 test/source-clip-scale-svg-ref.png                 |  Bin 119 -> 0 bytes
 test/source-clip-scale-svg11-ref.png               |  Bin 0 -> 119 bytes
 test/source-clip-scale-svg12-ref.png               |  Bin 0 -> 119 bytes
 test/surface-pattern-svg-ref.png                   |  Bin 17663 -> 0 bytes
 test/surface-pattern-svg11-ref.png                 |  Bin 0 -> 17663 bytes
 test/surface-pattern-svg12-ref.png                 |  Bin 0 -> 17663 bytes
 test/text-pattern-svg-argb32-ref.png               |  Bin 1733 -> 0 bytes
 test/text-pattern-svg-rgb24-ref.png                |  Bin 1563 -> 0 bytes
 test/text-pattern-svg11-argb32-ref.png             |  Bin 0 -> 1733 bytes
 test/text-pattern-svg11-rgb24-ref.png              |  Bin 0 -> 1563 bytes
 test/text-pattern-svg12-argb32-ref.png             |  Bin 0 -> 1733 bytes
 test/text-pattern-svg12-rgb24-ref.png              |  Bin 0 -> 1563 bytes
 test/text-rotate-svg-ref.png                       |  Bin 18301 -> 0 bytes
 test/text-rotate-svg11-ref.png                     |  Bin 0 -> 18301 bytes
 test/text-rotate-svg12-ref.png                     |  Bin 0 -> 18301 bytes
 test/user-font-proxy-svg-ref.png                   |  Bin 17902 -> 0 bytes
 test/user-font-proxy-svg11-ref.png                 |  Bin 0 -> 17902 bytes
 test/user-font-proxy-svg12-ref.png                 |  Bin 0 -> 17902 bytes
 test/user-font-rescale-svg-ref.png                 |  Bin 15741 -> 0 bytes
 test/user-font-rescale-svg11-ref.png               |  Bin 0 -> 15741 bytes
 test/user-font-rescale-svg12-ref.png               |  Bin 0 -> 15741 bytes
 test/user-font-svg-ref.png                         |  Bin 6134 -> 0 bytes
 test/user-font-svg11-ref.png                       |  Bin 0 -> 6134 bytes
 test/user-font-svg12-ref.png                       |  Bin 0 -> 6134 bytes
 109 files changed, 128 insertions(+), 40 deletions(-)

commit 86e57671dd21078215505202ef8aa2141d10fb9c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 26 11:08:22 2008 -0400

    [check-*.sh] Redirect error reports to stderr

 doc/public/check-doc-coverage.sh |    6 +++---
 src/check-def.sh                 |    2 +-
 src/check-doc-syntax.sh          |    8 ++++----
 src/check-headers.sh             |    2 +-
 src/check-plt.sh                 |    2 +-
 src/check-preprocessor-syntax.sh |   10 +++++-----
 6 files changed, 15 insertions(+), 15 deletions(-)

commit 096f9def0f599e527d97bb979f7cafbc87dcddc6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 26 10:55:44 2008 -0400

    Add slim markers to make check-plt.sh happy

 src/cairo-font-face.c |    4 ++++
 src/cairo-user-font.c |    4 ++++
 src/cairo.c           |    5 +++++
 src/cairoint.h        |   13 +++++++++++++
 4 files changed, 26 insertions(+), 0 deletions(-)

commit 1de059b33bd2e6121e35ccf1c4a35ba7755c44d8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 26 09:49:50 2008 -0400

    [RELEASING] Add ftp-release@lists.freedesktop.org
    
    That list is monitored by various distros to pick up new releases.
    We should CC release announcements there.

 RELEASING |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 9662be8ee77e219908b64b82e828d577dcf120f0
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 26 00:22:00 2008 -0400

    [twin-font] Adjust ascent/descent
    
    The font data uses a 64 int high font space with baseline at 50.

 src/cairo-font-face-twin.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 3883a371f2ba78b17a1302ba8c5df1a79f3e4075
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 26 00:20:21 2008 -0400

    [scaled-font] Use full ctm matrix when comparing scaled-font keys
    
    We use the full matrix in hash computation, but only compare the
    non-translation items in equality check.  This is no bug though,
    as we set the ctm translation components of a scaled font to zero
    explicitly.  But the change makes the hash and equal functions
    consistent, which is good.

 src/cairo-scaled-font.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 48099af9fed7497a230992e41d559a19c5dbdc60
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Sep 25 13:24:58 2008 +0100

    [boilerplate] Retry conversion in process if first attempt fails.
    
    One possibility for a read failure whilst converting the image is if the
    external utility crashed. This information is important for the test suite
    as knowing input that causes the converter to crash is just as vital as
    identifying a crash within the library.

 boilerplate/cairo-boilerplate-pdf.c |   11 +----------
 boilerplate/cairo-boilerplate-svg.c |   11 +----------
 boilerplate/cairo-boilerplate.c     |   35 +++++++++++++++++++++++++++++++++--
 boilerplate/cairo-boilerplate.h     |   11 +++++++++--
 4 files changed, 44 insertions(+), 24 deletions(-)

commit f2c484d73ce61012a2d9925f15b55e7c51e34b85
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Sep 25 00:16:45 2008 +0100

    [test/any2ppm] Handle short reads/writes.
    
    No excuse other than simple laziness - it manifested itself with random
    "error whilst reading" failures.

 boilerplate/cairo-boilerplate.c |   24 ++++++++++++++++--
 test/any2ppm.c                  |   50 +++++++++++++++++++++++++++++++++-----
 2 files changed, 64 insertions(+), 10 deletions(-)

commit 681424cbaf94556bf1804547b42ad642c0a066ab
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Sep 25 10:40:32 2008 +0100

    [analysis] Merge two analysis status codes.
    
    Since there is an implicit precedence in the ranking of the analysis
    return codes, provide a function to centralize the logic within the
    analysis surface and isolate the backends from the complexity.

 src/cairo-analysis-surface-private.h |    3 ++
 src/cairo-analysis-surface.c         |   50 +++++++++++++++++++++++++--------
 src/cairo-pdf-surface.c              |   31 ++++++---------------
 3 files changed, 50 insertions(+), 34 deletions(-)

commit 06f0cc81d227a571e011e83cc192050a34d6ea13
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Sep 25 10:29:27 2008 +0100

    Add a macro to determine whether a status is a fatal error.
    
    In a few places we need to check whether we have a fatal error or an
    internal return code, so provide a utility macro to centralise the check.

 src/cairo.c    |    3 +--
 src/cairoint.h |    3 +++
 2 files changed, 4 insertions(+), 2 deletions(-)

commit ba18d57339dbedbbdb7f3ca35b06ce6b5dbcd972
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Sep 25 09:39:41 2008 +0100

    [pdf] Propagate status
    
    Check and return a few forgotten error codes from static functions.

 src/cairo-pdf-operators.c |   14 +++++++++++---
 src/cairo-pdf-surface.c   |    6 +++++-
 2 files changed, 16 insertions(+), 4 deletions(-)

commit 907f550a1b13b0a388f9ff22663911d4aabbe2d8
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Fri Sep 26 20:26:55 2008 +0930

    Fix bitmap-font XFAIL
    
    Images in PDF are scaled to a unit square. In PS we set the
    ImageMatrix to do the same. When the image is painted we scale the
    graphics state to paint the image at the right size. In the case of
    Type 3 fonts consisting of bitmap images we want to paint the images
    at their original size so we scale the graphics state by the image
    width and height.
    
    The bug was that we were scaling by the width/height in the glyph
    metrics. For non rotated fonts this worked. However for rotated fonts
    the width/height of the glyph images may be larger than the
    width/height in the glyph metrics. This resulted in a Type 3 font
    where the glyph images were scaled slightly smaller than they should
    have been.

 src/cairo-type3-glyph-surface.c     |   10 +++-------
 test/Makefile.am                    |    1 -
 test/bitmap-font-pdf-argb32-ref.png |  Bin 1064 -> 0 bytes
 3 files changed, 3 insertions(+), 8 deletions(-)

commit f8542dc9dd4dd0685f68381f21fa72dbddd8d682
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 25 19:08:24 2008 -0400

    [twin-font] Clean up font data by joining lines and closing paths
    
    Two changes here:
    
      * Replace move_to;line_to;move_to;line_to sequences with
        move_to;line_to;line_to when feasible.
    
      * Close paths for round glyphs.
    
    Both improve the stroke rendering of the joint.
    
    The first change also saves 3 bytes per joint (33 such joints).
    Which we have just left unused for now.  To reclaim them one need
    to update the charset table.  Something for a lazy Sunday afternoon
    scripting task.
    
    In the saving department, we can save further by:
    
      - Getting rid of the left/ascent/descent values as we compute
        glyph bounding box automatically.  Then we can liberally use
        the right value to adjust glyph advance width.  Saves three
        bytes per glyph (there's 96 glyphs in the font).
    
      - First operation is always a move_to.  So we can remove the 'm'
        for that.  Ugly though.
    
    And the charset has zeros for the first 32 entries.  Can get rid of
    that too at the expense of handling it in the code...
    
    In total, combining the above we can save some 500 bytes.  The font
    currently takes about 3.7kb.

 src/cairo-font-face-twin-data.c |  154 +++++++++++++++++++-------------------
 src/cairo-font-face-twin.c      |   18 ++++-
 2 files changed, 91 insertions(+), 81 deletions(-)

commit d5a998387bcee6569d33375d592190f480f12712
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 25 04:27:11 2008 -0400

    Add an internal font face
    
    The font data and rendering is adapted from Keith Packard's Twin
    window system.  The hinting stuff is not ported yet, but hey, it renders!
    
    The implementation uses user fonts, and the user font backend is modified
    to use this font face (which we call "twin" font face internally) when
    a toy font is needed.
    
    The font face layer is then modified to use this font if:
    
      - The toy font face "cairo" is asked for, or
    
      - No native font backend is available, or
    
      - The preferred native font backend fails to return a font with
        STATUS_UNSUPPORTED.  No font backend does this right now but
        the idea is to change FreeType to return it if no fonts found
        on the system.
    
    We also allow building with no font backends now!
    
    The new doc/tutorial/src/twin.c file tests the twin face at various
    sizes.

 build/configure.ac.features     |   26 +-
 doc/tutorial/src/twin.c         |   39 ++
 src/Makefile.sources            |    2 +
 src/cairo-font-face-twin-data.c | 1030 +++++++++++++++++++++++++++++++++++++++
 src/cairo-font-face-twin.c      |  199 ++++++++
 src/cairo-font-face.c           |   33 +-
 src/cairo-user-font.c           |   53 ++-
 src/cairoint.h                  |   18 +-
 8 files changed, 1371 insertions(+), 29 deletions(-)

commit dd7e2461ce748403e121a5de5e4e4c8890e39236
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 16:06:19 2008 -0700

    Increment cairo version to 1.8.1 after the 1.8.0 release.

 cairo-version.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6b3aa86b1c5b2fce3e56b43142c4ec2664a37032
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 15:48:14 2008 -0700

    Increment cairo version to 1.8.0.

 cairo-version.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e1560eceab109a051926d04d9aa578c3c991fe88
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 15:27:08 2008 -0700

    NEWS: Add notes for the 1.8.0 release.

    Heavily cribbed from 1.7.x snapshot NEWS of course.

 NEWS |  170 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 166 insertions(+), 4 deletions(-)

commit 9a210ab228a3afa9d19b699b772893ea3303f38f
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 15:53:44 2008 -0700

    Add missing reference images REFERENCE_IMAGES list.
    
    The standard ritual before being able to release.

 test/Makefile.am |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 1d896aa9d89ff79239b3754da617201968072ea1
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 15:40:28 2008 -0700

    Actually remove cairo_has_show_text_glyphs
    
    The release notes for 1.7.6 say that we had dropped this
    function, but apparently we had only planned to do that
    and didn't actually get around to it until now.
    
    Thanks to the RELEASING insctructions which gave a diff
    command that pointed out this problem.

 doc/public/cairo-sections.txt   |    1 -
 doc/public/tmpl/cairo-text.sgml |    9 ---------
 src/cairo-gstate.c              |    8 +-------
 src/cairo.c                     |   36 +++++-------------------------------
 src/cairo.h                     |    3 ---
 src/cairoint.h                  |    4 ----
 6 files changed, 6 insertions(+), 55 deletions(-)

commit 483ab915c0fd891dffc0390ba4a1c96c1f06e30f
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 15:25:54 2008 -0700

    Remove excessive whitespace.

    It looks sloppy (and wastes space) to have two blank lines
    where one will do.

 README.win32 |   10 ----------
 1 files changed, 0 insertions(+), 10 deletions(-)

commit e52f0fe8bdfea16dad5a32b646b57c7734e79e0f
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 14:09:34 2008 -0700

    Ignore test/png-test.png
    
    Finally, "git status" is clean after "make distcheck".

 test/.gitignore |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c62b4c73863efa3948df8bdd57ac604ef6d195be
Author: Jeff Muizelaar <jmuizelaar@mozilla.com>
Date:   Thu Sep 25 16:57:38 2008 -0400

    [user-font-rescale] Do proper ref-counting of substitute font
    
    The problem showed up on OS X because the freetype backend reuses font_face_t's
    which kept the reference count high enough for long enough to avoid the problem.

 test/user-font-rescale.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit cd540dc22e1145781119fb9a973dd9ae6bb7401f
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 13:37:53 2008 -0700

    Update text-antialias-subpixel reference image.

    Now that we reverted back to cairo's code for sub-pixel
    text rendering, we need to update the reference image
    to match it.

 test/text-antialias-subpixel-ref.png |  Bin 974 -> 1102 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit 5d887ad5dca5af0f8216830d1b04d08a5aba9bee
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 13:31:20 2008 -0700

    Remove all lcd_filter code.
    
    We reverted the public API for setting lcd_filter font options
    back in 1b42bc8033bc , but we had left the implementation which
    would examine fontconfig and Xft properties for the option, and
    which would call into freetype for subpixel glyph rasterization.
    
    However, I recently realized, (and the test suite had been trying
    to tell me for a while), that this approach would cause a
    regression for users who were previously using sub-pixel text,
    but without sub-pixel rendering built directly into freetype.
    That's not acceptable, so all the code is coming out for now.

 src/cairo-font-options.c  |   51 +----
 src/cairo-ft-font.c       |  672 +++++++++++++--------------------------------
 src/cairo-surface.c       |    1 -
 src/cairo-types-private.h |   26 --
 src/cairo-xlib-screen.c   |   28 --
 src/cairoint.h            |    7 -
 6 files changed, 190 insertions(+), 595 deletions(-)

commit 3d32e7110ba1fedb0bec96238d14245579f5bce1
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 02:58:01 2008 -0700

    Note that we're using ghostscript 8.62 now for reference images.
    
    As opposed to 8.61.
    
    I had actually forgotten we had documented this. If I had
    remembered I could have put more meaningful messages with
    some of my recent updates to ps-specific reference images.

 test/README |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a172d87b4cbcc0bda9c376ab5c5cfdea2e20db63
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 02:49:44 2008 -0700

    Make device-offset-scale an XFAIL test due to SVG failure.
    
    It's sad to have to do this. Back with commit 1a9809baa was the
    original fix for device-offset-scale, (right after the test was
    added), and it fixed it for all backends, including SVG. The fix
    involved combining device_transform and CTM into the pattern matrix.
    
    But then, we added the mask-transformed-image and
    mask-transformed-similar tests, and commit 20be3182ef29 for fixing an
    SVG-specific bug with masks. That fix involved subtracting away the
    pattern matrix when emitting a mask to adhere to SVG semantics.
    
    Unfortunately, this change also made the device-offset-scale test
    start failing. A correct fix would probably subtract away only the CTM
    portion and not the devive_transform. However, the
    _cairo_svg_surface_mask function sees only a pattern matrix and
    doesn't know how to separate it into CTM and device_transform pieces.
    
    So fixing this will probably require a change to the surface-backend
    interface. And since we're not willing to do that so close to a major
    release, we're adding yet another XFAIL.

 test/Makefile.am           |    1 +
 test/device-offset-scale.c |    3 ++-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 36eef09b583077a899e446d5f28b5cc15335cf5f
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 02:30:00 2008 -0700

    Update pdf-specific reference images for mask test.
    
    Something had changed to introduce some very minor rasterization
    details around the circles.

 test/mask-pdf-argb32-ref.png |  Bin 7834 -> 8881 bytes
 test/mask-pdf-rgb24-ref.png  |  Bin 7383 -> 8267 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 503506bf0dbfbc0be92f1461afa8683227732809
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 02:16:47 2008 -0700

    Add pdf-specific reference image for mask-transformed-similar
    
    Thanks to help from Chris, we fixed the bug that was making this
    test fail with the PDF backend. All that was left was differing
    treatment of the edges of the image---easy enough to address
    with a pdf-specific reference image.

 test/mask-transformed-similar-pdf-ref.png |  Bin 0 -> 4213 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit 31ff6c863ff82bd7339a03297e4b5a9adea0b1c9
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Sep 25 09:47:58 2008 +0100

    [pdf] Explicitly order the sequence of checks when analyzing masks
    
    There is an implicit precedence when analyzing patterns for
    compatibilty, in order of descending precedence:
      fatal error
      unsupported
      needs image fallback
      needs meta-surface analysis
      success.
    
    So wehen we have two patterns, we need to check both analysis statuses
    simulataneously, in order to correctly report the combined status.

 src/cairo-pdf-surface.c |   34 +++++++++++++++++++++++++---------
 1 files changed, 25 insertions(+), 9 deletions(-)

commit 69635bc054a823afe1ca378fffac1b2daabdf594
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 01:52:45 2008 -0700

    Fix the analysis of mask operations (fixing mask-transformed-similar test case)
    
    The primary bug here was some missing braces. The code was conditionally
    assigning to backend_status, but then unconditionally checking for the
    value assigned. The result was the leaking of an internal status value
    (CAIRO_INT_STATUS_ANALYZE_META_SURFACE) which finally resulted in
    an incomplete PDF file in the mask-transformed-similar test case.
    
    While fixing this, also avoid re-using the backend_status variable so
    much so that the code is more readable.

 src/cairo-analysis-surface.c |   37 ++++++++++++++++++++++++++-----------
 1 files changed, 26 insertions(+), 11 deletions(-)

commit 5599b08dfaf5897f58b3456732dc9c241502b4c4
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 01:42:03 2008 -0700

    Drop _cairo_analysis_surface prefix from some static functions
    
    Since these functions are static we don't really need the full
    name. And these two functions were both so long that they were
    causing some serious line-wrap issues.

 src/cairo-analysis-surface.c |   43 +++++++++++++++++------------------------
 1 files changed, 18 insertions(+), 25 deletions(-)

commit aae476807c079c6514fb7013092c5c303336d8df
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 00:18:23 2008 -0700

    Update ps-specific reference image for rotate-image-surface-paint
    
    The only difference here is a tie-breaker condition for image-
    sampling position. While we care about that when it's under our
    control, (pixman rasterization), we don't have precise
    requirements for ghostscript's sampling. So we can capture the
    current result as a reference.

 test/rotate-image-surface-paint-ps-ref.png |  Bin 275 -> 212 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit a501f8f6d84bcac12b48e226ab653ae237b1a603
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 00:14:13 2008 -0700

    Mark degenerate-path and miter-precision as XFAIL.
    
    These two tests currently fail only for the PS backend,
    but they've done so since before the last major release.
    The final image result we're getting is definitely wrong
    in both cases, but we have not yet been able to verify
    if this is due to bugs in cairo (generating PostScript)
    or in ghostscript (interpreting and rasterzing the
    PostScript).

 test/Makefile.am       |    2 ++
 test/degenerate-path.c |    3 ++-
 test/miter-precision.c |    2 +-
 3 files changed, 5 insertions(+), 2 deletions(-)

commit e279eeb7ddae445015ac1a582d4aab2e68f03c94
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 25 00:08:03 2008 -0700

    Make the bitmap-font an XFAIL.
    
    We've had these PDF and PS failures here for a *long* time,
    (before the last major release for sure). It's a bug, but
    we expect it to be there, so advertise it that way.

 test/Makefile.am   |    1 +
 test/bitmap-font.c |    3 ++-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 261dd83b31adb4a6b4d80f626b9d5fde5eb4d8f6
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Sep 24 21:55:53 2008 -0700

    Eliminate paranoid check for PNG_INTERLACE_NONE.
    
    Commit 20b1b33c0fc7 added some "paranoid checks" to our png
    loading code. One of these was checking that if png_get_IHDR
    first reports an interlace value other than PNG_INTERLACE_NONE
    that after we call png_set_interlace_handling then we do
    get PNG_INTERLACE_NONE from the next call to png_get_IHDR.
    
    However, libpng doesn't seem to actually have that behavior.
    When testing cairo_image_surface_create_from_png with an
    interlanced PNG file, (which the test suite happens not to
    do---even now), the call to png_set_interlace_handling is
    doing the trick, but the check for PNG_INTERLACE_NONE is
    failing.
    
    So, with the check in place, loading an interlaced PNG image
    fails with CAIRO_STATUS_READ_ERROR. By simply removing
    that check, an interlaced image loads just fine.

 src/cairo-png.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 94d2820c6f64a2da13e6aeb4698198a3d4d0669b
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Sep 24 18:38:21 2008 -0700

    Update ps-specific reference image for ft-text-vertical-layout-type3
    
    Something, (gs interpreter version?), changed and caused a
    very minor rasterization change.

 test/ft-text-vertical-layout-type3-ps-ref.png |  Bin 1867 -> 1804 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit 8a49cfa03a23ed29ea0b310536a3d332af76332c
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Sep 24 18:34:43 2008 -0700

    Update all reference images for ft-text-vertical-layout-type1.
    
    This is one of those chronically fragile tests. I'm assuming
    some font changed or something, because the glyph positions
    shifted (consistently) across all the backend. Doesn't look
    like a bug.
    
    We'll really need to do proper bundling of all font data to
    avoid issues like this.

 test/ft-text-vertical-layout-type1-pdf-ref.png |  Bin 3604 -> 3968 bytes
 test/ft-text-vertical-layout-type1-ps-ref.png  |  Bin 1910 -> 1846 bytes
 test/ft-text-vertical-layout-type1-ref.png     |  Bin 3960 -> 3980 bytes
 test/ft-text-vertical-layout-type1-svg-ref.png |  Bin 3934 -> 3973 bytes
 4 files changed, 0 insertions(+), 0 deletions(-)

commit 3ae894a9fd5152821e1b427aff298c3f8ae00298
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Sep 24 18:29:00 2008 -0700

    Update reference image for smask-text test.

    Very minor rasterization differences crept in here
    from somewhere. Of course, it would be easier to
    identify from *where* if we documented all the versions
    of the various external libraries used in creating
    reference images. But for now, the versions on the
    machine of the person making the release win.

 test/smask-text-ref.png |  Bin 1739 -> 1777 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit ab406eeac1817e62d2c0a737db898ba56c3031ff
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Sep 24 18:24:46 2008 -0700

    Add svg-specific reference image for user-font-rescale.
    
    The difference here was just edge effects, (the kind of
    thing that looks like glyph rasterization differences
    but might in fact be due to minor rounding differences
    in glyph positions). Either way, there's no problem
    with respect to what the test is exercising.

 test/user-font-rescale-svg-ref.png |  Bin 0 -> 15741 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit 453443d77acadc705a4b9ddeb96f853364c96ad2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Sep 25 01:08:46 2008 +0100

    [test] Write the OUTPUT filename to the log if we match the vector surface.
    
    If the vector surface matches the output from last time, then the
    rasterisation is skipped - but we need to write the expected OUTPUT
    filename to the log so that the image is referenced from index.html.

 test/cairo-test.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit e84ef3c54e0f95d321be8d8f47c5c9c60a2c6b3f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 24 20:00:30 2008 -0400

    [.gitignore] Remove Makefile.*.config

    I renamed those generated files to Makefile.*.features but forgot to
    update ignore lists.  Carl already added the new ones, but didn't
    remove the old ones.

 boilerplate/.gitignore |    2 --
 src/.gitignore         |    2 --
 2 files changed, 0 insertions(+), 4 deletions(-)

commit 62107b8015f0d359397a02d4f0fecf22647330b9
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Sep 24 16:51:44 2008 -0700

    Mark several new tests added during 1.7 as XFAIL.

    The following tests were added during the 1.7 cycle to
    demonstrate bugs:

	alpha-similar operator operator-alpha self-copy-overlap

    In all cases, the identical bug existed in the last major
    release, (1.6.4), so these are not new regressions, but merely
    bugs that we're now aware of. The correct way to handle bugs
    such as these is to mark them as expected failures (XFAIL).

 test/Makefile.am         |    4 ++++
 test/alpha-similar.c     |    3 ++-
 test/operator-alpha.c    |    3 ++-
 test/operator.c          |    3 ++-
 test/self-copy-overlap.c |    3 ++-
 5 files changed, 12 insertions(+), 4 deletions(-)

commit c3750cf2187e6b590a93761cb28ad63d2806f81d
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Sep 24 16:32:58 2008 -0700

    Remove the device-offset testing (-25 cases) for the release.

    The reasoning behind the -25 testing is that we want to ensure
    that cairo provides translation invariance. However, for
    many vector backends we use external rasterizers that don't
    necessarily provide that translation invariance.

    So this testing makes a bunch of failures appear that we don't
    really care about, (and we don't even have a mechanism to turn
    them off with custom reference images). For the release, I'm
    just turning this off.

    After the release, I plan to turn this back on, and then we could
    fix this by ensuring that the vector output itself is unaffected
    by a device offset, or by moving away from external rasterizers,
    (see Chris's micro-gs work to test PostScript with cairo-based
    rasterization).

 test/cairo-test.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ea4d0bafb3d374e491f3956347c7510ea7b0d2b8
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Sep 24 16:25:38 2008 -0700

    Add svg-specific reference image for mask-transformed-similar.
    
    The only difference in this case is whether there is blurring
    of the image around the edges. That's a rasterization issue
    that we don't care about, (we're testing that the correct
    transformation is applied).

 test/mask-transformed-similar-svg-ref.png |  Bin 0 -> 4051 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit f939e46304093cad4d8bc3f545cc49a2888fd59f
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Sep 24 16:21:57 2008 -0700

    Add pdf-specific reference images for gradient-constant-alpha.

    Like many other gradient tests, we're just capturing the buggy
    output of poppler here, (though this time I *did* verify with
    Adobe acroread that our PDF output seems to be correct).

 test/README                                     |    1 +
 test/gradient-constant-alpha-pdf-argb32-ref.png |  Bin 0 -> 116 bytes
 test/gradient-constant-alpha-pdf-rgb24-ref.png  |  Bin 0 -> 115 bytes
 3 files changed, 1 insertions(+), 0 deletions(-)

commit 9335ad313fdc97c3c8d0e532319ac3f58c7f69fc
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Sep 24 16:20:35 2008 -0700

    Ignore generated files.
    
    I know that I didn't create these Makefile.win32.features files,
    so I assume that they are the result of Behdad's build magic and
    that he just forgot to add them to .gitignore.

 boilerplate/.gitignore |    2 ++
 build/.gitignore       |    2 ++
 src/.gitignore         |    2 ++
 3 files changed, 6 insertions(+), 0 deletions(-)

commit 06594abc6b74a8260f92f7d9686f2ae5ce84e59f
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Sep 24 16:03:12 2008 -0700

    Add pdf-specific reference images for fill-alpha-pattern.
    
    These capture the current poppler output, (rather than the
    ideal output). We're still waiting for poppler to start
    using cairo gradients before this test will run through
    cleanly. And even with these new reference images, there's
    still some translation variance, so the -25 tests still
    fail.

 test/README                                |    1 +
 test/fill-alpha-pattern-pdf-argb32-ref.png |  Bin 0 -> 3887 bytes
 test/fill-alpha-pattern-pdf-rgb24-ref.png  |  Bin 0 -> 3840 bytes
 3 files changed, 1 insertions(+), 0 deletions(-)

commit 64541a58aeafece3956bbe4cc4ec3bc2226d3d2a
Author: Carl Worth <cworth@cworth.org>
Date:   Wed Sep 24 15:52:05 2008 -0700

    Add pdf- and ps-specific reference images for device-offset-fractional
    
    We don't care about the specifics of rasterization in the viewer
    here, (though it still might be worth being more careful about
    how we set /Interpolate---but that's not the point of this test).

 test/device-offset-fractional-pdf-ref.png |  Bin 0 -> 277 bytes
 test/device-offset-fractional-ps-ref.png  |  Bin 0 -> 201 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit ba7ef8b40e5615de295932b654806345065019c1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 22:35:40 2008 +0100

    [configure.ac] Bump poppler dependency to 0.9.2
    
    poppler-0.9.2 is required for replaying user-fonts correctly.

 configure.ac |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit dfe9f7093f9a226e58dc531b54b32a3f169fea96
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 22:16:39 2008 +0100

    Revert "[pdf] Tweak the mask analysis to avoid an assertion failure."

    This reverts commit c9ec82f3a89cdd57277be6a9a6cb3e05d82fb206, which
    notably caused regresions in the mask and clip-operator tests.
    
    Obviously I'm not smart enough to fix bugs. Since the computer found the
    assertion failure, I need to train the computer to fix the bugs as well.

 src/cairo-pdf-surface.c |    9 ++-------
 1 files changed, 2 insertions(+), 7 deletions(-)

commit ab682a6ff28ca89cc0dd8fd641a0bbc42487f613
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 24 17:22:51 2008 -0400

    Add README.win32, courtesy of Damian Frank

 AUTHORS      |    1 +
 HACKING      |    2 +-
 Makefile.am  |    1 +
 README.win32 |   71 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 74 insertions(+), 1 deletions(-)

commit 5a06ca852c909f8225d7b6e7f29668b0ac79898f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 24 17:16:15 2008 -0400

    [Makefile.win32] Also report installing cairo-version.h and cairo-features.h
    
    Those two files needs special care and hence are not listed in
    enabled_cairo_sources.

 src/Makefile.win32 |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit a91101df319e11eb3d6e38b5cfa85d9ac9e7d815
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 24 17:15:44 2008 -0400

    [Makefile.sources] Remove mention of cairo-features-win32.h
    
    That file is not generated anymore.  Instead, cairo-features.h is
    generated from Makefile.win32 on the fly.

 src/Makefile.sources |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 55e06745a639d86921e48ff56aa0c375a46d6421
Author: M Joonas Pihlaja <jpihlaja@cc.helsinki.fi>
Date:   Thu Sep 25 00:17:57 2008 +0300

    [perf-suite] Explicitly read the results of rdtsc from edx:eax.
    
    The =A format used to read a 64 bit result from rdtsc works on x86,
    but not on x86-64.

 perf/cairo-perf-posix.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 2fb59b3ebd885e109160326825325be3907ed48e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 24 17:09:54 2008 -0400

    [Makefile.win32] Report which files to install
    
    The win32 build system has no way to install anything, but it has
    full knowledge of what needs to be installed (which headers).  So
    we now report files to be installed at the end of the build.

 src/Makefile.win32 |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 6eee90784ea8174b346e389c2f61b599543685e4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 24 15:01:06 2008 -0400

    Enable CAIRO_HAS_UTF8_TO_UTF16 if PDF_OPERATORS is enabled
    
    We are being cheap and don't define the cairo_utf8_to_utf16 function
    if no one is using it.  Previously PS surface was not using it, but
    after the pdf-operators merge, it was.
    
    Before this commit, building with PS but without PDF failed.  Fixing.

 src/cairoint.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bb125689d3d3e623f84a02f4b6f2a0c8f5a7901f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 24 14:55:20 2008 -0400

    Simplify preprocessor conditional syntax
    
    We never do #ifdef-type conditions on CAIRO_HAS_* macros, because we
    want to allow setting them to zero.  Then if we need to enable a feature
    if either of PS or PDF is enabled, the proper syntax is:
    
	#if CAIRO_HAS_PS_SURFACE || CAIRO_HAS_PDF_SURFACE
    
    This works because the preprocessor replaces any unknown identifiers with
    zero.  Some versions of gcc had a bug that got them very confused with
    complex versions of the above.  As a workaround for that I have been using
    the uglier version:
    
	#if CAIRO_HAS_PS_SURFACE+0 || CAIRO_HAS_PDF_SURFACE+0
    
    which magically worked around that bug.  Or more recently replacing that
    with the duplicated version:
    
	#if CAIRO_HAS_PS_SURFACE
	...
	#endif
	#if CAIRO_HAS_PDF_SURFACE
	...
	#endif
    
    Both are uglier than the original.  Since the gcc bug was very short lived
    and there's lots of software out there relying on the original form to work,
    moving back to the simple version seems harmless.

 src/cairoint.h |   15 +++------------
 1 files changed, 3 insertions(+), 12 deletions(-)

commit adece69ae362bdfb018f5886d76a792c44dafd7e
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 19:17:22 2008 +0100

    [test] Add a test case to question the mutability of sources.

    Are patterns mutable? The image backend is quite happy to write and read
    from the same surface, whereas the vector targets create snapshots... This
    test case exploits that inconsistency.
    
    Also the interested reader will note that not only does this demonstrate
    translational invariance, but a discrepancy with similar surfaces.

 test/.gitignore                      |    1 +
 test/Makefile.am                     |    3 ++
 test/self-copy-overlap-ref.png       |  Bin 0 -> 1140 bytes
 test/self-copy-overlap-rgb24-ref.png |  Bin 0 -> 608 bytes
 test/self-copy-overlap.c             |   56 ++++++++++++++++++++++++++++++++++
 5 files changed, 60 insertions(+), 0 deletions(-)

commit 88188eababa7c6dafeb064662a77b8f5f3719593
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 09:49:09 2008 +0100

    [test] Memleak in new mask-ctm-* tests.
    
    Add the forgotten cairo_surface_destroy().

 test/mask-transformed-image.c   |    3 +++
 test/mask-transformed-similar.c |    3 +++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit 8f157303681a3d58471ffbe004bc140b7a3a48be
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 18:39:29 2008 +0100

    [test] Rename mask-ctm-* to avoid conflict with mask-ctm.
    
    Using mask-ctm-image as a test name was causing a naming conflict with
    mask-ctm, so rename the new tests.

 test/.gitignore                       |    4 +-
 test/Makefile.am                      |    8 +-
 test/mask-ctm-image-ref.png           |  Bin 4516 -> 0 bytes
 test/mask-ctm-image.c                 |  100 --------------------------------
 test/mask-ctm-similar-ref.png         |  Bin 4516 -> 0 bytes
 test/mask-ctm-similar.c               |  102 ---------------------------------
 test/mask-transformed-image-ref.png   |  Bin 0 -> 4516 bytes
 test/mask-transformed-image.c         |  100 ++++++++++++++++++++++++++++++++
 test/mask-transformed-similar-ref.png |  Bin 0 -> 4516 bytes
 test/mask-transformed-similar.c       |  102 +++++++++++++++++++++++++++++++++
 10 files changed, 208 insertions(+), 208 deletions(-)

commit 444d44acde4ac73641c789c19ec7a3199211b594
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 18:12:22 2008 +0100

    [stroke] Cap trailing segment when skipping invisible segments.
    
    If we do not maintain the current_face even for invisible dashed segments,
    then we will generate spurious line segments when attempting to close the
    path (ala leaky-dashed-rectangle).
    
    This fixes the long standing regression introduced just prior to 1.6 and
    captured in these bug reports:
    http://lists.cairographics.org/archives/cairo/2008-April/013912.html
    http://bugs.freedesktop.org/show_bug.cgi?id=17177

 src/cairo-path-stroke.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 9fc745ae9fbbc24ce3f6fa5728c36fa6819b85a7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Wed Sep 24 13:17:22 2008 -0400

    Revert "[build] Use mkdir -p portability macros"
    
    This reverts commit 03c37f56b2d3ecc0e197194364b216183dacc24a.
    
    The AC_PROG_MKDIR_P is also one of those autoconf macros defined
    in newer versions only.  Since we use mkdir -p in releasing scripts
    only, it's not a big deal if it's not portable.

 build/Makefile.am.releasing |    2 +-
 build/configure.ac.tools    |    1 -
 2 files changed, 1 insertions(+), 2 deletions(-)

commit b5b1134c2c84996bd8e019d5908b18db876137dc
Author: M Joonas Pihlaja <jpihlaja@cc.helsinki.fi>
Date:   Wed Sep 24 17:39:33 2008 +0100

    [tessellator] Skip edges that lie outside the region of interest.
    
    We don't need to tessellate edges strictly above or below the
    the limits of the traps.

 src/cairo-bentley-ottmann.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 018a64bf7f3ccdf3982655c93701eafc99fd0b93
Author: M Joonas Pihlaja <jpihlaja@cc.helsinki.fi>
Date:   Wed Sep 24 17:33:36 2008 +0100

    [traps] Impose limits on traps for cairo_in_(fill|stroke)
    
    We don't need to tessellate edges strictly above or below the
    hit-test point.
    
    (Patch split and modified by Chris Wilson to apply to cairo_in_stroke()
    as well - all bugs are his alone.)

 src/cairo-gstate.c |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 8c0ff8b5856a8a7cb61dffaad7d72ed2dcdb5cf3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 17:03:49 2008 +0100

    [cairo] Define min-tolerance in terms of cairo_fixed_t
    
    By using the cairo_fixed_t macros we can compute the correct minimum
    tolerance for any configuration.

 src/cairo.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c9ec82f3a89cdd57277be6a9a6cb3e05d82fb206
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 15:01:25 2008 +0100

    [pdf] Tweak the mask analysis to avoid an assertion failure.
    
    Both the source and mask need to be analyzed and checked for an
    UNSUPPORTED operation before determining the best course of action.
    As before this is simply decided based on the requirements of the
    source.

 src/cairo-pdf-surface.c |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit b9c92842d9c091e34738d14f7baf6f357a1f085c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 11:38:21 2008 +0100

    [trap] Trivial reject if trapezoid is entirely above or below
    
    Also check whether is vertically within limits.

 src/cairo-traps.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 911d5f1a254f800fe18f4554b738006aa0a693a2
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 11:34:27 2008 +0100

    [traps] Adjust lines if either point is on the boundary.
    
    If either point lies on the limit and the other outside, adjust the line
    to be parallel to the boundary. This adjusts the previous test where both
    points needed to be entirely outside.

 src/cairo-traps.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 7357e80054b80a9906783ed910282bb79f31cdfd
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 11:32:11 2008 +0100

    [clip] Limit traps.

    Apply prior knowledge to limit the traps during clipping to avoid
    generating extra work.

 src/cairo-clip.c |   18 ++++++++++++++++--
 1 files changed, 16 insertions(+), 2 deletions(-)

commit c36a242303c99f59ba210d6c0dae831b2efb83fc
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 11:12:05 2008 +0100

    [traps] Replace open-coding of box->rectangle->box
    
    Use the utility functions _cairo_box_from_rectangle and
    _cairo_box_round_to_rectangle() instead of open-coding. Simultaneously
    tweak the whitespace so that all users of traps look similar.

 src/cairo-analysis-surface.c |   47 ++++++++++-------------------------------
 src/cairo-clip.c             |    4 +-
 src/cairo-surface-fallback.c |   16 ++-----------
 3 files changed, 17 insertions(+), 50 deletions(-)

commit 49b9a21e0bfeed5a1e2f33162a7b1c9e67de1d75
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 01:56:44 2008 +0100

    [test/any2ppm] Handle filenames with multiple-dots.

    Use strrchr() to find the extension, as strchr() is fooled too easily.
    
    As spotted by Carlos Garcia Campos.

 test/any2ppm.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 651c6598c98118ba04bc4970557c24241b91dab0
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Sep 24 00:49:03 2008 +0100

    [traps] Limit extents to imposed constraints.
    
    When reporting the extents of the traps, constrain them to the imposed
    limits. This is relied upon in the analysis-surface which sets the
    limits on the traps (based on clip/surface extents) and then reports the
    extents of the traps as the region of the operation.

 src/cairo-traps.c |   15 ++++++++++++++-
 1 files changed, 14 insertions(+), 1 deletions(-)

commit 0baf12f450e12b9f2fb4e55bfeb7738dd5145cbd
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 23 19:18:00 2008 -0400

    [scaled-font] Another typo fix in the comments
    
    Both this and previous one kindly pointed out by Carl.

 src/cairo-scaled-font.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 70207aadfdb580029c81ac87e2d1aa66cc6c5b30
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 23 19:11:08 2008 -0400

    [mutex] Fix typo in comments

 src/cairo-mutex-impl-private.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0a4a6213e2ab915098b6fdc8bd2652cd5026599c
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 19 21:12:55 2008 +0100

    [fill] Check for the most common rectilinear case first.
    
    Avoid the iterative search for the extreme points by first checking the
    most likely arrangement (as produced by cairo_rectangle() under no
    transformation).

 src/cairo-path-fill.c |   18 +++++++++++-------
 1 files changed, 11 insertions(+), 7 deletions(-)

commit 8f51ea4657d872f75e1a6493aadcc769fd3b9324
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 23 23:19:02 2008 +0100

    [pattern] Beware unsigned wrap-around with pathological surface patterns.
    
    A surface pattern under an extreme transformation could lie entirely in
    the negative quadrant. This would trigger the fixup such that it's lower
    left corner was clamped to the origin, but the upper right corner was left
    unchecked. This could result in the width,height being negative and
    wrapping around to large values instead of being clamped to 0.

 src/cairo-pattern.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3c6d3684e965523acdeec9f24ccf71bf4e974622
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 23 22:52:42 2008 +0100

    [test] Add a test case for create_similar(CONTENT_ALPHA)
    
    Application of a pure-alpha similar source is inconsistently handled
    across the backends. The PDF/PS backends allow the rgb channels to bleed
    through and the SVG backend mixes in pure white.

 test/.gitignore                  |    1 +
 test/Makefile.am                 |    3 +
 test/alpha-similar-ref.png       |  Bin 0 -> 99 bytes
 test/alpha-similar-rgb24-ref.png |  Bin 0 -> 99 bytes
 test/alpha-similar.c             |   76 ++++++++++++++++++++++++++++++++++++++
 5 files changed, 80 insertions(+), 0 deletions(-)

commit 5e5408412694bf067e47d12c9c739801452d8f41
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 23 21:49:37 2008 +0100

    [test-meta] Use real meta-surface snapshot.
    
    The meta-surface workaround an old bug, which is no longer present in the
    tree and open-coded the surface snapshot. However, the workaround itself
    was buggy (not respecting the surface content). The lesson to take away
    from this is not to add workarounds in test code for bugs in the library!

 src/test-meta-surface.c |   35 -----------------------------------
 1 files changed, 0 insertions(+), 35 deletions(-)

commit 03c37f56b2d3ecc0e197194364b216183dacc24a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 23 17:15:07 2008 -0400

    [build] Use mkdir -p portability macros

 build/Makefile.am.releasing |    2 +-
 build/configure.ac.tools    |    1 +
 2 files changed, 2 insertions(+), 1 deletions(-)

commit ae0511fbbe6c01b5fe8dfa531b3eaa791314931f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 23 20:00:18 2008 +0100

    [pdf] Do not modify the dashes in-place.
    
    As PS has different semantics regarding a zero-length dash, we need to
    adjust the dash array before emitting. However, we need to modify a copy
    of the dash array since the same array may be used by the meta-surface
    when replaying to an image fallback.

 src/cairo-pdf-operators.c |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit b7ab1fc791139f5d0fd38692b63514ed02bc8b51
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Sep 23 10:51:13 2008 +0100

    Return the real error status for set_user_data()
    
    Instead of returning a new NO_MEMORY error, return the status from the
    error object.

 src/cairo-font-face.c   |    2 +-
 src/cairo-pattern.c     |    2 +-
 src/cairo-scaled-font.c |    2 +-
 src/cairo-surface.c     |    2 +-
 src/cairo.c             |    2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

commit 0204d2f4e2dd89f1fcf06f2d18e68f6ab7452f91
Author: Adrian Johnson <ajohnson@redneon.com>
Date:   Tue Sep 23 22:38:55 2008 +0930

    Replace two boolean args with one enum arg
    
    The use of multiple booleans in a function call can make it easy to
    mix up the parameters.

 src/cairo-scaled-font-subsets.c |   31 +++++++++++++++++++++++--------
 1 files changed, 23 insertions(+), 8 deletions(-)

commit 5a3f03623c7ac0414bafc490c927e1f2282839d1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 23 04:11:48 2008 -0400

    [Makefile.win32] Add comments about where to edit for customization

 Makefile.win32              |    3 +++
 build/Makefile.win32.common |    3 +++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit afb32c7f076dbbe4c965fc02226208596f41f59e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Sep 23 03:52:43 2008 -0400

    [src/Makefile.am.analysis] Fix out-of-tree build

 src/Makefile.am.analysis |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

commit fba0211ed6f649b9d61a9f2b3d83096dd801cb14
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 22 23:41:07 2008 -0400

    [Makefile.win32] Add makefile rules to generate cairo-features.h

 Makefile.am                 |    2 ++
 Makefile.win32              |    5 +----
 build/configure.ac.features |   20 ++++++++++++++++++++
 src/Makefile.am             |    4 ++--
 4 files changed, 25 insertions(+), 6 deletions(-)

commit 0bedbe78fe236cc9dabec87dea0f71714acfb76a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 22 22:34:57 2008 -0400

    [Makefile.win32] Misc cleanup

 build/Makefile.win32.common |   29 +++++++++++++++++++++--------
 src/Makefile.win32          |    8 ++++----
 2 files changed, 25 insertions(+), 12 deletions(-)

commit ebb5eb57b7cab7e5fc4b3215969a459f49d95fbb
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 22 21:18:09 2008 -0400

    Generate build/Makefile.win32.features

 Makefile.am                 |   10 +++++++-
 boilerplate/Makefile.am     |    7 ++---
 build/Makefile.win32.common |    6 +++-
 build/aclocal.makefile.m4   |   57 +++++++++++++++++++++++++++++++-----------
 build/configure.ac.features |    5 +++-
 src/Makefile.am             |    8 ++++--
 6 files changed, 67 insertions(+), 26 deletions(-)

commit fd5cef50a7c856ef80b0a2191170c6a377071e78
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 22 20:48:14 2008 -0400

    [aclocal] Add support for automake-only or win32-only makefiles

 build/aclocal.makefile.m4 |   66 ++++++++++++++++++++++++++++++++++++++-------
 1 files changed, 56 insertions(+), 10 deletions(-)

commit 42e4103015981b874035fac4f5e70018568db0d9
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 22 20:33:23 2008 -0400

    [aclocal] Don't do automake conditionals for builtin features

 build/aclocal.makefile.m4 |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 79bc967a0dd1319035f0b915759eb86a49007f8d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 22 20:20:02 2008 -0400

    [build] Make including Makefile.win32.features files more robust
    
    By using top_srcdir if available.  Make's include is relative to
    current dir, not the Makefile being processed.  That makes it hard
    to include Makefile's relatively.

 build/aclocal.makefile.m4 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e686a00da8a84d28b7a00698a4fd744cd4dfd867
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 22 20:11:10 2008 -0400

    [build] Add CAIRO_CONFIG_MAKEFILE_PRIVATE

 build/aclocal.makefile.m4 |   24 ++++++++++++++++++------
 1 files changed, 18 insertions(+), 6 deletions(-)

commit 0ac7a242f829bd31fd7fe12e886fba687ea6dc5e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 22 19:43:08 2008 -0400

    [build] Add Makefile.win32.common

 Makefile.win32              |   57 +-----------------------------------------
 boilerplate/Makefile.win32  |   21 +--------------
 build/Makefile.win32.common |   47 +++++++++++++++++++++++++++++++++++
 perf/Makefile.win32         |   26 +------------------
 src/Makefile.win32          |   23 ++---------------
 test/Makefile.win32         |   22 +---------------
 test/pdiff/Makefile.win32   |    6 +---
 7 files changed, 60 insertions(+), 142 deletions(-)

commit 984320dff11d42d698ff5355c6befe0c5d32df59
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 22 19:29:17 2008 -0400

    [build] Don't define feature variables in Makefile.win32.features
    
    This is not the right place to do that as one also needs to adjust
    cairo-features.h.  Working on a proper fix.

 build/aclocal.makefile.m4   |   27 ---------------------------
 build/configure.ac.features |   22 ----------------------
 2 files changed, 0 insertions(+), 49 deletions(-)

commit eb9ce580597b9ac639dd3dc15576774d753c44b6
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 22 19:23:41 2008 -0400

    [build] Don't generate Makefile conditionals for default=always features

 build/aclocal.makefile.m4 |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit caa3dbd61be8a46f576a60f00845269269200c99
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 22 19:11:52 2008 -0400

    [build] Make Makefile.*.features files more readable
    
    By inserting a new line before each feature entry.

 build/aclocal.makefile.m4 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 23b9767bb3b35995099ae9c7b3d84f18e7a76dcc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Mon Sep 22 17:34:36 2008 -0400

    Rename Makefile.*.config to Makefile.*.features as they should not be modified
    
    The .config naming was giving people the impression that they can modify it.
    That's not the case.

 autogen.sh                |    6 +++---
 boilerplate/Makefile.am   |    2 +-
 build/aclocal.makefile.m4 |   10 +++++-----
 doc/public/Makefile.am    |    2 +-
 src/Makefile.am           |    2 +-
 5 files changed, 11 insertions(+), 11 deletions(-)

commit 20be3182ef29bb07ffac749f5cf1844b4781e1bb
Author: Kai-Uwe Behrmann <ku.b@gmx.de>
Date:   Mon Sep 22 10:10:51 2008 +0100

    [svg] Counteract application of object matrix to mask.
    
    The expected behaviour for masking in Cairo is to set the mask according
    to the current active matrix and apply unchanged to the masked surface.
    
    In SVG, the mask element is bound to the masked object and thus the local
    matrix from that image object applies to the nested mask as well.
    
    Attached is a small patch for substracting the matrix of a image
    surface from the matrix of the mask to comply to Cairo's behaviour.
    I did not test for other stuff like vectors or text and would expect this
    part is incomplete.

 AUTHORS                 |    1 +
 src/cairo-svg-surface.c |    9 +++++----
 2 files changed, 6 insertions(+), 4 deletions(-)

commit 223e7b9ed0053f9569df4bafc7688439aeb12572
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Sep 22 08:03:41 2008 +0100

    [test] Add an exercise for masking an image using the ctm.
    
    Quote Kai-Uwe Behrmann:
    "The expected behaviour for masking in Cairo is to set the mask according
    to the current active matrix and apply unchanged to a to be masked
    surface.
    
    In SVG the mask element is bound to the masked object and thus the local
    matrix from that image object applies to the nested mask as well."
    
    This is a test case to exercise applying a mask to an image under
    separate transformations.
    
    Original patch by Kai-Uwe Behrmann, altered to run the test against all
    backends (where it causes poppler to crash on my machine <evil grin>).

 test/.gitignore               |    2 +
 test/Makefile.am              |    4 ++
 test/mask-ctm-image-ref.png   |  Bin 0 -> 4516 bytes
 test/mask-ctm-image.c         |  100 ++++++++++++++++++++++++++++++++++++++++
 test/mask-ctm-similar-ref.png |  Bin 0 -> 4516 bytes
 test/mask-ctm-similar.c       |  102 +++++++++++++++++++++++++++++++++++++++++
 6 files changed, 208 insertions(+), 0 deletions(-)

commit 3a45ff0e2fd624e52ddbf2b36fa70231405d79fe
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Sep 20 18:35:10 2008 -0400

    Make checks happy again
    
    Minor syntax changes and improved check regexps.

 src/cairo-mutex-impl-private.h   |    2 +-
 src/cairo-os2-surface.c          |    4 ++--
 src/check-preprocessor-syntax.sh |    8 ++++----
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 9084f6baf6ab2ce9942b69720dac8201fd5e86cc
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Sep 20 18:24:37 2008 -0400

    [Makefile.win32] Fix various issues reported by Damian Frank
    
    We now compile cairo-system.c twice when building static library, but
    that's fine because cairo-systemc. includes no other code.  Indeed
    that's why cairo-system.c was born in the first place.

 src/Makefile.win32 |   13 ++++---------
 1 files changed, 4 insertions(+), 9 deletions(-)

commit 45609d840078288bf0fc096ee8bac642fed6674f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Sep 20 18:17:19 2008 -0400

    Add cairo-system.c for platform system-specific code
    
    This is where DLL initialization/finalization should be done for example.
    Moved the one for win32.  For OS/2 just left a comment as the code needs
    more work.
    
    This change simplifies building shared and static libraries in the win32
    makefiles.

 src/Makefile.sources           |    1 +
 src/cairo-mutex-impl-private.h |    8 +++
 src/cairo-os2-surface.c        |    6 +++
 src/cairo-system.c             |   97 ++++++++++++++++++++++++++++++++++++++++
 src/cairo-win32-surface.c      |   28 -----------
 5 files changed, 112 insertions(+), 28 deletions(-)

commit 9c2732395987a29ee764c575cce2b13e94152151
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Sep 20 18:05:01 2008 -0400

    [aclocal] In generated Makefile.win32.config, don't overwrite feature vars
    
    When I designed this first I thought people can define make vars on the
    command line to override default features.  That works.  However, it's
    natural to want to define the list of features in the toplevel Makefile
    and not on command line.  So, we don't override user's var now.  They
    can set a make feature var to 0 to disable it.

 build/aclocal.makefile.m4   |    5 ++++-
 build/configure.ac.features |   16 ++++++++--------
 2 files changed, 12 insertions(+), 9 deletions(-)

commit 6d0d5e7ba07c084deafed7118f626415a6c23764
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Sep 20 17:52:19 2008 -0400

    Define cairo_public correctly for win32
    
    I'm conditioning on _MSC_VER.  Is this accurate?
    Note that we never overwrite cairo_public.  So one can define it to
    something else.

 src/cairo.h    |    6 +++++-
 src/cairoint.h |    4 ++++
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 11e96487d8994dd15b39b5ede5be189491f1c14a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Sep 20 17:51:24 2008 -0400

    [Makefile.win32] Remove a few unused macro declarations
    
    An undefined PACKAGE_BUGREPORT is not properly handled where it's used.
    The other two were not being used after build system revamp.

 Makefile.win32 |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit fee72c26afff2120315ebbab32708520307e7a5e
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Sep 20 17:20:36 2008 -0400

    Make sure feature macros are checked using #if, not #ifdef; add a test for it

    This is more robust to cases where people want to assign 0 to those variables.
    (win32/alternate build systems, etc)

 src/Makefile.am                  |    6 ++--
 src/cairo-atomic-private.h       |    4 +-
 src/cairo-atomic.c               |    2 +-
 src/cairo-directfb.h             |    2 +-
 src/cairo-mutex-list-private.h   |    2 +-
 src/cairo-quartz-private.h       |   11 +++----
 src/cairo-quartz.h               |    4 +-
 src/cairo-win32.h                |    8 +++++
 src/cairoint.h                   |   13 +++++++-
 src/check-includes.sh            |   58 --------------------------------------
 src/check-preprocessor-syntax.sh |   57 +++++++++++++++++++++++++++++++++++++
 11 files changed, 91 insertions(+), 76 deletions(-)

commit e00565fa3c9579566abb31b71af3f13f44c45139
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sat Sep 20 15:38:29 2008 -0400

    [src/check-includes.sh] Check that there is no #include <cairo.*.h>

    The correct syntax to include cairo headers from other cairo headers and
    sources is using "...", not <...>.  Check that.

 src/check-includes.sh |   34 ++++++++++++++++++++++------------
 1 files changed, 22 insertions(+), 12 deletions(-)

commit 9c36a5f3f19ca5bb2e0bb23baeaa625ad6833ab4
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 19 18:51:03 2008 -0400

    [src/Makefile.am.analysis] Check that all headers can be compiled standalone
    
    This ensures that each header includes all headers it depends on.
    This is now enforced by "make check".

 src/Makefile.am                |    6 +++++-
 src/Makefile.am.analysis       |   23 +++++++++++++++++------
 src/cairo-mutex-impl-private.h |    4 ----
 src/cairo-mutex-list-private.h |    5 +++++
 4 files changed, 27 insertions(+), 11 deletions(-)

commit 2dd90a6c94559374d995475fff8ffff5d0d3ff6f
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 19 18:45:44 2008 -0400

    [cairo-mutex] Move semicolons out of cairo-mutex-list-private.h
    
    Previously cairo-mutex-list-private.h assumed that every use of the file
    will produce a statement for each mutex by including a semicolon after
    each.  But some uses (like enumerating all static mutexes  in an array
    for example, can't be implemented with the semicolon in place.  So, move
    the semicolon out to the users of the header file.

 src/cairo-mutex-list-private.h |   17 ++++++++---------
 src/cairo-mutex-private.h      |    2 +-
 src/cairo-mutex.c              |    6 +++---
 3 files changed, 12 insertions(+), 13 deletions(-)

commit 8ae8189327f383fa033032d7d4280b91d650171d
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 19 18:43:43 2008 -0400

    [configure.ac.warnings] Add -Wp,-D_FORTIFY_SOURCE=2 to warning flags
    
    It enables various checks in glibc and gcc preprocessor.

 build/configure.ac.warnings |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 54b60dadb9f8393f834c4709b37ffb163a00445c
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 19 18:42:54 2008 -0400

    [Makefile.am.common] Remove gcc precompiled headers in "make clean"
    
    Stale gcc precompiled headers can cause bugs very tricky to pin down.

 build/Makefile.am.common |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d84752605a4aee96fa872a97a50e59a44ee7051a
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 19 17:17:03 2008 -0400

    Make sure (and check) that all private headers include some cairo header first

    The macros CAIRO_BEGIN_DECLS and CAIRO_END_DECLS are declared in two
    places: config.h and cairo.h.  On Win32 build there is no config.h.  So,
    we can't rely on pulling CAIRO_BEGIN_DECLS from there.  Hence, we now:

      * Not add those declarations to config.h anymore,

      * Test that every cairo private header includes some other cairo
        header before any other includes.

    These two are fairly enough to ensure that cairo.h is seen from all
    private headers.  There's still the case of headers not including
    any header file at all.  I'll fix that later.

 build/aclocal.cairo.m4              |   13 ---------
 build/configure.ac.system           |    2 -
 src/Makefile.am                     |    2 +-
 src/cairo-atomic-private.h          |    4 +-
 src/cairo-compiler-private.h        |    2 +
 src/cairo-mutex-impl-private.h      |    2 +
 src/cairo-mutex-private.h           |    4 ---
 src/cairo-os2-private.h             |    6 ++--
 src/cairo-reference-count-private.h |    8 ------
 src/cairo-region-private.h          |    8 ++++-
 src/cairo-types-private.h           |    2 -
 src/cairo-wideint-type-private.h    |    2 +
 src/check-cairoint.sh               |   22 ----------------
 src/check-includes.sh               |   48 +++++++++++++++++++++++++++++++++++
 14 files changed, 66 insertions(+), 59 deletions(-)

commit eb89bf049a4c2ab0946c45a1277bfd8b1519efa1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 19 16:52:59 2008 -0400

    Check for _MSC_VER in mutex implementation code
    
    Previously I made the mutex implementation code to use Windows mutexes
    conditional on HAVE_WINDOWS_H.  This was suppposed to be a more wine-friendly
    version of checking for a Windows platform.  However, it also meant that
    when compiling without config.h, one had to stuff a #define for HAVE_WINDOWS_H
    somewhere.  Traditionally it was put in cairo-features-win32.h, and that
    practice was carried over even after my build system rewrite.
    
    Somewhere along the road I also decided that the mutex implementation header
    does not need to include anything other than config.h.  So the hacked up
    HAVE_WINDOWS_H in cairo-features-win32.h was not being seen by its lone
    user.
    
    We now condition on any of HAVE_WINDOWS_H and _MSC_VER.  So the hack can be
    removed altogether.

 build/configure.ac.features    |    2 --
 src/cairo-mutex-impl-private.h |    2 +-
 2 files changed, 1 insertions(+), 3 deletions(-)

commit 33b6d2b5eb4f5d424cec51970d9b72bef49a5fc8
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 19 16:48:12 2008 -0400

    [src/check-cairoint.sh] Escape dot in regexp
    
    No why, just that it's more robust :).

 src/check-cairoint.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d635c941b2d046c5edfef84ef870009069fb4004
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Fri Sep 19 14:50:24 2008 -0400

    [image] Check for PACKAGE_BUGREPORT availability
    
    Building using win32, there is no config.h.  So PACKAGE_BUGREPORT may
    not be defined.

 src/cairo-image-surface.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit a6c0ebee7aa9298af24859c37d8005eba772c4c6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 19 16:15:55 2008 +0100

    [tessellator] Only run sweep-line validator when debugging
    
    The tessellator is well-proven now. However, the sweep-line validator
    consumes around 50% of the total time required to draw the fractal
    Pythagoras tree (the leaves are sub-pixel rectangles, so lots of edges
    to sweep through). So disable the validator, but keep it available for
    debugging.

 src/cairo-bentley-ottmann.c |   17 ++++++++++-------
 1 files changed, 10 insertions(+), 7 deletions(-)

commit 91f0b8b1eac967d4534201794c9ba7880ddfaa17
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 19 13:29:01 2008 +0100

    [fill] Construct trap using rectangle directly.
    
    Avoid the overhead in sorting the edges within
    _cairo_traps_tessellate_convex_quad() by using our prior knowledge that we
    have a simple rectangle and construct the trap from the extreme points.

 src/cairo-path-fill.c |   16 ++++++++++++++--
 1 files changed, 14 insertions(+), 2 deletions(-)

commit e749b58af827e4cc28353bcc6bc4b2ab8d47aaf6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 19 13:19:51 2008 +0100

    [test] Add rectilinear-fill
    
    Add a test-case to exercise pixel-aligned fills to verify the optimised
    rectilinear filler.

 test/.gitignore               |    1 +
 test/Makefile.am              |    2 +
 test/rectilinear-fill-ref.png |  Bin 0 -> 162 bytes
 test/rectilinear-fill.c       |   92 +++++++++++++++++++++++++++++++++++++++++
 4 files changed, 95 insertions(+), 0 deletions(-)

commit d5cd7ee74fb64b00597880a75b2e62065fac59b3
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 19 13:22:51 2008 +0100

    [stroke] Optimise rectilinear strokes.
    
    Avoid the overhead of sorting the rectangle in
    _cairo_traps_tessellate_convex_quad() by constructing the trap directly
    from the line segment. This also has secondary effects in only passing
     the non-degenerate trap to _cairo_traps_add_trap().
    
    For rectilinear Hilbert curves this makes the rectilinear stoker over 4x
    faster.

 src/cairo-path-stroke.c |   42 +++++++++++++++++++++++++-----------------
 src/cairo-traps.c       |   18 ++++++++++++++++++
 src/cairoint.h          |    5 +++++
 3 files changed, 48 insertions(+), 17 deletions(-)

commit 9930eefbbd4448d598faff12fc0f7127555c8c94
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 19 10:54:13 2008 +0100

    Simple perf tweaks for a rectilinear Hilbert curve.
    
    Some tweaks to avoid stack copies and branches that save ~25% in
    _cairo_traps_tessellate_convex_quad().

 src/cairo-bentley-ottmann.c  |   36 +++++-----
 src/cairo-slope.c            |    6 +-
 src/cairo-surface-fallback.c |   12 +--
 src/cairo-traps.c            |  175 ++++++++++++++++--------------------------
 src/cairoint.h               |   25 ++++---
 5 files changed, 105 insertions(+), 149 deletions(-)

commit 27ee8dd9c64ac0fd36ce7b58729ee732e3396ee1
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Sep 19 11:48:57 2008 +0100

    [trap] Fixup a double _cairo_traps_fini().

    The rectilinear stroke finalized the cairo_traps_t passed to it - which
    was then subsequently used without re-initialized. So instead of
    finalizing the structure, just remove any traps that we may have added
    (leaving the limits and memory intact).

 src/cairo-path-stroke.c |    5 ++---
 src/cairo-traps.c       |    8 ++++++++
 src/cairoint.h          |    3 +++
 3 files changed, 13 insertions(+), 3 deletions(-)

commit b9c432862a25e4b18dfa2e7a2c5631cf9b235a21
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 18 19:35:28 2008 -0400

    [Makefile.am.releasing] Make release-publish work with parallel build

    Carl had this confusing problem today making the snapshot, which was
    "make release-publish" erring.  This commit reworks the release-publish
    machinery to enforce serialization of some of the tasks such that it
    works with make -j.  Don't expect any speedup though as "make distcheck"
    is inherently sequential.

 build/Makefile.am.releasing |   30 +++++++++++++++++++++++-------
 1 files changed, 23 insertions(+), 7 deletions(-)

commit 9eee0e935859082d8798846a8e6b16cbceb1f779
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 18 18:33:05 2008 -0400

    [Makefile.am] Move sticky-bit clearing to dist-hook
    
    It's a more natural place.  It also means that we just change permissions
    on the dist directory, not the user's source directory.

 build/Makefile.am.releasing |   22 +++++++++++++++-------
 1 files changed, 15 insertions(+), 7 deletions(-)

commit bdaaf3574a596e3ab31d0bdf0f84667d868c10d1
Author: Carl Worth <cworth@cworth.org>
Date:   Thu Sep 18 15:06:12 2008 -0700

    Increment version number to 1.7.7
    
    Just after the 1.7.6 snapshot went out.

 cairo-version.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 005dd8499bca9521ab934a56c68d2b85042359b7
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 18 16:39:23 2008 -0400

    [src/Makefile.win32] Remove recursive cairo_headers var
    
    The cairo_headers variable in Makefile.win32 was unused and
    from before the new build system was put in place.  One can
    use enabled_cairo_headers if need be.

 src/Makefile.win32 |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 567be443a2add00b4ea9b888ee35aeac5b41dc16
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 18 16:27:02 2008 -0400

    [configure.ac] Make sure version information do not end up in config.h
    
    By introducing $(top_srcdir)/cairo-version.h I tried to make it
    unnecessary to rebuild the entire library when the version changes.
    That comes handy around releases and when bisecting.
    
    However this was not working as the version info was also ending
    up in config.h and hence forcing a full rebuild upon change.
    I now undefine the PACKAGE_VERSION* macros that autoconf defines,
    so config.h does not change when cairo-version.h changes.

 build/configure.ac.version |    7 +++++++
 src/cairoint.h             |    7 -------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 73c70488f36b595fdfa47068309cc886bf0861ef
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 18 15:56:53 2008 -0400

    [src/check-*.sh] Use computed list of source files instead of running "find"
    
    When the lists are available use them.  They will be available to test
    programs by make.

 src/Makefile.am       |    6 ++++++
 src/check-cairoint.sh |    9 +++++++--
 src/check-headers.sh  |    9 +++++++--
 3 files changed, 20 insertions(+), 4 deletions(-)

commit 1ee675d6a00ecd70447459f098e469c71b748d77
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 18 15:55:23 2008 -0400

    [src/check-doc/syntax.sh] Fix test for out-of-tree build
    
    Now that our build system can compute a list of all cairo files,
    we prefer to use that in the tests instead of running "find".
    However, we were not switching to $(srcdir) so the test was not
    finding source files in out-of-tree builds.  Noticed that from
    the grep error in distcheck.

 src/check-doc-syntax.sh |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit dc260f1c0b432658cfa64e98c777609d0cbe7f3b
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 18 15:35:03 2008 -0400

    [doc] Remove lcd_filter API from doc listing
    
    Carl removed the API but not the listing in the docs.
    The docs tests are passing again now.

 doc/public/cairo-sections.txt |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit d02fb0fd2044652255da0922f70199e7a84a31c1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Thu Sep 18 15:33:10 2008 -0400

    [doc/public/check-doc-coverage.sh] Make doc building needed for the test faster
    
    We used to do a full doc build to just to run the coverage test.  That's
    way too slow to expect people to run regularly.  Instead now we just do the
